#
# spec file for package s390-tools
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#
# needssslcertforbuild


#Compat macro for new _fillupdir macro introduced in Nov 2017
%if ! %{defined _fillupdir}
  %define _fillupdir %{_localstatedir}/adm/fillup-templates
%endif
%if 0%{?suse_version} < 1550 && 0%{?sle_version} <= 150300
# systemd-rpm-macros is wrong in 15.3 and below
%define _modprobedir /lib/modprobe.d
%endif
%global modprobe_d_files 90-s390-tools.conf
%if 0%{?suse_version} >= 1550
%define _mysbindir %{_sbindir}
%else
%define _mysbindir /sbin
%endif

Name:           s390-tools
Version:        2.34.0
Release:        2.0.2.1.sr20240901
Summary:        S/390 tools like zipl and dasdfmt for s390x (plus selected tools for x86_64)
License:        MIT
Group:          System/Kernel
URL:            https://github.com/ibm-s390-tools/s390-tools
Source:         https://github.com/ibm-s390-tools/s390-tools/archive/v%{version}.tar.gz#/s390-tools-%{version}.tar.gz
Source1:        s390-tools-rpmlintrc
Source2:        zipl.conf
Source3:        hsnc
Source4:        sysconfig.hsnc
Source5:        xpram
Source6:        sysconfig.xpram
Source7:        appldata
Source8:        sysconfig.appldata
Source10:       dasdro
%if 0%{?suse_version} >= 1550
Source11:       dasd_reload.opensuse
Source12:       mkdump.pl.opensuse
%else
Source11:       dasd_reload.suse
Source12:       mkdump.pl.suse
%endif
Source13:       sysconfig.osasnmpd
Source14:       zfcp_san_disc
Source15:       mkdump.8
Source18:       zpxe.rexx
Source19:       rules.xpram
Source20:       rules.hw_random
%if 0%{?suse_version} >= 1550
Source21:       59-graf.rules.opensuse
%else
Source21:       59-graf.rules.suse
%endif
Source22:       s390-tools-zdsfs.caution.txt
%if 0%{?suse_version} >= 1550
Source23:       README.SUSE.opensuse
%else
Source23:       README.SUSE.suse
%endif
Source24:       cputype
Source25:       cputype.1
Source26:       cio_ignore.service
Source27:       setup_cio_ignore.sh
Source28:       59-prng.rules
Source29:       59-zfcp-compat.rules
Source30:       90-s390-tools.conf
%if 0%{?suse_version} >= 1550
Source31:       detach_disks.sh.opensuse
Source32:       killcdl.opensuse
%else
Source31:       detach_disks.sh.suse
Source32:       killcdl.suse
%endif
Source33:       lgr_check
Source34:       sysconfig.virtsetup
Source35:       virtsetup.service
%if 0%{?suse_version} >= 1550
Source36:       virtsetup.sh.opensuse
%else
Source36:       virtsetup.sh.suse
%endif
Source37:       appldata.service
Source38:       hsnc.service
%if 0%{?suse_version} >= 1550
Source39:       vmlogrdr.service.opensuse
%else
Source39:       vmlogrdr.service.suse
%endif
Source40:       xpram.service
Source41:       pkey.conf

### Obsolete scripts and man pages to be removed once changes in other tools are made
### That's been delayed to at least SLES12 SP1, but I'm leaving the comments here.
Source86:       read_values.c
Source87:       read_values.8
Source88:       ctc_configure
%if 0%{?suse_version} >= 1550
Source89:       dasd_configure.opensuse
Source90:       iucv_configure.opensuse
%else
Source89:       dasd_configure.suse
Source90:       iucv_configure.suse
%endif
Source91:       qeth_configure
Source92:       zfcp_disk_configure
Source93:       zfcp_host_configure
Source94:       ctc_configure.8
Source95:       dasd_configure.8
Source96:       iucv_configure.8
Source97:       qeth_configure.8
Source98:       zfcp_disk_configure.8
Source99:       zfcp_host_configure.8
###
Source200:      cargo_config
Source201:      vendor.tar.gz
###

###
# IBM patches
###
# SUSE patches
Patch900:       s390-tools-sles12-zipl_boot_msg.patch
Patch901:       s390-tools-sles15-sysconfig-compatible-dumpconf.patch
Patch902:       s390-tools-sles12-create-filesystem-links.patch
%if 0%{?suse_version} >= 1550
Patch903:       s390-tools-sles12-update-by_id-links-on-change-and-add-action.patch.opensuse
%else
Patch903:       s390-tools-sles12-update-by_id-links-on-change-and-add-action.patch.suse
%endif
Patch904:       s390-tools-sles15sp3-Allow-multiple-device-arguments.patch
Patch905:       s390-tools-sles15sp3-Format-devices-in-parallel.patch
Patch906:       s390-tools-sles15sp3-Implement-Y-yast_mode.patch
Patch907:       s390-tools-sles15sp3-Implement-f-for-backwards-compability.patch
Patch908:       s390-tools-sles15sp3-dasdfmt-retry-BIODASDINFO-if-device-is-busy.patch
Patch909:       s390-tools-sles12-fdasd-skip-partition-check-and-BLKRRPART-ioctl.patch
Patch910:       s390-tools-sles15sp1-11-zdev-Do-not-call-zipl-on-initrd-update.patch
Patch911:       s390-tools-sles15sp5-remove-no-pie-link-arguments.patch
Patch912:       s390-tools-ALP-zdev-live.patch
Patch913:       s390-tools-sles15sp6-kdump-initrd-59-zfcp-compat-rules.patch
Patch914:       s390-tools-slfo-01-parse-ipl-device-for-activation.patch
Patch915:       s390-tools-2.34-Fix-Rust-compilation-errors.patch
Patch916:       s390-tools-01-zipl-src-add-basic-support-for-multiple-target-base-disks.patch
Patch917:       s390-tools-02-zipl-src-add-basic-support-for-multiple-target-base-disks.patch
###

BuildRequires:  curl-devel
BuildRequires:  dracut
BuildRequires:  fuse3-devel
BuildRequires:  gcc13
BuildRequires:  gcc13-c++
BuildRequires:  gettext-tools
BuildRequires:  glib2-devel
BuildRequires:  glibc-devel-static
BuildRequires:  libcryptsetup-devel > 2.0.3
BuildRequires:  libjson-c-devel
BuildRequires:  libxml2-devel
BuildRequires:  mdevctl
BuildRequires:  ncurses-devel
BuildRequires:  net-snmp-devel
BuildRequires:  openssl-devel >= 1.1.1l
BuildRequires:  pesign-obs-integration
BuildRequires:  systemd-devel
BuildRequires:  tcpd-devel
BuildRequires:  zlib-devel-static
### s390x
%ifarch s390x
BuildRequires:  kernel-zfcpdump
BuildRequires:  perl-Bootloader >= 0.4.15
BuildRequires:  qclib-devel-static
%endif
### Cargo
BuildRequires:  rust
BuildRequires:  cargo
BuildRequires:  cargo-packaging
BuildRequires:  openssl
###
# Don't build with pie to avoid problems with zipl
#!BuildIgnore:  gcc-PIE
Requires:       coreutils
Requires:       procps
Requires:       util-linux
%ifarch s390x
Requires:       gawk
Requires:       perl-base
Requires:       rsync
Requires:       s390-tools-genprotimg-data
Requires:       tar
%endif
Requires(post): %fillup_prereq
Requires(post): permissions
Requires(pre):  shadow
Recommends:     blktrace
Provides:       s390utils:/sbin/dasdfmt
Provides:       group(cpacfstats)
Provides:       group(ts-shell)
Provides:       group(zkeyadm)
%ifarch x86_64
Recommends:     s390-tools-genprotimg-data
%endif
###
ExclusiveArch:  s390x x86_64

%description
This package contains the tools (s390x, x86_64) needed to use Linux on IBM z Systems
and exploit many of the various capabilities of the hardware or z/VM. For example:

 - s390x
dasdfmt  - low-level format tool for ECKD DASD
fdasd	 - partitions ECKD DASDs with z/OS compatible disk layout
zipl     - boot loader and dump DASD initializer
zgetdump - tool to get linux system dumps from DASD

 - x86_64
genprotimg - create a protected virtualization image
pvattest   - create, perform, and verify protected virtualization attestation measurements
pvsecret   - manage secrets for IBM Secure Execution guests.
pvapconfig - used to automatically set up the AP configuration within an IBM Secure Execution guest.

Note: Auxiliary data package - s390-tools-genprotimg-data

%package -n osasnmpd
Summary:        OSA-Express SNMP subagent
License:        GPL-2.0-or-later
Group:          Productivity/Networking/Other
Requires:       perl

%description -n osasnmpd
Supports management information bases (MIBs) provided by OSA-Express
Fast Ethernet, Gigabit Ethernet, High Speed Token Ring and ATM Ethernet
LAN Emulation features in QDIO mode.

It extends the capabilities of the net-snmp master agent (snmpd) and
communicates with him via the AgentX protocol.

%package zdsfs
Summary:        QSAM access to z/OS data
License:        GPL-2.0-or-later AND NonFree
Group:          Productivity/Networking/Other

%description zdsfs
Use the zdsfs command for read access to z/OS data sets stored on one or more DASDs.

The zdsfs file system translates the record-based z/OS data sets to UNIX file system
semantics.  After mounting the devices, you can use common Linux tools to access
the files on the disk. Physical sequential data sets are represented as files.
Partitioned  data  sets  are  represented as directories, with each member being
represented as a file in that directory.

%package hmcdrvfs
Summary:        HMC drive file system based on FUSE
License:        GPL-2.0-only
Group:          System/Filesystems
Requires:       fuse

%description hmcdrvfs
This package contains a HMC drive file system based on FUSE and a tool
to list files and directories.

%package -n libekmfweb1
Summary:        IBM Enterprise Key Management Foundation - Web Edition client library
License:        MIT
Group:          System/Libraries

%description -n libekmfweb1
libekmfweb1 is a client library that provides access to IBM' Enterprise Key
Management Foundation – Web Edition.0 EKMF Web provides efficient and
security-rich centralized key management for IBM z/OS data set encryption
on IBM Z servers.

%package -n libekmfweb1-devel
Summary:        IBM Enterprise Key Management Foundation - Web Edition client library
License:        MIT
Group:          Development/Libraries/C and C++
Requires:       libekmfweb1 = %{version}

%description -n libekmfweb1-devel
libekmfweb1 is a client library that provides access to IBM' Enterprise Key
Management Foundation – Web Edition.0 EKMF Web provides efficient and
security-rich centralized key management for IBM z/OS data set encryption
on IBM Z servers.

%package -n libkmipclient1
Summary:        IBM Key Management Interoperability Protocol (KMIP) client library
License:        MIT
Group:          System/Libraries

%description -n libkmipclient1
Key Management Interoperability Protocol (KMIP) is a client/server
communication protocol for the storage and maintenance of key,
certificate, and secret objects. This client library enables secure
creation and storage of cryptographic objects on the IBM Security Key
Lifecycle Manager server. You must configure client devices to connect
to the server for key management operations.

%package -n libkmipclient1-devel
Summary:        Header files for the IBM Z KMIP client library
License:        MIT
Group:          Development/Libraries/C and C++
Requires:       libkmipclient1 = %{version}

%description -n libkmipclient1-devel
This package provides the header files and symbolic link to the
shared library for the IBM Z KMIP client library.

%package chreipl-fcp-mpath
Summary:        Use multipath information for re-IPL path failover
License:        MIT
Group:          System/Boot
BuildRequires:  bash
BuildRequires:  coreutils
## Required for build+install with ENABLE_DOC=1
#BuildRequires:  pandoc
BuildRequires:  sed
#BuildRequires:  gawk
#BuildRequires:  gzip
Requires:       bash
# Required for use with HAVE_DRACUT=1
Requires:       dracut
Requires:       multipath-tools
Requires:       udev
Requires(post): udev

%description chreipl-fcp-mpath
The chreipl-fcp-mpath toolset monitors udev events about paths to the
re-IPL volume. If the currently configured FCP re-IPL path becomes
unavailable, the toolset checks for operational paths to the same
volume. If available, it reconfigures the FCP re-IPL settings to use an
operational path.

%package genprotimg-data
Summary:        Auxiliary data used by genprotimg
License:        MIT
Group:          System/Boot
BuildArch:      noarch
Requires(pre):  filesystem

%description genprotimg-data
The genprotimg allows preparing and analyzing boot images
in the realm of IBM Secure Execution on a trusted environment,
such as the laptop of an admin by limiting the build targets
depending on the defined or detected host architecture.
This package provides auxiliary data used by genprotimg.

### *** s390x ************************************************************************* ###
%ifarch s390x

%prep
%autosetup -p1

cp -vi %{SOURCE22} CAUTION

install -D -m 0644 %{SOURCE200} .cargo/config
tar -xzf %{SOURCE201}

%build

# The "DISTRELEASE=%%{release}" needs to be on both the make and make install
# commands, since make install runs sed commands against various scripts to
# modify the "-v" output appropriately.

export OPT_FLAGS="%{optflags}"
export KERNELIMAGE_MAKEFLAGS="%%{?_smp_mflags}"

%make_build \
     ZFCPDUMP_DIR=%{_prefix}/lib/s390-tools/zfcpdump \
     DISTRELEASE=%{release} \
     UDEVRUNDIR=/run/udev \
     HAVE_CARGO=1 \
     HAVE_DRACUT=1 \
     CC=gcc-13 \
     CXX=g++-13
###     all
gcc-13 -static -o read_values ${OPT_FLAGS} %{SOURCE86} -lqc

%install
mkdir -p %{buildroot}/boot/zipl
mkdir -p %{buildroot}%{_sysconfdir}/zkey/repository
%make_install \
     ZFCPDUMP_DIR=%{_prefix}/lib/s390-tools/zfcpdump \
     DISTRELEASE=%{release} \
     SYSTEMDSYSTEMUNITDIR=%{_unitdir} \
     UDEVRUNDIR=/run/udev \
     HAVE_CARGO=1 \
     HAVE_DRACUT=1 \
     CC=gcc-13 \
     CXX=g++-13
###     all

# The make install command puts things in /etc/sysconfig and not the
# fillup-templates directory. Let's try moving them where they belong
mkdir -p %{buildroot}%{_fillupdir}
pushd %{buildroot}%{_sysconfdir}/sysconfig/
for sysconffile in *
  do mv -vi $sysconffile %{buildroot}%{_fillupdir}/sysconfig.$sysconffile
  done
popd

install -m 755 read_values %{buildroot}/%{_bindir}/
install -m644 -t %{buildroot}/%{_mandir}/man8 %{SOURCE87}

# The "usrmerge" has happened in openSUSE:Factory, but not yet in SLES.
# Make sure we look for the zfcpdump kernel image in the right place.
%if 0%{?suse_version} >= 1550
install -D -m600 %{_prefix}/lib/modules/*-zfcpdump/image %{buildroot}%{_prefix}/lib/s390-tools/zfcpdump/zfcpdump-image
%else
install -D -m600 /boot/image-*-zfcpdump %{buildroot}%{_prefix}/lib/s390-tools/zfcpdump/zfcpdump-image
%endif

install -D -m644 etc/cpuplugd.conf %{buildroot}%{_sysconfdir}/cpuplugd.conf
install -D -m644 etc/udev/rules.d/40-z90crypt.rules %{buildroot}%{_prefix}/lib/udev/rules.d/40-z90crypt.rules
install -D -m644 etc/udev/rules.d/57-osasnmpd.rules %{buildroot}%{_prefix}/lib/udev/rules.d/57-osasnmpd.rules
install -D -m644 etc/udev/rules.d/59-dasd.rules %{buildroot}%{_prefix}/lib/udev/rules.d/59-dasd.rules
install -D -m644 etc/udev/rules.d/90-cpi.rules %{buildroot}%{_prefix}/lib/udev/rules.d/90-cpi.rules
mv iucvterm/doc/ts-shell/iucvconn_on_login %{buildroot}%{_bindir}/iucvconn_on_login
install -D -m644 %{SOURCE26} %{buildroot}/%{_unitdir}/cio_ignore.service
install -D -m755 %{SOURCE27} %{buildroot}%{_prefix}/lib/systemd/scripts/setup_cio_ignore.sh
install -D -m755 %{SOURCE31} %{buildroot}%{_prefix}/lib/systemd/scripts/detach_disks.sh
install -D -m644 %{SOURCE35} %{buildroot}/%{_unitdir}/virtsetup.service
install -D -m755 %{SOURCE36} %{buildroot}%{_prefix}/lib/systemd/scripts/virtsetup.sh
install -D -m644 %{SOURCE37} %{buildroot}/%{_unitdir}/appldata.service
install -D -m644 %{SOURCE38} %{buildroot}/%{_unitdir}/hsnc.service
install -D -m644 %{SOURCE39} %{buildroot}/%{_unitdir}/vmlogrdr.service
install -D -m644 %{SOURCE40} %{buildroot}/%{_unitdir}/xpram.service
install -D -m644 %{SOURCE41} %{buildroot}%{_prefix}/lib/modules-load.d/pkey.conf

cp %{SOURCE18} zpxe.rexx
cp %{SOURCE2} zipl.conf.sample
cp  %{SOURCE23} README.SUSE

cd %{buildroot}
install -D -m755 %{SOURCE3} %{buildroot}%{_prefix}/lib/systemd/scripts/hsnc
install -D -m644 %{SOURCE4} %{buildroot}%{_fillupdir}/sysconfig.hsnc
install -D -m755 %{SOURCE5} %{buildroot}%{_prefix}/lib/systemd/scripts/xpram
install -D -m644 %{SOURCE6} %{buildroot}%{_fillupdir}/sysconfig.xpram
install -D -m755 %{SOURCE7} %{buildroot}%{_prefix}/lib/systemd/scripts/appldata
install -D -m644 %{SOURCE8} %{buildroot}%{_fillupdir}/sysconfig.appldata
install -D -m755 %{SOURCE10} %{buildroot}%{_mysbindir}/dasdro
install -D -m755 %{SOURCE11} %{buildroot}%{_mysbindir}/dasd_reload
install -D -m755 %{SOURCE12} %{buildroot}%{_mysbindir}/mkdump
install -D -m644 %{SOURCE13} %{buildroot}%{_fillupdir}/sysconfig.osasnmpd
install -D -m755 %{SOURCE14} %{buildroot}%{_mysbindir}/zfcp_san_disc
install -D -m644 %{SOURCE15} %{buildroot}/%{_mandir}/man8
install -D -m644 %{SOURCE19} %{buildroot}%{_prefix}/lib/udev/rules.d/52-xpram.rules
install -D -m644 %{SOURCE20} %{buildroot}%{_prefix}/lib/udev/rules.d/52-hw_random.rules
install -D -m644 %{SOURCE21} %{buildroot}%{_prefix}/lib/udev/rules.d/59-graf.rules
install -D -m644 %{SOURCE28} %{buildroot}%{_prefix}/lib/udev/rules.d/59-prng.rules
install -D -m644 %{SOURCE29} %{buildroot}%{_prefix}/lib/udev/rules.d/59-zfcp-compat.rules
install -D -m644 %{SOURCE30} %{buildroot}%{_modprobedir}/90-s390-tools.conf
install -D -m755 %{SOURCE32} %{buildroot}%{_mysbindir}/killcdl
install -D -m755 %{SOURCE33} %{buildroot}%{_mysbindir}/lgr_check
install -D -m644 %{SOURCE34} %{buildroot}%{_fillupdir}/sysconfig.virtsetup

if [ ! -d %{_mysbindir} ]; then
    rm -f %{_mysbindir}
    mkdir -p %{_mysbindir}
fi
(cd %{buildroot}%{_sbindir}; ln -s service rcappldata)
(cd %{buildroot}%{_sbindir}; ln -s service rchsnc)
(cd %{buildroot}%{_sbindir}; ln -s service rcvmlogrdr)
(cd %{buildroot}%{_sbindir}; ln -s service rcxpram)
(cd %{buildroot}%{_sbindir}; ln -s service rccio_ignore)
(cd %{buildroot}%{_sbindir}; ln -s service rccpacfstatsd)
(cd %{buildroot}%{_sbindir}; ln -s service rccpi)
(cd %{buildroot}%{_sbindir}; ln -s service rccpuplugd)
(cd %{buildroot}%{_sbindir}; ln -s service rcdumpconf)
(cd %{buildroot}%{_sbindir}; ln -s service rcmon_fsstatd)
(cd %{buildroot}%{_sbindir}; ln -s service rcmon_procd)
(cd %{buildroot}%{_sbindir}; ln -s service rcvirtsetup)

if [ ! -d %{_bindir} ]; then
    rm -f %{_bindir}
    mkdir -p %{_bindir}
fi
install -D -m755 %{SOURCE24} %{buildroot}%{_bindir}/cputype

install -m644 -t %{buildroot}/%{_mandir}/man8 %{SOURCE25}

# If building for openSUSE, move all the binaries installed via
# the IBM-provided Makefile from /sbin to /usr/sbin/ to
# align with the openSUSE "usrmerge" project
%if 0%{?suse_version} >= 1550
mv -vi %{buildroot}/sbin/* %{buildroot}%{_mysbindir}/
%endif

### Obsolete scripts and man pages to be removed once changes in other tools are made
install -m755 -t %{buildroot}%{_mysbindir}/ %{SOURCE88} %{SOURCE91} %{SOURCE92} %{SOURCE93}
install %{SOURCE89} %{buildroot}%{_mysbindir}/dasd_configure
install %{SOURCE90} %{buildroot}%{_mysbindir}/iucv_configure
install -m644 -t %{buildroot}/%{_mandir}/man8 %{SOURCE94} %{SOURCE95} %{SOURCE96} %{SOURCE97} %{SOURCE98} %{SOURCE99}
###

### lsmem/chmem have been added to util-linux
rm -fv %{buildroot}%{_mandir}/man8/lsmem.8*
rm -fv %{buildroot}%{_mandir}/man8/chmem.8*
rm -fv %{buildroot}%{_mysbindir}/lsmem
rm -fv %{buildroot}%{_mysbindir}/chmem

###
find . ! -type d |
    sed 's/^.//;\-/man/-s/^.*$/%doc &.gz/' > %{_builddir}/%{name}-filelist
grep -v -E 'osasnmp|etc/ziplenv|\.conf$|ekmfweb.so|ekmfweb.h|kmipclient|kmip/profiles/.*profile$|chreipl-fcp-mpath' %{_builddir}/%{name}-filelist >%{_builddir}/%{name}.list
grep    osasnmp[^-] %{_builddir}/%{name}-filelist >%{_builddir}/%{name}.osasnmp

touch boot/zipl/active_devices.txt
mkdir -p ./%{_libexecdir}/net-snmp/agents
cd	 ./%{_libexecdir}/net-snmp/agents
cat <<EOT >osasnmpd
#!/bin/sh
PIDFILE=%{_localstatedir}/run/osasnmpd.pid
function cleanup
{
        rm -f \$PIDFILE
        kill \`cat %{_localstatedir}/run/osasnmpd.real.pid\`
}
. %{_sysconfdir}/sysconfig/osasnmpd
trap cleanup 0
echo \$\$ >\$PIDFILE
%{_mysbindir}/osasnmpd -f -P %{_localstatedir}/run/osasnmpd.real.pid \$OSASNMPD_PARAMETERS "\$@"
EOT
chmod 755 osasnmpd

export BRP_PESIGN_FILES='/lib/s390-tools/stage3.bin'

%verifyscript
%verify_permissions -e %{_localstatedir}/log/ts-shell/

%pre
# check for ts-shell group or create it
getent group ts-shell >/dev/null 2>&1 || groupadd -r ts-shell
# check for zkeyadm group or create it
getent group zkeyadm >/dev/null 2>&1 || groupadd -r zkeyadm
# check for cpacfstats group or create it
getent group cpacfstats >/dev/null 2>&1 || groupadd -r cpacfstats
%service_add_pre appldata.service
%service_add_pre cio_ignore.service
%service_add_pre cpacfstatsd.service
%service_add_pre cpi.service
%service_add_pre cpuplugd.service
%service_add_pre dumpconf.service
%service_add_pre hsnc.service
%service_add_pre mon_fsstatd.service
%service_add_pre mon_procd.service
%service_add_pre virtsetup.service
%service_add_pre vmlogrdr.service
%service_add_pre xpram.service
# Avoid restoring outdated stuff in posttrans
for _f in %{?modprobe_d_files}; do
    [ ! -f "/etc/modprobe.d/${_f}.rpmsave" ] || \
        mv -f "/etc/modprobe.d/${_f}.rpmsave" "/etc/modprobe.d/${_f}.rpmsave.old" || :
done

%post
read INITPGM < /proc/1/comm
if [ "${INITPGM}" = "systemd" ]; then
  echo "Running systemctl daemon-reload."
  systemctl daemon-reload
fi

%set_permissions %{_localstatedir}/log/ts-shell/

# Create symbolic links to the scripts from setup and boot directories
%service_add_post appldata.service
%service_add_post cio_ignore.service
%service_add_post cpacfstatsd.service
%service_add_post cpi.service
%service_add_post cpuplugd.service
%service_add_post dumpconf.service
%service_add_post hsnc.service
%service_add_post mon_fsstatd.service
%service_add_post mon_procd.service
%service_add_post virtsetup.service
%service_add_post vmlogrdr.service
%service_add_post xpram.service

# Create the initial versions of the sysconfig files:
%{fillup_only -n appldata}
%{fillup_only -n cpi}
%{fillup_only -n dumpconf}
%{fillup_only -n hsnc}
%{fillup_only -n mon_fsstatd}
%{fillup_only -n mon_procd}
%{fillup_only -n mon_statd}
%{fillup_only -n virtsetup}
%{fillup_only -n xpram}

%triggerin -- kernel-default
grep -q '^%{_bindir}/ts-shell$' %{_sysconfdir}/shells \
	|| echo "%{_bindir}/ts-shell" >> %{_sysconfdir}/shells

%{?regenerate_initrd_post}

%post -n osasnmpd
%{fillup_only -n osasnmpd}

%post -n libekmfweb1
ldconfig

%post -n libkmipclient1
ldconfig

%post chreipl-fcp-mpath
%udev_rules_update

%preun
%service_del_preun appldata.service
%service_del_preun cio_ignore.service
%service_del_preun cpacfstatsd.service
%service_del_preun cpi.service
%service_del_preun cpuplugd.service
%service_del_preun dumpconf.service
%service_del_preun hsnc.service
%service_del_preun mon_fsstatd.service
%service_del_preun mon_procd.service
%service_del_preun virtsetup.service
%service_del_preun vmlogrdr.service
%service_del_preun xpram.service

%postun
%service_del_postun appldata.service
%service_del_postun cio_ignore.service
%service_del_postun cpacfstatsd.service
%service_del_postun cpi.service
%service_del_postun cpuplugd.service
%service_del_postun dumpconf.service
%service_del_postun hsnc.service
%service_del_postun mon_fsstatd.service
%service_del_postun mon_procd.service
%service_del_postun virtsetup.service
%service_del_postun vmlogrdr.service
%service_del_postun xpram.service

%postun -n libekmfweb1
ldconfig

%postun -n libkmipclient1
ldconfig

# Even though SLES15+ is systemd based, the build service doesn't
# run it, so we have to make sure we can safely issue the
# systemctl command.
read INITPGM < /proc/1/comm
if [ "${INITPGM}" = "systemd" ]; then
  echo "Running systemctl daemon-reload."
  systemctl daemon-reload
fi

if [ ! -x /boot/zipl ]; then
	echo "Attention, after uninstalling this package,"
	echo "you will NOT be able to IPL from DASD anymore!!!"
fi

if test x$1 = x0; then
	# remove ts-shell from /etc/shells
	grep -v '^%{_bindir}/ts-shell$' %{_sysconfdir}/shells > %{_sysconfdir}/shells.ts-new
	mv %{_sysconfdir}/shells.ts-new %{_sysconfdir}/shells
	chmod 0644 %{_sysconfdir}/shells
fi

%{?regenerate_initrd_post}

%posttrans
# Migration of modprobe.conf files to _modprobedir
for _f in %{?modprobe_d_files}; do
    [ ! -f "/etc/modprobe.d/${_f}.rpmsave" ] || \
        mv -fv "/etc/modprobe.d/${_f}.rpmsave" "/etc/modprobe.d/${_f}" || :
done
%{?regenerate_initrd_posttrans}

%preun -n osasnmpd
%{stop_on_removal osasnmpd}

%files -f %{_builddir}/%{name}.list

%doc README.md
%doc README.SUSE

%doc iucvterm/doc/ts-shell
%doc zpxe.rexx
%doc zipl.conf.sample
%dir %{_sysconfdir}/iucvterm
%config %attr(0640,root,ts-shell) %{_sysconfdir}/iucvterm/ts-audit-systems.conf
%config %attr(0640,root,ts-shell) %{_sysconfdir}/iucvterm/ts-authorization.conf
%config %attr(0640,root,ts-shell) %{_sysconfdir}/iucvterm/ts-shell.conf
%config %attr(0640,root,ts-shell) %{_sysconfdir}/iucvterm/unrestricted.conf
%dir %attr(0770,root,zkeyadm) %{_sysconfdir}/zkey
%dir %attr(0770,root,zkeyadm) %{_sysconfdir}/zkey/kmip
%dir %attr(0770,root,zkeyadm) %{_sysconfdir}/zkey/kmip/profiles
%dir %attr(0770,root,zkeyadm) %{_sysconfdir}/zkey/repository
%config %{_sysconfdir}/zkey/kmip/profiles/*
%config(noreplace) %{_sysconfdir}/ziplenv
%dir %{_modprobedir}
%{_modprobedir}/90-s390-tools.conf
%config %{_sysconfdir}/cpuplugd.conf
%config %{_sysconfdir}/zkey/kms-plugins.conf
%config(noreplace) /boot/zipl/active_devices.txt
%dir %attr(2770,root,ts-shell) %{_localstatedir}/log/ts-shell
%dir %{_sysconfdir}/cmsfs-fuse
%config %attr(0640,root,root) %{_sysconfdir}/cmsfs-fuse/filetypes.conf
%dir %{_prefix}/lib/mdevctl
%dir %{_prefix}/lib/mdevctl/scripts.d
%dir %{_prefix}/lib/mdevctl/scripts.d/callouts
%dir %{_prefix}/lib/s390-tools
%dir %{_prefix}/lib/s390-tools/zfcpdump
%dir %{_prefix}/lib/udev/rules.d
%dir %{_prefix}/lib/systemd/scripts
%dir %{_datadir}/s390-tools
%dir %{_datadir}/s390-tools/netboot
%dir %{_datadir}/s390-tools/genprotimg
%dir %{_prefix}/lib/dracut/modules.d/95zdev
%dir %{_prefix}/lib/dracut/modules.d/95zdev-kdump
%dir %{_prefix}/lib/dracut/modules.d/96zdev-live
%dir %{_prefix}/lib/dracut/modules.d/99ngdump
%dir /boot/zipl
%dir %{_libdir}/zkey
%{_libdir}/zkey/zkey-ekmfweb.so
%dir /lib/s390-tools/
/lib/s390-tools/zipl.conf
%{_prefix}/lib/modules-load.d/pkey.conf
%exclude %{_prefix}/lib/udev/rules.d/57-osasnmpd.rules
%exclude %{_bindir}/zdsfs
%exclude %{_bindir}/hmcdrvfs
%exclude %{_sbindir}/lshmc
%exclude %{_mandir}/man1/zdsfs.1.gz
%exclude %{_mandir}/man1/hmcdrvfs.1.gz
%exclude %{_mandir}/man8/lshmc.8.gz
###
%dir /etc/mdevctl.d/scripts.d/
%dir /etc/mdevctl.d/scripts.d/callouts/
###
%exclude /lib/s390-tools/stage3.bin
%exclude %{_datadir}/s390-tools/genprotimg/stage3a.bin
%exclude %{_datadir}/s390-tools/genprotimg/stage3b_reloc.bin
###

%files -n osasnmpd -f %{_builddir}/%{name}.osasnmp
%{_libexecdir}/net-snmp/agents/osasnmpd

%files zdsfs
%doc CAUTION
%{_bindir}/zdsfs
%{_mandir}/man1/zdsfs.1%{?ext_man}

%files hmcdrvfs
%{_bindir}/hmcdrvfs
%{_sbindir}/lshmc
%{_mandir}/man1/hmcdrvfs.1%{?ext_man}
%{_mandir}/man8/lshmc.8%{?ext_man}

%files -n libekmfweb1
%{_libdir}/libekmfweb.so.*

%files -n libekmfweb1-devel
%{_libdir}/libekmfweb.so
%dir %attr(755,root,root) %{_includedir}/ekmfweb
%attr(644,root,root) %{_includedir}/ekmfweb/ekmfweb.h

%files -n libkmipclient1
%{_libdir}/libkmipclient.so.*

%files -n libkmipclient1-devel
%{_libdir}/libkmipclient.so
%dir %attr(755,root,root) %{_includedir}/kmipclient
%attr(644,root,root) %{_includedir}/kmipclient/kmipclient.h

%files chreipl-fcp-mpath
%doc chreipl-fcp-mpath/README.md
## Requires build+install with ENABLE_DOC=1
#doc chreipl-fcp-mpath/README.html
%dir %{_prefix}/lib/chreipl-fcp-mpath/
%{_prefix}/lib/chreipl-fcp-mpath/*
%{_prefix}/lib/dracut/dracut.conf.d/70-chreipl-fcp-mpath.conf
%{_prefix}/lib/udev/chreipl-fcp-mpath-is-ipl-tgt
%{_prefix}/lib/udev/chreipl-fcp-mpath-is-ipl-vol
%{_prefix}/lib/udev/chreipl-fcp-mpath-is-reipl-zfcp
%{_prefix}/lib/udev/chreipl-fcp-mpath-record-volume-identifier
%{_prefix}/lib/udev/chreipl-fcp-mpath-try-change-ipl-path
%{_udevrulesdir}/70-chreipl-fcp-mpath.rules
%{_mandir}/man7/chreipl-fcp-mpath.7%{?ext_man}

### genprotimg
%files genprotimg-data
/lib/s390-tools/stage3.bin
%{_datadir}/s390-tools/genprotimg/stage3a.bin
%{_datadir}/s390-tools/genprotimg/stage3b_reloc.bin

### _endif
### *** !s390x ************************************************************************* ###
### _ifarch x86_64
%else

%prep
%autosetup -p1

install -D -m 0644 %{SOURCE200} .cargo/config
tar -xzf %{SOURCE201}

%build
export OPT_FLAGS="%{optflags}"
export KERNELIMAGE_MAKEFLAGS="%%{?_smp_mflags}"
%make_build \
     DISTRELEASE=%{release} \
     UDEVRUNDIR=/run/udev \
     HAVE_CARGO=1 \
     HAVE_DRACUT=1

%install
%make_install \
     DISTRELEASE=%{release} \
     SYSTEMDSYSTEMUNITDIR=%{_unitdir} \
     UDEVRUNDIR=/run/udev \
     HAVE_CARGO=1 \
     HAVE_DRACUT=1

%files
%{_prefix}/bin/*
%dir %{_datadir}/s390-tools
%dir %{_datadir}/s390-tools/genprotimg
%{_datadir}/s390-tools/genprotimg/check_hostkeydoc
%{_mandir}/man1/*

%endif

%changelog
* Mon Sep 16 2024 Nikolay Gueorguiev <nikolay.gueorguiev@suse.com>
  * Applied patches (bsc#1230345)
  - zipl/src: add basic support for multiple target base disks
  - s390-tools-01-zipl-src-add-basic-support-for-multiple-target-base-disks.patch
  - s390-tools-02-zipl-src-add-basic-support-for-multiple-target-base-disks.patch
* Mon Aug 26 2024 Nikolay Gueorguiev <nikolay.gueorguiev@suse.com>
  * Applied a patch to fix Rust compilation errors (bsc#1229461)
  - s390-tools-2.34-Fix-Rust-compilation-errors.patch
  - Fix: s390-tools: Rust compilation errors (s390_pv_core), build fails with
    "error: unnecessary qualification"
  * Added BuildRequieres in the .spec file
  - perl-Bootloader >= 0.4.15
* Mon Aug 19 2024 Nikolay Gueorguiev <nikolay.gueorguiev@suse.com>
  * Upgrade s390-tools to version 2.34 (jsc#PED-3223,jsc#PED-9591)
  * ** v2.34.0
  * Changes of existing tools:
  - ap_tools/ap-check: Add support for vfio-ap dynamic configuration
  - dbginfo.sh: Update/Add additional DASD data collection
  - dumpconf: Add new parameter 'SCP_DATA' for SCSI/NVMe/ECKD dump devices
  - libutil: Make formatted meta-data configurable
  - s390-tools: Replace 'which' with built-in 'command -v'
  - zdump/dfi_elf: Support core dumps of vr-kernels
  * Bug Fixes:
  - chzdev: Fix warning about failed ATTR writes by udev
  - rust/pv: Try again if first CRL-URI is invalid
  - rust/pvattest: Add short option for --arpk
  - zdump: Fix 'zgetdump -i' ioctl error on s390 formatted dump file
  * ** v2.33.1
  * Bug Fixes:
  - s390-tools: Fix formatting and typos in README.md
  - s390-tools: Fix release string
  * ** v2.33.0
  * Add new tools / libraries:
  - chpstat: New tool for displaying channel path statistics
  - libutil: Add output format helpers(util_fmt: JSON, JSON-SEQ, CSV, text pairs)
  * Changes of existing tools / libraries:
  - chzdev: Add --is-owner to identify files created by zdev
  - dasdfmt: Change default mode to always use full-format (Note: affects ESE DASD)
  - libap: Significantly reduce delay time between file lock retries
  - pvattest: Rewrite from C to Rust
  - pvattest: Support additional data & user-data
  - rust/pv: Support for Attestation
  * Bug Fixes:
  - chreipl: Improve disk type detection when running under QEMU
  - dbginfo.sh: Use POSIX option with uname
  - s390-tools: Fix missing hyphen escapes in the man page for many tools
  - zipl/src: Fix bugs in disk_get_info() reproducible in corner cases
  * ** v2.32.0
  * Changes of existing tools:
  - cpumf/lscpumf: add support for machine type 3932
  - genprotimg, pvattest, and pvsecret accept IBM signing key with Armonk as
    subject locality
  - zdump/zipl: Support for List-Directed dump from ECKD DASD
  - zkey: Detect FIPS mode and generate PBKDF for luksFormat according to it
  * Bug Fixes:
  - dbginfo.sh: dash compatible copy sequence
  - rust/pv_core: Fix UvDeviceInfo::get() method
  - zipl/src: Fix leak of files if run with a broken configuration
  - zkey: Fix convert command to accept only keys of type CCA-AESDATA
  * Revendored vendor.tar.gz
  * Removed obsolete patches
  - s390-tools-sles15sp5-01-rust-pv-support-Armonk-in-IBM-signing-key-subject.patch
  - s390-tools-sles15sp6-02-genprotimg-support-Armonk-in-IBM-signing-key-subject.patch
  - s390-tools-sles15sp6-03-libpv-support-Armonk-in-IBM-signing-key-subject.patch
  - s390-tools-sles15sp6-04-pvattest-Fix-root-ca-parsing.patch
  - s390-tools-sles15sp6-genprotimg-makefile.patch
* Thu Jul 11 2024 Nikolay Gueorguiev <nikolay.gueorguiev@suse.com>
- Applied a new patch (bsc#1227602)
  * s390-tools-slfo-01-parse-ipl-device-for-activation.patch
- Removed the old 'initial' patch
  * s390-tools-sles15sp6-01-parse-ipl-device-for-activation.patch
* Thu Jun 20 2024 Nikolay Gueorguiev <nikolay.gueorguiev@suse.com>
- Amended read_values.c (bsc#1226609)
  * Added print for 'qc_type_name', amended the layers
- Updated %%description in the .spec file
* Thu Apr 25 2024 Dominique Leuenberger <dimstar@opensuse.org>
- s390-tools-genprotimg-data needs to require filesystem in order
  to ensure we are not installed before potential UsrMerge
  migration code was running (boo#1223090).
* Thu Apr 18 2024 Nikolay Gueorguiev <nikolay.gueorguiev@suse.com>
- Applied an updated patch (bsc#1220949,bsc#1221873)
  * s390-tools-sles15sp6-01-parse-ipl-device-for-activation.patch
* Tue Apr 16 2024 Nikolay Gueorguiev <nikolay.gueorguiev@suse.com>
- Amended the .spec file for x86_64
  * Recommends: s390-tools-genprotimg-data
* Tue Apr 16 2024 Nikolay Gueorguiev <nikolay.gueorguiev@suse.com>
- Amended the .spec file for s390-tools-genprotimg-data-*.noarch.rpm
  * Removed the dependency on it on x86_64 platform
  * Updated the Summary and Description of the *.noarch.rpm (bsc#1222675)
* Fri Apr 12 2024 Nikolay Gueorguiev <nikolay.gueorguiev@suse.com>
- Updated the .spec file to enable Secure Execution in the Cloud (bsc#1222675)
  * Creates a s390-tools-genprotimg-data-*.noarch.rpm package which includes
    s390x bootload binaries for x86_64:
  - /lib/s390-tools/stage3.bin
  - /usr/share/s390-tools/genprotimg/stage3a.bin
  - /usr/share/s390-tools/genprotimg/stage3b_reloc.bin
  * Excludes the above binaries from the (main) s390-tools-*.s390x.rpm
  * Requires: s390-tools-genprotimg-data
* Thu Apr  4 2024 Nikolay Gueorguiev <nikolay.gueorguiev@suse.com>
- SE-tooling: New IBM host-key subject locality (s390-tools) (bsc#1222282)
  * s390-tools-sles15sp5-01-rust-pv-support-Armonk-in-IBM-signing-key-subject.patch
  * s390-tools-sles15sp6-02-genprotimg-support-Armonk-in-IBM-signing-key-subject.patch
  * s390-tools-sles15sp6-03-libpv-support-Armonk-in-IBM-signing-key-subject.patch
  * s390-tools-sles15sp6-04-pvattest-Fix-root-ca-parsing.patch
* Tue Apr  2 2024 Nikolay Gueorguiev <nikolay.gueorguiev@suse.com>
- Apllied a patch(bsc#1220949,bsc#1221873)
  * s390-tools-sles15sp6-01-parse-ipl-device-for-activation.patch
* Fri Mar 15 2024 Nikolay Gueorguiev <nikolay.gueorguiev@suse.com>
- Applied a patch (bsc#1221072)
  * s390-tools-sles15sp6-genprotimg-makefile.patch
* Tue Mar 12 2024 Nikolay Gueorguiev <nikolay.gueorguiev@suse.com>
- Amended the .spec file for x86_64 (jsc#PED-7135, jsc#IBM-1309)
* Wed Feb 21 2024 Nikolay Gueorguiev <nikolay.gueorguiev@suse.com>
- Applied a patch for kdump initrd (bsc#1219471)
  * s390-tools-sles15sp6-kdump-initrd-59-zfcp-compat-rules.patch
* Wed Feb 21 2024 ro@suse.de
- Provide groups as required by RPM 4.19
* Wed Feb  7 2024 Nikolay Gueorguiev <nikolay.gueorguiev@suse.com>
- Upgrade s390-tools to version 2.31 (jsc#PED-3275, jsc#PED-3223)
- General:
  * common.mak: Set default C/C++ standard to gnu11/gnu++11
- Add new tools / libraries:
  * pvapconfig: Tool to automatically configure APQNs in SE KVM guests
  * s390-tools: Provide pre-commit configuration
- Changes of existing tools:
  * cpuplugd: Adjust to CPU 0 being no longer hotpluggable
  * dbginfo.sh: Check for Dynamic Partition Mode
  * dbginfo.sh: Update man page and copyright
  * rust/pv: Add user-data signing and verifying
  * rust/pvsecret: Add user defined signatures and verifications
  * zdev/dracut: Consolidate device configuration
- Bug Fixes:
  * dbginfo.sh: Fix relative path on script copy
  * libkmipclient: Fix build with libxml2-2.12.0
  * pvsecret: Fix panic if empty file is used as host key document
  * rust/pv: Fix 'elided_lifetimes_in_associated_constant' warning
* Thu Feb  1 2024 Nikolay Gueorguiev <nikolay.gueorguiev@suse.com>
- Updated read_values.c (bsc#1219227)
* Wed Jan 24 2024 Nikolay Gueorguiev <nikolay.gueorguiev@suse.com>
- Updated the .spec file
  * Explicitly specified 'ExclusiveArch: s390x x86_64'
* Sun Dec 17 2023 Nikolay Gueorguiev <nikolay.gueorguiev@suse.com>
- Updated the .spec file to use gcc13 (bsc#1217838)
- Amended read_values for '-S' option (bsc#1217923)
* Mon Dec  4 2023 Nikolay Gueorguiev <nikolay.gueorguiev@suse.com>
- Upgrade s390-tools to version 2.30
    (jsc#PED-5783, jsc#PED-6785, jsc#PED-7136, jsc#PED-6539, jsc#PED-4604,
    jsc#PED-6649, jsc#PED-7138 )
- Add new tools / libraries:
  * lspai: Tool to display PAI counter sets
  * s390-tools: Provide a ShellCheck configuration
- Changes of existing tools / libraries:
  * cpumf/pai: Add command line option for realtime scheduling
  * dbginfo.sh: enhance ethtool collection for ROCE
  * libutil/util_lockfile: add routine to return owning pid of file lock
  * lszcrypt: Improve lszcrypt output on SE guests
  * rust: Use a single workspace for all rust tools
  * zdev: limit the derivation of ZDEV_SITE_ID
  * zdump/df_s390: Update 'zgetdump -i' output with zlib info
  * zdump/dfi_s390: Support reading compressed s390_ext dumps
  * zipl/boot: Integrate zlib compression to single volume DASD dumper
  * zipl/boot: compile the bootloaders only if HOST_ARCH is s390x
  * zipl: Add --no-compress option to zipl command
  * zkey: Also check for deconfigured and check-stopped cards
- Bug Fixes:
  * ap_tools/ap-check: handle get-attributes between pre and post event
  * libutil: fix util_file_read_*() using wrong format specifiers
  * rust/pv: fix Invalid write of size
- Amended the SUSE patches for version 2.30
- Revendored vendor.tar.gz
- Removed an obsolete patch
  * s390-tools-sles15sp6-zkey-Support-EP11-AES-keys-with-prepended-header-to-.patch
* Fri Nov 24 2023 Nikolay Gueorguiev <nikolay.gueorguiev@suse.com>
- Provide s390-tools on x86_64 to enable Secure Execution in the Cloud
    (jsc#PED-578, jsc#PED-7136, and jsc#PED-7138)
  * Selected tools from the s390-tools package need to be made available on x86_64.
    This will enable the integration of IBM Z machines running Secure Execution in a
    cloud environment where users don't necessarily need to have an s390x environment.
  - genprotimg    - (for building secure images)
  - pvsecret      -
  - pvattest      - (for external attestation)
  - pvextract-hdr -
* Wed Nov 15 2023 Nikolay Gueorguiev <nikolay.gueorguiev@suse.com>
- Fixed a logic error in read_values.c
* Mon Nov 13 2023 Nikolay Gueorguiev <nikolay.gueorguiev@suse.com>
  * Upgrade 390-tools from version 2.25.0 to version v2.29.0 (Latest)
  * * * *
  - General:
  - s390-tools now supports tools written in Rust.
  - Add compdb Makefile target to create 'compile_commands.json' to support LSP
  - backends in IDEs and editors
  - Add new tools / libraries:
  * rust/pv: Library for pv tools written in rust
  * rust/pvsecret: Tool to manage UV-secrets
  * Changes of existing tools:
  - dbginfo.sh: Global IFS variable
  - genprotimg: Add support for add-secret requests
  - genprotimg: Build debuginfo files for bootloader
  - hyptop: Add real SMT utilization field
  - hyptop: Allow users to set speedup factor
  - pvattest: Add yaml-output for verify command
  - zipl: Build debuginfo files for bootloader
  * Bug Fixes:
  - dump2tar: Fix truncated paths
  - zdev/dracut: fix kdump build to integrate with site support
  * * * *
  * v2.28.0
  - Changes of existing tools:
  - chzcrypt: Support for SE AP pass-through support
  - genprotimg: Add support for non-s390x architectures
  - lszcrypt: Support for SE AP pass-through support
  - zdev: Add support for autoquiesce related sysfs attributes
  * Bug Fixes:
  - ap_tools/ap-check: Handle missing 'matrix' and 'control_domains' attrs
  - ap_tools/ap-check: Hold ap config file lock over get attributes
  - s390-tools: Fix build for ppc64le
  - zdev: Add missing label in the udev-rules
  - zdev: Add proper value input for the ZDEV_SITE_ID key
  - zdev: Use rename-file to avoid any symlinks created
  - zipl/dump: fix ngdump dracut helper script
  * * * *
  * v2.27.0
  * Changes of existing tools:
  - s390-tools cross-compile and non-s390x support:
  - pkg-config is now mandatory for the build process
  - Add PKG_CONFIG Makefile variable to select pkg-config program;
  - default pkg-config or $(CROSS_COMPILE)pkg-config if
  - CROSS_COMPILE is set
  - Rename Makefile variable ARCH to HOST_ARCH. HOST_ARCH is the
    architecture that will run the produced (executable) objects
  - Add the Makefile variable BUILD_ARCH. BUILD_ARCH is the
    architecture of the build system. For each Makefile variable like
    CC, LINK, CPP, ... there is a suffixed version of it - e.g.
    CC_FOR_BUILD. This is useful for cross compiling, and this naming
    convention is very similar to the Meson convention (see
    https://mesonbuild.com/Reference-tables.html#environment-variables-per-machine).
  - Limit build targets for non-s390x architectures (pvattest)
  - dasdfmt: Fall back to full format if space release fails
  - dbginfo.sh: Add nstat for network and SNMP stats
  - dbginfo.sh: Rework crypto data collection
  - hyptop: Show thread util by default
  - zipl: Add support for list-directed IPL dump from ECKD DASD
  * Bug Fixes:
  - lszcrypt: Fix argument parsing
  - zdev/dracut: Fix out-of-memory (OOM) situations in the kdump crashkernel environment
  - ziomon/ziorep_config: Fix for SCSI devices of type disk without block dev
  - pvextract-hdr: Fix parsing issues on little-endian systems
  * * * *
  * v2.26.0
  * Remove tools / libraries:
  - Remove vmconvert and libvmdump in favor of vmdump file support in zdump
  * Changes of existing tools:
  - ipl_tools: Add support for list-directed IPL from ECKD DASD
  - lszcrypt: Display hardware filtering support capability
  - vmur: Remove option -c for dump file conversion (See zdump changes)
  - zdev: Add zfcp ber_stop parameter handling
  - zdump: Add vmdump dfi for vmdump format to elf format
  - zkey: Support EP11 host library version
  * Bug Fixes:
  - zipl: Move dump parmline processing and verification
  - zipl/genprotimg: Various build improvements
  * * * *
  * Removed obsolete IBM patches
  - s390-tools-sles15sp5-zipl-boot-disable-Warray-bounds-for-now.patch
  - s390-tools-sles15sp5-zkey-Support-EP11-host-library-version-4.patch
  * Removed obsolete patches for bug 1208527, and bug 1206173
  - s390-tools-sles15sp5-01-zipl-boot-discard-.eh_frame-and-.interp-input-sectio.patch
  - s390-tools-sles15sp5-02-zipl-boot-declare-that-no-executable-stack-is-requir.patch
  - s390-tools-sles15sp5-03-zipl-boot-use-no-warn-rwx-segments-linker-flag.patch
  - s390-tools-sles15sp5-04-zipl-boot-disable-build-id.patch
  - s390-tools-sles15sp5-05-zipl-boot-simplify-objcopy-commands.patch
  - s390-tools-sles15sp5-06-zipl-move-STAGE2_MAX_SIZE-and-STAGE1B_LOAD_ADDR-to-l.patch
  - s390-tools-sles15sp5-07-zipl-boot-use-linker-scripts-for-all-bootloaders.patch
  - s390-tools-sles15sp5-08-genprotimg-boot-declare-that-no-executable-stack-is-.patch
  - s390-tools-sles15sp5-09-genprotimg-boot-use-no-warn-rwx-segments-linker-flag.patch
  - s390-tools-sles15sp5-10-genprotimg-boot-disable-build-id.patch
  - s390-tools-sles15sp5-11-genprotimg-boot-Makefile-simplify-objcopy-command.patch
  - s390-tools-sles15sp5-12-genprotimg-boot-improve-linker-scripts.patch
  - s390-tools-sles15sp5-13-genprotimg-boot-stage3b-add-size-check-to-the-linker.patch
  - s390-tools-sles15sp5-14-genprotimg-boot-stage3b_reloc.bin-add-linker-script.patch
  - s390-tools-sles15sp5-15-zipl-Embed-loader-data-directly-into-boot-object.patch
  * Removed obsolete patch for bug 1209196
  - s390-tools-sles15sp5-lszcrypt-use-separate-index-for-inner-sub-device-loo.patch
  * Removed obsolete patches for bug 1211008
  - s390-tools-sles15sp5-01-ziomon-ziorep_config-fix-missing-SG-major-minor-for-.patch
  - s390-tools-sles15sp5-02-ziomon-ziorep_config-fix-for-SCSI-devices-of-type-di.patch
  * Removed obsolete patch for bug 1213377
  - s390-tools-sles15sp5-01-zdev-add-missing-label-in-the-udev-rules.patch
  * Removed obsolete patches for bug 1213852
  - s390-tools-sles15sp5-01-zdev-add-proper-value-input-for-the-ZDEV_SITE_ID-key.patch
  - s390-tools-sles15sp5-02-zdev-use-rename-file-to-avoid-any-symlinks-created.patch
  * Removed obsolete patch for bug 1214114
  - s390-tools-sles15sp5-dasdfmt-Fall-back-to-full-format-if-space-release-fa.patch
  * Removed obsolete patch
  - s390-tools-sles15sp5-fix-chown-commands-syntax.patch
* Thu Nov  2 2023 Nikolay Gueorguiev <nikolay.gueorguiev@suse.com>
- Applied a patch (jsc#PED-6539, jsc#PED-6373)
  * s390-tools-sles15sp6-zkey-Support-EP11-AES-keys-with-prepended-header-to-.patch
- Updated read_values.c (bsc#1214466, bsc#1214534)
  * Update read_values.c to support the new IBM z Processors
- Updated SUSE's tools and their corresponding man pages (bsc#1216257)
  * ctc_configure
  * dasd_configure.opensuse
  * dasd_configure.8
  * dasd_configure.suse
  * mkdump.pl.opensuse
  * mkdump.pl.suse
  * qeth_configure
  * qeth_configure.8
  * zfcp_disk_configure
  * zfcp_disk_configure.8
  * zfcp_host_configure.8
  * zfcp_host_configure
- Updated cputype script
  * Amended cputype to support the new IBM z Processors
* Mon Aug 21 2023 Nikolay Gueorguiev <nikolay.gueorguiev@suse.com>
- Applies patches (bsc#1213377, bsc#1213852, bsc#1214114)
  * s390-tools-sles15sp5-01-zdev-add-missing-label-in-the-udev-rules.patch
  * s390-tools-sles15sp5-01-zdev-add-proper-value-input-for-the-ZDEV_SITE_ID-key.patch
  * s390-tools-sles15sp5-02-zdev-use-rename-file-to-avoid-any-symlinks-created.patch
  * s390-tools-sles15sp5-dasdfmt-Fall-back-to-full-format-if-space-release-fa.patch
* Thu May  4 2023 Nikolay Gueorguiev <nikolay.gueorguiev@suse.com>
- Applied patches for ziomon: fix for SCSI devices of type disk without block dev
    (bsc#1211008)
  * s390-tools-sles15sp5-01-ziomon-ziorep_config-fix-missing-SG-major-minor-for-.patch
  * s390-tools-sles15sp5-02-ziomon-ziorep_config-fix-for-SCSI-devices-of-type-di.patch
* Tue May  2 2023 Nikolay Gueorguiev <nikolay.gueorguiev@suse.com>
- Applies a fix, splitting of rd.zdev-parameters, in
  * s390-tools-ALP-zdev-live.patch
* Wed Apr 19 2023 Nikolay Gueorguiev <nikolay.gueorguiev@suse.com>
- Tailored the .spec, added a patch
  * s390-tools-ALP-zdev-live.patch
* Thu Mar 23 2023 Nikolay Gueorguiev <nikolay.gueorguiev@suse.com>
- Allow activation of devices at boot via kernel command line
  for live installation media (jsc#PED-2975)
  * Added a Source dracut-zdev-live-20230321.tar
  * Updated the .spec file for the new Source
-  Amended read_value.c
* Mon Mar 13 2023 Nikolay Gueorguiev <nikolay.gueorguiev@suse.com>
- Applied a patch (bsc#1209196)
  * s390-tools-sles15sp5-lszcrypt-use-separate-index-for-inner-sub-device-loo.patch
* Wed Mar  8 2023 Nikolay Gueorguiev <nikolay.gueorguiev@suse.com>
- Updated cputype (bsc#1208983)
  * Changed the script to avoid "/usr/bin/cputype: line xx: nnnn: command not found",
    when machine type was found more than once in the /proc/cpuinfo.
* Tue Feb 21 2023 Nikolay Gueorguiev <nikolay.gueorguiev@suse.com>
- Applied the following patches (bsc#1208527, bsc#1206173)
  * s390-tools-sles15sp5-01-zipl-boot-discard-.eh_frame-and-.interp-input-sectio.patch
  * s390-tools-sles15sp5-02-zipl-boot-declare-that-no-executable-stack-is-requir.patch
  * s390-tools-sles15sp5-03-zipl-boot-use-no-warn-rwx-segments-linker-flag.patch
  * s390-tools-sles15sp5-04-zipl-boot-disable-build-id.patch
  * s390-tools-sles15sp5-05-zipl-boot-simplify-objcopy-commands.patch
  * s390-tools-sles15sp5-06-zipl-move-STAGE2_MAX_SIZE-and-STAGE1B_LOAD_ADDR-to-l.patch
  * s390-tools-sles15sp5-07-zipl-boot-use-linker-scripts-for-all-bootloaders.patch
  * s390-tools-sles15sp5-08-genprotimg-boot-declare-that-no-executable-stack-is-.patch
  * s390-tools-sles15sp5-09-genprotimg-boot-use-no-warn-rwx-segments-linker-flag.patch
  * s390-tools-sles15sp5-10-genprotimg-boot-disable-build-id.patch
  * s390-tools-sles15sp5-11-genprotimg-boot-Makefile-simplify-objcopy-command.patch
  * s390-tools-sles15sp5-12-genprotimg-boot-improve-linker-scripts.patch
  * s390-tools-sles15sp5-13-genprotimg-boot-stage3b-add-size-check-to-the-linker.patch
  * s390-tools-sles15sp5-14-genprotimg-boot-stage3b_reloc.bin-add-linker-script.patch
  * s390-tools-sles15sp5-15-zipl-Embed-loader-data-directly-into-boot-object.patch
* Thu Feb 16 2023 José Gómez <jose.gomez@suse.com>
- Implemented read_values -u. The result of -u is a unique identifier composed of:
  * Machine Serial Number.
  * LPAR Name.
  * VM Name (can be optional).
* Mon Feb  6 2023 Nikolay Gueorguiev <nikolay.gueorguiev@suse.com>
- Added patch (bsc#1207947)
  * s390-tools-sles15sp5-zkey-Support-EP11-host-library-version-4.patch
* Wed Jan 11 2023 Nikolay Gueorguiev <nikolay.gueorguiev@suse.com>
- Updated read_values.c for z16 machine type (bsc#1206832)
  * Added the IBM LinuxONE Emperor 4 machine type
  * Updated the z16 machine type to IBM z16 A01
* Tue Jan 10 2023 Nikolay Gueorguiev <nikolay.gueorguiev@suse.com>
- Updated read_values.c for z16 machine type (bsc#1206832)
* Tue Dec 27 2022 Ludwig Nussel <lnussel@suse.com>
- Replace transitional %%usrmerged macro with regular version check (boo#1206798)
* Mon Dec 12 2022 Nikolay Gueorguiev <nikolay.gueorguiev@suse.com>
- Updated to version 2.25.0 (jsc#PED-627)
  * __v2.25.0 (2022-12-12)__
  For Linux kernel version: 6.1
  Changes of existing tools:
  - ap_tools: Use new mdevctl installation location
  - lsdasd/tunedasd/zdev: Add support to handle copy pair relations presented by the DASD driver
  - zdev: Add --shell command line switch to generate output suitable for shell environments
  - zipl: Add List-Directed IPL from ECKD DASD to support secure boot
  Bug Fixes:
  - ipl_tools: Fix chreipl node for NVMes with CONFIG_NVME_MULTIPATH
  - libdasd: Fix bug that prevented positive ioctl return codes
- Updated s390-tools-sles15sp5-fix-chown-commands-syntax.patch to fit the current version
- Removed obsolete Patch002, and Patch003
  [#] Patch002:       s390-tools-sles15sp5-util_lockfile-fix-includes.patch
  [#] Patch003:       s390-tools-sles15sp5-ap_tools-ap-check-use-new-mdevctl-install-location.patch
* Tue Dec  6 2022 Mark Post <mpost@suse.com>
- Made extensive changes to the spec file to accomodate building
  this package on both openSUSE, which has implemented the
  "usrmerge" project, and SLES, which has not. This was accomplished
  by checking the usrmerged variable, and setting the value of the
  _mysbindir variable, accordingly. The files identified in the
  Thu May 26 2022 changelog entry, and also listed below, now have
  two versions. One for SLES, and one for openSUSE, with either
  ".suse" or ".opensuse" appended to the file name. The appropriate
  SOURCE variable is selected based on the usrmerged variable, and
  installed with the ".suse" or ".opensuse" suffix stripped from
  the name.
  * 59-graf.rules
  * dasd_configure
  * dasd_reload
  * detach_disks.sh
  * iucv_configure
  * killcdl
  * mkdump.pl
  * README.SUSE
  * s390-tools-sles12-update-by_id-links-on-change-and-add-action.patch
  * virtsetup.sh
  * vmlogrdr.service
* Mon Nov 28 2022 Mark Post <mpost@suse.com>
- Updated to version 2.24.0 (jsc#PED-627)
  * __v2.24.0 (2022-11-09)__
    For Linux kernel version: 6.0
    Add new tools / libraries:
  - Provide config files for checkpatch, codespell, and clang-format
    Changes of existing tools:
  - dbginfo.sh: Collect log from various distro tools (YaST, DNF, Anaconda)
  - dbginfo.sh: add Kubernetes data collection
  - libutil: Introduce util_lockfile
  - zdev: Add site-aware device configuration
  - zdump: Add support to read Protected Virtualization dumps
  - zipl/boot: Add secure boot trailer
    Bug Fixes:
  - ap_tools/ap-check: Reject start for control domains without usage
  - cpumf/lshwc: Fix incremented counter output
  - cpumf/pai: Fix core dump when summary flag set
  - dbginfo.sh: Ensure compatibility with /bin/dash shell
  - dbginfo.sh: Save dbginfo.sh version to dbginfo.log
  - zipl/src/zipl_helper.device-mapper: Fix bug in error path
  * __v2.23.0 (2022-08-18)__
    For Linux kernel version: 5.19
    Changes of existing tools:
  - Makefile: use common Make definition for DRACUTDIR
  - Makefile: use common Make definition for UDEVDIR and UDEVRULESDIR
  - cpacfstats: Add PAI and hotplug support
  - cpumf/pai: Omit file write progress information
  - dbginfo.sh: Get more details on lspci command
  - dumpconf: Prevent running the service in containers
  - libcpumf: Detect PMU named pai_ext
  - pvattest: Improve error reporting and logging
  - zdev: Add some --type ap examples to manpages
  - zkey: Use default benchmarked Argon2i with LUKS2
    Bug Fixes:
  - dbginfo.sh: Fix accidental ftrace buffer shrinkage/free
  - genprotimg: Fix BIO_reset() returncode handling
  - libpv: Fix dependency checking
  - pvattest: Fix dependency checking
  - zipl: Fix segmentation fault when no parmline is provided
  * __v2.22.0 (2022-06-20)__
    For Linux kernel version: 5.18
    Add new tools / libraries:
  - ap_tools: Introduce ap_tools and the ap-check tool
  - cpumf/pai: Add Processor Activity Instrumentation tool
  - libpv: New library for PV tools
  - pvattest: Add new tool to create, perform, and verify attestation measurements
  - zipl/zdump: Add Next Gen Dump (NGDump) support
    Changes of existing tools:
  - Move man pages to System commands section (lscpumf, lshwc, pai, dbginfo.sh, zfcpdbf, zipl-switch-to-blscfg)
  - README.md: Add 70-chreipl-fcp-mpath.rules to the list of udev rule descriptions
  - Remove SysV related daemon scripts (cpacfstatsd, cpuplugd, mon_statd)
  - genprotimg: Move man page to section 1 for user commands
  - hyptop: increase initial update interval
  - libseckey: Adapt keymgmt_match() implementation to OpenSSL
  - libutil: Add util_exit_code
  - libutil: Introduce util_udev
  - zdev: Introduce the ap device type
  - zipl-editenv: Add zIPL multienvironment support
  - zipl: Implement sorting BLS entries by versions
  - zkey: Add initramfs hook
    Bug Fixes:
  - cmsfs-fuse: Fix enabling of hard_remove option
  - s390-tools: Fix typos that were detected by lintian as 'typo-in-manual-page'
  - zkey-kmip: Fix possible use after free
  - zkey: Fix EP11 host library version checking
  - zkey_kmip: Setup ext-lib once the APQNs have been configured
  * __v2.21.0 (2022-04-20)__
    For Linux kernel version: 5.17
    Add new tools / libraries:
  - libcpumf: Create library libcpumf for CPU Measurement functions
    Changes of existing tools:
  - chreipl-fcp-mpath: bundle a pre-cooked version of the manpage for build
    environments without access to `pandoc`
  - dbginfo.sh: Add multipath info to map paths to FC addressing and prio group
  - dbginfo.sh: Collect config files of systemd-modules-load.service
  - dbginfo.sh: Sort list of environment variables for readability
  - dbginfo.sh: Replace "which" by builtin command "type"
  - dbginfo.sh: Rework script formatting (indents, order)
  - dbginfo.sh: Update sysfs collection (excludes, messages)
  - genprotimg: Add Protected Virtualization (PV) dump support
  - genprotimg: Remove DigiCert root CA pinning
  - lszcrypt: Add CEX8S support
  - zcryptctl: Add control domain handling
  - zcryptstats: Add CEX8 support
  - zipl: Allow optional entries that are left out when files are missing
  - zipl: make IPL sections defined with BLS to inherit a target field
  - zpcictl: Add option to trigger firmware reset
    Bug Fixes:
  - cpictl: Handle excessive kernel version numbers
  - dbginfo.sh: Collect all places where modprobe.d config files could exist
  - fdasd: Fix endless menu loop on EOF
  - zdump/dfi: Fix segfault due to double free
  - zdump: Fix /dev/mem reading
  - zpcictl: Fix race of SCLP reset and Linux recovery
  * __v2.20.0 (2022-02-04)__
    For Linux kernel version: 5.16
    Add new tools / libraries:
  - Add EditorConfig configuration
    Changes of existing tools:
  - s390-tools switches to Fuse 3 as Fuse 2 is deprecated.
    Affected tools: cmsfs, hmcdrvfs, hsavmcore, zdsfs, zdump
  - chreipl-fcp-mpath: don't compress the manpage before installing it
  - cpictl: Report extended version information
  - genprotimg: Add extended kernel command line support
  - zdev: modify the lsblk output parser in lszdev
  - zipl: Add support for longer kernel command lines (now supports up to 64k length)
    Bug Fixes:
  - cpictl: Suppress messages for unwritable sysfs files
  - dbginfo.sh: Fix missing syslog for step create_package
  - lshwc: Fix CPU list parameter setup for device driver
  - zdev: Check for errors when removing a devtype setting
  - zdev: Fix path resolution for multi-mount point file systems
- Updated s390-tools-sles15sp3-remove-no-pie-link-arguments.patch
  to fit the new version, and renamed it to
  s390-tools-sles15sp5-remove-no-pie-link-arguments.patch.
- Added s390-tools-sles15sp5-util_lockfile-fix-includes.patch to fix a
  compilation problem. One source file was missing an include statement
  for unistd.h.
- Added s390-tools-sles15sp5-ap_tools-ap-check-use-new-mdevctl-install-location.patch
  An executable binary was being installed under /etc, which is
  an FHS violation.
- Modified spec file to
  * Change BuildRequires for fuse-devel to fuse3-devel.
  * Remove obsolete BuildRequires for libpfm-devel
  * Add a BuildRequires for mdevctl and systemd-devel
  * Added a %%files entry for dir %%{_prefix}/lib/dracut/modules.d/99ngdump
  * Added %%config(noreplace) for the new file %%{_sysconfdir}/ziplenv
  * Uncomment the %%files entry for %%{_mandir}/man7/chreipl-fcp-mpath.7%%{?ext_man}
    Specifying ENABLE_DOC=1 is no longer needed for it to be generated.
  * Add %%dir entries for
    %%{_prefix}/lib/mdevctl,
    %%{_prefix}/lib/mdevctl/scripts.d, and
    %%{_prefix}/lib/mdevctl/scripts.d/callouts
    NOTE that these directories do not belong to this package, but
    the mdevctl package has yet to be updated to claim them. So,
    until that happens, we have to temporarily claim ownership of
    them for the s390-tools package to build.
- Updated the s390-tools-rpmlintrc file to suppress two warnings about
  the /boot/zipl/active_devices.txt file.
- Removed the following obsolete patches:
  * s390-tools-sles15sp4-chreipl-fcp-mpath-don-t-compress-the-manpage-before-.patch
  * s390-tools-sles15sp4-chreipl-fcp-mpath-remove-shebang-from-chreipl-fcp-mp.patch
  * s390-tools-sles15sp4-zdev-modify-the-lsblk-output-parser-in-lszdev.patch
  * s390-tools-sles15sp4-zdev-Fix-path-resolution-for-multi-mount-point-file-.patch
  * s390-tools-sles15sp4-01-genprotimg-remove-DigiCert-root-CA-pinning.patch
  * s390-tools-sles15sp4-02-genprotimg-check_hostkeydoc-relax-default-issuer-che.patch
  * s390-tools-sles15sp4-libseckey-Fix-re-enciphering-of-EP11-secure-key.patch
  * s390-tools-sles15sp4-zdump-fix-segfault-due-to-double-free.patch
  * s390-tools-sles15sp4-libseckey-Adapt-keymgmt_match-implementation-to-Open.patch
  * s390-tools-sles15sp4-genprotimg-boot-disable-Warray-bounds-for-now.patch
  * s390-tools-sles15sp4-hyptop-increase-initial-update-interval.patch
  * s390-tools-sles15sp4-zipl-boot-add-secure-boot-trailer.patch
- Added s390-tools-sles15sp5-zipl-boot-disable-Warray-bounds-for-now.patch
  With this version, the same false positive of "array subscript 0
  is outside array bounds" that was previously seen in the
  genprotimage/boot directory is now happening in zipl/boot.
- Added s390-tools-sles15sp5-fix-chown-commands-syntax.patch to
  eliminate a bunch of warnings. The new version of chown complains
  if the deprecated 'owner.group' syntax is used instead of the
  'owner:group' syntax.
* Thu Nov  3 2022 Mark Post <mpost@suse.com>
- Added s390-tools-sles15sp4-zipl-boot-add-secure-boot-trailer.patch
  for bsc#1204965. New IBM Z firmware requires all signed boot
  images to contain a trailing data block with a specific format.
* Mon Jul 18 2022 Mark Post <mpost@suse.com>
- Added s390-tools-sles15sp4-hyptop-increase-initial-update-interval.patch
  for bsc#1201412. Initial iteration of hyptop can produce bloated values
  independent from the update delay set by the user.
* Thu Jun  2 2022 Mark Post <mpost@suse.com>
- Added s390-tools-sles15sp4-genprotimg-boot-disable-Warray-bounds-for-now.patch
  to fix a build failure with gcc12. With gcc12, a "false positive"
  of "array subscript 0 is outside array bounds" is seen in
  genprotimg/boot/stage3a.c (bsc#1200131).
* Thu May 26 2022 Mark Post <mpost@suse.com>
- Modifed the spec file to install all binaires in /usr/sbin instead of /sbin
  to align with the "usrmerge" initiative in openSUSE. (bsc#1195914) Also
  modified the following files that SUSE provides that need to reflect this
  change:
  * 59-graf.rules
  * dasd_configure
  * dasd_reload
  * detach_disks.sh
  * iucv_configure
  * killcdl
  * mkdump.pl
  * README.SUSE
  * s390-tools-sles12-update-by_id-links-on-change-and-add-action.patch
  * virtsetup.sh
  * vmlogrdr.service
- Added s390-tools-sles15sp4-libseckey-Adapt-keymgmt_match-implementation-to-Open.patch
  for bsc#1199649. zkey: KMIP plugin fails to connection to KMIP server
  When a zkey key repository is bound to the KMIP plugin, and the
  connection to the KMIP server is to be configired using command
  'zkey kms configure --kmip-server <server>', it fails to connect
  to the specified KMIP server.
- Added s390-tools-sles15sp4-genprotimg-boot-disable-Warray-bounds-for-now.patch
  to fix a build failure with gcc12. With gcc12, a "false positive"
  of "array subscript 0 is outside array bounds" is seen in
  genprotimg/boot/stage3a.c (bsc#1200131).
* Tue May  3 2022 Mark Post <mpost@suse.com>
- Added s390-tools-sles15sp4-zdump-fix-segfault-due-to-double-free.patch
  for bsc#1199128. zgetdump --info may lead to a core dump when
  issued for the device node (not a partition) right after
  installing multi-volume dump tool (without taking actual dump).
* Thu Apr 14 2022 Mark Post <mpost@suse.com>
- Updated the cputype script to include the model number of IBM's
  recently announced z16 processor.
* Mon Apr 11 2022 Mark Post <mpost@suse.com>
- Added the following patches for bsc#1198285:
  s390-tools-sles15sp4-01-genprotimg-remove-DigiCert-root-CA-pinning.patch
  s390-tools-sles15sp4-02-genprotimg-check_hostkeydoc-relax-default-issuer-che.patch
  The certificate verification of check_hostkeydoc is too strict and
  doesn't match the checking performed by genprotimg.
- Added the following patch for bsc#1198284:
  s390-tools-sles15sp4-libseckey-Fix-re-enciphering-of-EP11-secure-key.patch
  When re-enciphering the identity key and/or wrapping key of the
  zkey KMIP plugin via 'zkey kms reencipher', the operation
  completes without an error, but the secure keys are left
  un-reenciphered.
* Fri Mar  4 2022 Martin Wilck <mwilck@suse.com>
- install modprobe.conf files into %%_modprobedir (bsc#1196275, jsc#SLE-20639)
* Tue Feb 22 2022 Mark Post <mpost@suse.com>
- Added s390-tools-sles15sp4-zdev-modify-the-lsblk-output-parser-in-lszdev.patch
  for bsc#1196255. Version 2.37+ of util-linux modified the output
  characters of lsblk,which breaks the parser function.
- Added s390-tools-sles15sp4-zdev-Fix-path-resolution-for-multi-mount-point-file-.patch
  for bsc#1196254. Path resolution fails when a device provides
  multiple mount points such as, for example, when using btrfs
  subvolumes, or when mounting the same file system at multiple
  mount points.
* Wed Jan 12 2022 Mark Post <mpost@suse.com>
- Upgraded to version 2.19.0 (jsc#SLE-18324)
  * v2.19.0 (2021-11-10)__
    Add new tools / libraries:
  - chreipl-fcp-mpath: New toolset that uses multipath information to change
    the configured FCP re-IPL path on detecting issues with the current path
    Changes of existing tools:
  - dbginfo.sh: Add retry timeout and remove possible blocking "blockdev --report"
  - dbginfo.sh: Collect config- and debug-data for chreipl-fcp-mpath
  - hsci: Add support for multiple MAC addresses
    Bug Fixes:
  - lshwc: Fix compile error for gcc <8.1
  - zdump: Various clean-ups and fixes
  - ziomon: Correct throughput calculation in ziorep_printers
  - zipl: Fix segmentation fault when setting stage3_parms
  * v2.18.0 (2021-10-01)__
    Add new tools:
  - scripts: Add tool for parsing sclp s390dbf logs
  - zdev: Add udev rule helper tool
  - zipl-editenv: Add tool to operate with zIPL environment installed in the boot record
    Changes of existing tools:
  - Makefile: Fix order of build of libraries for parallel builds
  - dbginfo.sh: Add collection in area of timedate, coredump and --check option
  - dbginfo.sh: Add exception on dump2tar for /sys/kernel/mm/page_idle/bitmap
  - dbginfo.sh: Cleanup of outdated sections and general code rework
  - dbginfo.sh: Collect zipl boot menu entries from boot loader specification
  - lszcrypt: Add support for vfio-ap status field
  - lszcrypt: Improved output for deconfig cards and queues
  - lszfcp: Add linkdown case to host marker of extended output
  - zdev: Add auto-config for PCI and crypto devices
  - zdump: Introduce multi-level message logging
  - zipl: Add support for environment block interpretation
  - zkey-cryptsetup: Support LUKS2 volumes with integrity support enabled
    Bug Fixes:
  - hsavmcore: Avoid recompilation of overlay during install step
  - libkmipclient: Fix parsing of hex values for XML and JSON encoding
  - vmur/vmur.cpp: Fix error handling on transfer failure
  - zdump: Lots of smaller fixes across the board
  * v2.17.0 (2021-07-07)__
    Add new tools / libraries:
  - hsavmcore: New utility to make the dump process with kdump more efficient
  - libkmipclient: Add KMIP client shared library
  - libseckey: Add a secure key library
  - lshwc: New tool to extract and list complete counter sets
    Changes of existing tools:
  - genprotimg: Add '--(enable|disable)-pckmo' options
  - genprotimg: Add OpenSSL 3.0 support
  - genprotimg: Change plaintext control flags defaults so PCKMO functions are allowed
  - libutil: Introduce multi-level message logging (util_log)
  - libutil: Introduce util_arch module
  - udev/dasd: Change DASD udev-rule to set none scheduler
  - zdsfs: Add transparent codepage conversion
  - zkey: Add support for KMIP-based key management systems
    Bug Fixes:
  - ttyrun-getty: Avoid conflicts with serial-getty@
  - dbginfo: add /proc/kallsyms - refresh zVM, lscpu - fix WORKARCHIVE handling
  - dbginfo: add KVM data collection for server and guest - fix lszdev
  - genprotimg: Add missing return values in error paths
  - zkey: Fix conversion of CCA DATA keys to CCA CIPHER keys
  - znetconf: avoid conflict with "chzdev -e"
  * v2.16.0 (2021-02-19)__
    Add new tool:
  - hsci: New tool to manage HSCI (HiperSockets Converged Interfaces)
    Changes of existing tools:
  - genprotimg: Add host-key document verification support
  - genprotimg: boot: Make boot loader -march=z900 compatible
  - libekmfweb: Make install directory for shared libraries configurable
  - lsdasd: Add FC Endpoint Security information
  - make: Add address sanitizer support
  - netboot: Add version information to scripts
  - netboot: Bump busybox version in pxelinux.0 build
  - zdev: Add FC Endpoint Security information for DASD devices
  - zdev: Add build option to update initial RAM-disk by default
  - zkey-ekmfweb: Avoid sequence number clash when generating keys
  - zkey/zkey-ekmfweb: Install KMS plugins into configurable location
  - zkey: Add support to store LUKS2 dummy passphrase in key repository
    Bug Fixes:
  - dasdfmt: Fix segfault when an incorrect option is specified
  - genprotimg: Fix several build issues
  - genprotimg: Require argument for 'ramdisk' and 'parmfile' options
  - zcryptstats: Fix handling of partial results with many domains
  - zfcpdbf: Deal with crash 7.2.9 change in caller name formatting
  - zipl/boot: Fix memory use after free in stage2
  - zipl/boot: Fix potential heap overflow in stage2
  - zipl: Fix reading 4k disk's geometry
- Added the following two IBM patches:
  * s390-tools-sles15sp4-chreipl-fcp-mpath-don-t-compress-the-manpage-before-.patch
  * s390-tools-sles15sp4-chreipl-fcp-mpath-remove-shebang-from-chreipl-fcp-mp.patch
- Removed the following obsolete patches
  * s390-tools-sles15sp3-dasdfmt-Fix-segfault-when-an-incorrect-option-is-spe.patch
  * s390-tools-sles15sp3-libutil-Compare-proc-entries-to-vfstype.patch
  * s390-tools-sles15sp3-01-zdev-Add-FC-Endpoint-Security-information-for-DASD-d.patch
  * s390-tools-sles15sp3-02-lsdasd-Add-FC-Endpoint-Security-information.patch
  * s390-tools-sles15sp3-hsci-Add-new-tool-to-control-HiperSockets-Converged-.patch
  * s390-tools-sles15sp3-zcryptstats-Fix-handling-of-partial-results-with-man.patch
  * s390-tools-sles15sp3-01-genprotimg-abort-if-one-of-the-recursive-targets-is-.patch
  * s390-tools-sles15sp3-02-genprotimg-fix-two-memory-leaks.patch
  * s390-tools-sles15sp3-03-genprotimg-require-argument-for-ramdisk-and-parmfile.patch
  * s390-tools-sles15sp3-04-genprotimg-add-host-key-document-verification-suppor.patch
  * s390-tools-sles15sp3-zkey-Fix-APQN-property-names.patch
  * s390-tools-sles15sp3-zipl-fix-4k-scsi-ipl.patch
  * s390-tools-sles15sp3-dasd-change-DASD-udev-rule-to-set-none-scheduler.patch
  * s390-tools-sles15sp3-check-return-code-from-util_file_read_l.patch
  * s390-tools-sles15sp3-dbginfo.sh-exclude-page_idle-bitmap.patch
- Removed an obsolete "export ROOT_BUILD_DIR" statement from the spec file.
- Removed unnecessary defattr statements in the files section.
* Fri Nov 12 2021 Mark Post <mpost@suse.com>
- Added s390-tools-sles15sp3-dbginfo.sh-exclude-page_idle-bitmap.patch
  Reading /sys/kernel/mm/page_idle/bitmap can cause hang up on
  reading offline pages. (bsc#1192599)
- Added %%{version} to the Requires: libekmfweb1 for the
  libekmfweb1-devel package.
* Mon Oct 18 2021 Mark Post <mpost@suse.com>
- Updated the spec file to correspond to the changes made to the
  location and name of the kernel image in the kernel-zfcpdump
  package (bsc#1189841)
- Did some spec file cleanup based on the recommendations from
  spec-cleaner.
* Fri Jun 18 2021 Mark Post <mpost@suse.com>
- Reworked s390-tools-sles15sp2-Implement-Y-yast_mode.patch (yet
  again). If more DASD volumes are to be formatted than are allowed
  by the "maximum number to do in parallel" parameter, dasdfmt
  waits until one of the child processes ends before starting another.
  For YaST to be able to figure out how many cylinders a particular
  DASD volume has, that information has to be output for _all_ of the
  volumes, before any of the child processes are spawned.
  (bsc#1187012)
* Wed May 26 2021 Mark Post <mpost@suse.com>
- Modified the following patches to correct the output from the
  dasdfmt command when *not* using "YaST mode." (bsc#1182816, bsc#1182820)
  * s390-tools-sles15sp3-Format-devices-in-parallel.patch
  * s390-tools-sles15sp3-Implement-Y-yast_mode.patch
* Thu May  6 2021 Mark Post <mpost@suse.com>
- Modified s390-tools-sles15-Implement-Y-yast_mode.patch by adding
  a fflush(stdout) statement so that the dasdfmt command would
  produce the  correct output for YaST. (bsc#1182816, bsc#1182820)
- Modified s390-tools-sles15-Implement-f-for-backwards-compability.patch
  to have the correct offset for hunk #2 to apply without warnings.
* Wed Apr 14 2021 Mark Post <mpost@suse.com>
- Added s390-tools-sles15sp3-dasd-change-DASD-udev-rule-to-set-none-scheduler.patch
  dasd: change default scheduler to reduce CPU consumption (bsc#1183810)
- Modified s390-tools-sles12-create-filesystem-links.patch to fit after
  applying s390-tools-sles15sp3-dasd-change-DASD-udev-rule-to-set-none-scheduler.patch
- Removed 59-dasd.rules-wait_for.patch obsoleted by bsc#1183810.
* Mon Mar  8 2021 Mark Post <mpost@suse.com>
- Added s390-tools-sles15sp3-zipl-fix-4k-scsi-ipl.patch (bsc#1183039)
  IPL is not working when bootloader is installed on a SCSI disk
  with 4k physical blocksize without using a devicemapper target.
- Added s390-tools-sles15sp3-remove-no-pie-link-arguments.patch so
  that we can build on systems with binutils 2.36 and higher. Without
  this, the build fails because that version of the ld command
  doesn't recognize "-no-pie" an acceptable argument.
- Updated the mkdump.pl script to make the name of the temporary
  configuration file in /tmp/ unpredictable. (bsc#1182876)
* Sat Feb 27 2021 Mark Post <mpost@suse.com>
- Updated detach_disks.sh to not use predictable temporary file
  names. (bsc#1182777, CVE-2021-25316)
- Made for the following changes for bsc#1182816:
  * Updated s390-tools-sles15sp3-Format-devices-in-parallel.patch to
    change all instances of the progress bar from printing "#" to
    printing the process number of the DASD volume being formatted.
  * Updated s390-tools-sles15sp3-Implement-Y-yast_mode.patch to print
    out the numbder of cylinders in a device, as was done in the
    prior versions of this patch, but was missed when modifying it
    for SLES15 SP3.
  * Added s390-tools-sles15sp3-check-return-code-from-util_file_read_l.patch
    because otherwise a warning message from dasdfmt is being generated
    that could interfere with YaST properly processing the progress
    of the formatting process.
* Wed Feb 17 2021 Mark Post <mpost@suse.com>
- Added s390-tools-sles15sp3-zkey-Fix-APQN-property-names.patch
  (bsc#1182113)
  Problem:  The KMS configuration property names to store the CCA and
    EP11 APQNs are incorrect, i.e. swapped.
  Solution: Correct the KMS configuration property names.
* Thu Jan 28 2021 Mark Post <mpost@suse.com>
- Moved %%dir %%{_libdir}/zkey and %%{_libdir}/zkey/zkey-ekmfweb.so
  from the libekfmweb1 package to the main package since it is a
  plugin for the zkey command, and not a shared library.
  (bsc#1180534)
* Mon Dec  7 2020 Mark Post <mpost@suse.com>
- Upgraded to version 2.15.1. (bsc#1178250, jsc#SLE-13663)
- Added s390-tools-sles15sp3-dasdfmt-Fix-segfault-when-an-incorrect-option-is-spe.patch
  (bsc#1178313). When specifying an incorrect program option, dasdfmt segfaults
  as the format string for the corresponding error message has no parameter.
- Added s390-tools-sles15sp3-libutil-Compare-proc-entries-to-vfstype.patch
  (bsc#1178315). The fdasd command was failing if sysfs was mounted this way:
  mount -t sysfs none /sys
  To make sure that the mount point of the sysfs is still found when mounted
  with a device keyword specified other than 'sysfs', check for the filesystem
  type instead, which is more specific.
- Added the following patches for bsc#1178427, and jsc#SLE-13768,
  Log DASD info for endpoint security
  * s390-tools-sles15sp3-01-zdev-Add-FC-Endpoint-Security-information-for-DASD-d.patch
  * s390-tools-sles15sp3-02-lsdasd-Add-FC-Endpoint-Security-information.patch
- Added the following patch for bsc#1178628 and jsc#SLE-13765, Converged
  HiperSockets/Ethernet Interface
  * s390-tools-sles15sp3-hsci-Add-new-tool-to-control-HiperSockets-Converged-.patch
- Added the following patches for bsc#1178992 and jsc#SLE-13772, Add host-key
  document verification support to genprotimg.
  * s390-tools-sles15sp3-01-genprotimg-abort-if-one-of-the-recursive-targets-is-.patch
  * s390-tools-sles15sp3-02-genprotimg-fix-two-memory-leaks.patch
  * s390-tools-sles15sp3-03-genprotimg-require-argument-for-ramdisk-and-parmfile.patch
  * s390-tools-sles15sp3-04-genprotimg-add-host-key-document-verification-suppor.patch
- Added the following patch for bsc#1178734. Running zcryptstats when many domains
  are available per cryto card does not produce any output, and is hanging in a loop.
  * s390-tools-sles15sp3-zcryptstats-Fix-handling-of-partial-results-with-man.patch
- Reworked and renamed the following patches to accommodate changes made by IBM
  to the structure of the dasdfmt command.
  * s390-tools-sles15-Allow-multiple-device-arguments.patch renamed to
    s390-tools-sles15sp3-Allow-multiple-device-arguments.patch.
  * s390-tools-sles15-Format-devices-in-parallel.patch renamed to
    s390-tools-sles15sp3-Format-devices-in-parallel.patch
  * dasdfmt-retry-BIODASDINFO-if-device-is-busy.patch renamed to
    s390-tools-sles15sp3-dasdfmt-retry-BIODASDINFO-if-device-is-busy.patch
  * s390-tools-sles15-Implement-f-for-backwards-compability.patch renamed to
    s390-tools-sles15sp3-Implement-f-for-backwards-compability.patch renamed to
  * s390-tools-sles15-Implement-Y-yast_mode.patch
    s390-tools-sles15sp3-Implement-Y-yast_mode.patch
* Tue Oct 27 2020 Mark Post <mpost@suse.com>
- Upgraded to version 2.15.0 (jsc#SLE-13662, jsc#SLE-13663,
  jsc#SLE-13667, jsc#SLE-13724, jsc#SLE-13728, jsc#SLE-13730,
  jsc#SLE-13739, jsc#SLE-13744, jsc#SLE-13751, jsc#SLE-13755,
  jsc#SLE-13765, jsc#SLE-13768, jsc#SLE-13777, jsc#SLE-13814,
  jsc#SLE-13819, jsc#SLE-13820)
- Reworked s390-tools-sles12-sysconfig-compatible-dumpconf.patch to fit the
  current version and renamed it to s390-tools-sles15-sysconfig-compatible-dumpconf.patch
- Removed the following obsolete patches:
  * s390-tools-sles15sp2-01-zkey-Separate-and-rework-CCA-host-library-loading.patch
  * s390-tools-sles15sp2-02-zkey-Move-utility-functions-into-separate-source-fil.patch
  * s390-tools-sles15sp2-03-zkey-Add-utility-function-to-get-the-serial-number-o.patch
  * s390-tools-sles15sp2-04-zkey-Add-utility-function-to-get-the-mkvp-of-a-crypt.patch
  * s390-tools-sles15sp2-05-zkey-add-function-to-iterate-over-all-available-CCA-.patch
  * s390-tools-sles15sp2-06-zkey-Add-function-to-print-the-MKVPs-of-APQNs.patch
  * s390-tools-sles15sp2-07-zkey-Add-function-to-cross-check-APQNs-for-valid-mas.patch
  * s390-tools-sles15sp2-08-zkey-Add-function-to-obtain-the-mkvp-of-a-secure-key.patch
  * s390-tools-sles15sp2-09-zkey-Display-MKVP-when-validating-a-secure-key.patch
  * s390-tools-sles15sp2-10-zkey-Cross-check-APQNs-when-generating-secure-keys.patch
  * s390-tools-sles15sp2-11-zkey-Cross-check-APQNs-when-validating-secure-keys.patch
  * s390-tools-sles15sp2-12-zkey-Cross-check-APQNs-when-importing-secure-keys.patch
  * s390-tools-sles15sp2-13-zkey-Cross-check-APQNs-when-changing-APQN-associatio.patch
  * s390-tools-sles15sp2-14-zkey-Add-function-to-select-a-specific-CCA-adapter.patch
  * s390-tools-sles15sp2-15-zkey-Add-function-to-select-a-CCA-adapter-by-mkvp.patch
  * s390-tools-sles15sp2-16-zkey-Select-CCA-adapter-when-re-enciphering.patch
  * s390-tools-sles15sp2-17-zkey-cryptsetup-Add-to-new-and-from-old-options.patch
  * s390-tools-sles15sp2-18-zkey-Display-key-type-with-list-and-validate-command.patch
  * s390-tools-sles15sp2-19-zkey-Allow-to-filter-list-output-by-key-type.patch
  * s390-tools-sles15sp2-20-zkey-Allow-to-specify-the-key-type-with-the-generate.patch
  * s390-tools-sles15sp2-21-zkey-Preparations-for-introducing-a-new-key-type.patch
  * s390-tools-sles15sp2-22-zkey-Introduce-the-CCA-AESCIPHER-key-type.patch
  * s390-tools-sles15sp2-23-zkey-Add-wrappers-for-the-new-IOCTLs-with-fallback-t.patch
  * s390-tools-sles15sp2-24-zkey-Add-helper-functions-to-build-lists-of-APQNs.patch
  * s390-tools-sles15sp2-25-zkey-Add-support-for-generating-AES-CIPHER-keys.patch
  * s390-tools-sles15sp2-26-zkey-Add-support-for-validating-AES-CIPHER-keys.patch
  * s390-tools-sles15sp2-27-zkey-Add-support-for-re-enciphering-AES-CIPHER-keys.patch
  * s390-tools-sles15sp2-28-zkey-Check-crypto-card-level-during-APQN-cross-check.patch
  * s390-tools-sles15sp2-29-zkey-Add-helper-function-to-query-the-CCA-firmware-v.patch
  * s390-tools-sles15sp2-30-zkey-Add-helper-function-to-convert-secure-keys-betw.patch
  * s390-tools-sles15sp2-31-zkey-Add-helper-function-to-restrict-export-of-secur.patch
  * s390-tools-sles15sp2-32-zkey-Add-helper-function-to-check-an-AES-CIPHER-key.patch
  * s390-tools-sles15sp2-33-zkey-Add-key-checks-when-importing-a-CCA-AESCIPHER-k.patch
  * s390-tools-sles15sp2-34-zkey-Add-convert-command-to-convert-keys-from-one-ty.patch
  * s390-tools-sles15sp2-35-zkey-Allow-zkey-cryptsetup-setkey-to-set-different-k.patch
  * s390-tools-sles15sp2-zcrypt-CEX7S-exploitation-support.patch
  * s390-tools-sles15sp2-zcryptstats-Add-support-for-CEX7.patch
  * s390-tools-sles15sp2-zkey-Fix-listing-of-keys-on-file-systems-reporting-D.patch
  * s390-tools-sles15sp2-zkey-Fix-display-of-clear-key-size-for-XTS-keys.patch
  * s390-tools-sles15sp2-zkey-Fix-display-of-XTS-attribute-for-validate-comma.patch
  * s390-tools-sles15sp2-zkey-Fix-display-of-clear-key-size-for-CCA-AESCIPHER.patch
  * s390-tools-sles15sp2-01-zipl-libc-Introduce-vsnprintf.patch
  * s390-tools-sles15sp2-02-zipl-libc-Fix-potential-buffer-overflow-in-printf.patch
  * s390-tools-sles15sp2-03-zipl-libc-Replace-sprintf-with-snprintf.patch
  * s390-tools-sles15sp2-04-zipl-libc-Indicate-truncated-lines-in-printf-with.patch
  * s390-tools-sles15sp2-01-zpcictl-Initiate-recover-after-reset.patch
  * s390-tools-sles15sp2-02-zpcictl-Rename-misleading-sysfs_write_data.patch
  * s390-tools-sles15sp2-03-zpcitctl-Exit-on-error-in-sysfs_report_error.patch
  * s390-tools-sles15sp2-01-zipl-fix-Wdiscarded-qualifiers.patch
  * s390-tools-sles15sp2-02-zipl-fix-Waddress-of-packed-member.patch
  * s390-tools-sles15sp2-03-zipl-remove-some-useless-__packed___-attributes.patch
  * s390-tools-sles15sp2-04-zipl-Fix-entry-point-for-stand-alone-kdump.patch
  * s390-tools-sles15sp2-05-zipl-Fix-dependency-generation-in-zipl-boot.patch
  * s390-tools-sles15sp2-06-zipl-Make-use-of-__packed-macro.patch
  * s390-tools-sles15sp2-07-zipl-define-__section-macro-and-make-use-of-it.patch
  * s390-tools-sles15sp2-08-zipl-Make-use-of-__noreturn-macro.patch
  * s390-tools-sles15sp2-09-zipl-Define-__noinline-macro-and-make-use-of-it.patch
  * s390-tools-sles15sp2-10-zipl-stage3-Mark-start_kernel-__noreturn.patch
  * s390-tools-sles15sp2-11-zipl-sclp-Remove-duplicate-macros.patch
  * s390-tools-sles15sp2-12-zipl-Make-address-size-mask-macros-UL.patch
  * s390-tools-sles15sp2-13-zipl-libc-Use-stdint.h-instead-of-self-defined-macro.patch
  * s390-tools-sles15sp2-14-zipl-Consolidate-IMAGE-macros.patch
  * s390-tools-sles15sp2-15-zipl-Consolidate-STAGE-2-3-macros.patch
  * s390-tools-sles15sp2-16-zipl-stfle-use-uint64_t-instead-of-u64.patch
  * s390-tools-sles15sp2-17-zipl-boot-fix-comment-in-stage3.lds.patch
  * s390-tools-sles15sp2-18-lib-zt_common-add-STATIC_ASSERT-macro.patch
  * s390-tools-sles15sp2-19-zipl-use-STATIC_ASSERT-macro-for-no-padding-verifica.patch
  * s390-tools-sles15sp2-20-Support-lib-zt_common.h-to-be-used-in-assembler-and-.patch
  * s390-tools-sles15sp2-21-zipl-move-IPL-related-definitions-into-separate-head.patch
  * s390-tools-sles15sp2-22-zipl-move-SIGP-related-functions-and-definitions-int.patch
  * s390-tools-sles15sp2-23-zipl-add-SIGP_SET_ARCHITECTURE-to-sigp.h-and-use-it.patch
  * s390-tools-sles15sp2-24-zipl-stage3-make-IPL_DEVICE-definition-consistent-wi.patch
  * s390-tools-sles15sp2-25-zipl-move-Linux-layout-definitions-into-separate-hea.patch
  * s390-tools-sles15sp2-26-zipl-tape0-use-constants-defined-in-linux_layout.h.patch
  * s390-tools-sles15sp2-27-zipl-use-STAGE3_ENTRY-for-STAGE3_LOAD_ADDRESS.patch
  * s390-tools-sles15sp2-28-zipl-move-loaders-layout-definitions-into-separate-h.patch
  * s390-tools-sles15sp2-29-zipl-s390.h-rename-inline-macro-into-__always_inline.patch
  * s390-tools-sles15sp2-30-zipl-move-__always_inline-barrier-__pa32-pa-to-zt_co.patch
  * s390-tools-sles15sp2-31-zipl-make-BLK_PWRT-unsigned-int.patch
  * s390-tools-sles15sp2-32-Consolidate-MIN-and-MAX-macros.patch
  * s390-tools-sles15sp2-33-zipl-remove-libc.h-include-in-s390.h.patch
  * s390-tools-sles15sp2-34-zipl-move-s390.h-to-include-boot-s390.h.patch
  * s390-tools-sles15sp2-35-zipl-libc-include-s390.h.patch
  * s390-tools-sles15sp2-36-include-boot-s390.h-move-panic-and-panic_notify-to-l.patch
  * s390-tools-sles15sp2-37-include-boot-s390.h-fixes-for-Werror-sign-conversion.patch
  * s390-tools-sles15sp2-38-zipl-refactor-all-EBCDIC-code-into-separate-files.patch
  * s390-tools-sles15sp2-39-zipl-sclp-add-macros-for-the-control-program-masks.patch
  * s390-tools-sles15sp2-40-zipl-sclp-add-sclp_print_ascii.patch
  * s390-tools-sles15sp2-41-zipl-libc-printf-print-on-linemode-and-ASCII-console.patch
  * s390-tools-sles15sp2-42-Consolidate-ALIGN-__ALIGN_MASK-ARRAY_SIZE-macros.patch
  * s390-tools-sles15sp2-43-genprotimg-boot-initial-bootloader-support.patch
  * s390-tools-sles15sp2-44-genprotimg-boot-use-C-pre-processor-for-linker-scrip.patch
  * s390-tools-sles15sp2-45-genprotimg-add-relocator-for-stage3b.patch
  * s390-tools-sles15sp2-46-README.md-remove-useless-empty-line.patch
  * s390-tools-sles15sp2-47-include-boot-s390.h-add-guard-for-struct-__vector128.patch
  * s390-tools-sles15sp2-48-genprotimg-introduce-new-tool-for-the-creation-of-PV.patch
  * s390-tools-sles15sp2-01-zipl-Add-missing-options-to-help-output.patch
  * s390-tools-sles15sp2-02-zipl-allow-stand-alone-secure-option-on-command-l.patch
  * s390-tools-sles15sp2-03-zipl-correct-secure-boot-config-handling.patch
  * s390-tools-sles15sp2-04-zipl-fix-zipl.conf-man-page-example-for-secure-boot.patch
  * s390-tools-sles15sp2-01-cpumf-add-new-deflate-counters-for-z15.patch
  * s390-tools-sles15sp2-vmcp-exit-code.patch
  * s390-tools-sles15sp2-zipl-prevent-endless-loop-during-IPL.patch
  * s390-tools-sles15sp2-zipl-check-for-valid-ipl-parmblock-lowcore-pointer.patch
  * s390-tools-sles15sp2-01-zipl-libc-libc_stop-move-noreturn-to-declaration.patch
  * s390-tools-sles15sp2-02-zipl-stage3-correctly-handle-diag308-response-code.patch
  * s390-tools-sles15sp2-lsluns-try-harder-to-find-udevadm.patch
  * s390-tools-sles15sp2-znetconf-introduce-better-ways-to-locate-udevadm.patch
  * s390-tools-sles15sp2-mon_tools-update-udevadm-location.patch
  * s390-tools-sles15sp2-lscpumf-change-dflt-ccerror-counter-name.patch
  * s390-tools-sles15sp2-01-zdev-Introduce-read-only-attributes.patch
  * s390-tools-sles15sp2-02-zdev-Handle-special-case-in-if-case.patch
  * s390-tools-sles15sp2-03-zdev-Report-FC-Endpoint-Security-of-zfcp-devices.patch
  * s390-tools-sles15sp2-04-zfcpdbf-print-HBA-FC-Endpoint-Security-trace-records.patch
  * s390-tools-sles15sp1-zdev-Also-include-the-ctc-driver-in-the-initrd.patch not in spec file
  * s390-tools-sles15sp2-Close-file-descriptor-when-checking-for-read-only.patch not in spec file
* Thu Sep 17 2020 Mark Post <mpost@suse.com>
- Added s390-tools-sles15sp2-lscpumf-change-dflt-ccerror-counter-name.patch
  (bsc#1176508)
  lscpumf displays counter number 265 as DFLT_CCERROR. This is wrong
  and differs from the counter name as defined in the Linux kernel
  version 5.8 and later.
- Added the following patches to implement the post-GA feature jsc#ECO-2636
  Log FCP link info for endpoint security (bsc#1175477)
  * s390-tools-sles15sp2-01-zdev-Introduce-read-only-attributes.patch
  * s390-tools-sles15sp2-02-zdev-Handle-special-case-in-if-case.patch
  * s390-tools-sles15sp2-03-zdev-Report-FC-Endpoint-Security-of-zfcp-devices.patch
  * s390-tools-sles15sp2-04-zfcpdbf-print-HBA-FC-Endpoint-Security-trace-records.patch
* Tue Sep 15 2020 ro@suse.de
- use libexecdir for net-snmp agent config
* Fri Jul 24 2020 Mark Post <mpost@suse.com>
- The location of the udevadm binary was changed from /sbin/ to /usr/bin
  a while back. A symbolic link was added for compatibility. In the latest
  versions, that symbolic link has been removed, requiring changes to scripts
  that were depending on that.
  Added the following patches for bsc#1171587
  * s390-tools-sles15sp2-lsluns-try-harder-to-find-udevadm.patch
  * s390-tools-sles15sp2-znetconf-introduce-better-ways-to-locate-udevadm.patch
  * s390-tools-sles15sp2-mon_tools-update-udevadm-location.patch
* Thu Jul 23 2020 Mark Post <mpost@suse.com>
- Added s390-tools-sles15sp2-zipl-prevent-endless-loop-during-IPL.patch
  (bsc#1174309) zipl: prevent endless loop during secure IPL
- Added s390-tools-sles15sp2-zipl-check-for-valid-ipl-parmblock-lowcore-pointer.patch
  (bsc#1174310) zipl: check for valid ipl parmblock lowcore pointer
- Added s390-tools-sles15sp2-01-zipl-libc-libc_stop-move-noreturn-to-declaration.patch
    s390-tools-sles15sp2-02-zipl-stage3-correctly-handle-diag308-response-code.patch
  (bsc1174311) zipl: Fix KVM IPL without bootindex
- Updated cputype and read_values to recognize the new z15 models.
* Mon Jun 29 2020 Mark Post <mpost@suse.com>
- Added s390-tools-sles15sp2-vmcp-exit-code.patch (bsc#1173481)
  Change the vmcp exit code and return 'CP command failed' when both
  "CP command failed" and "response buffer is too small" error
  conditions are true.
* Tue Apr  7 2020 Mark Post <mpost@suse.com>
- Added s390-tools-sles15sp2-01-cpumf-add-new-deflate-counters-for-z15.patch
  (bsc#1167853)
  lscpumf: New z15 CPU-MF counters not available, so add the
  definition for the new deflate counters.
- Updated read_values (bsc#1167815, jsc#SLE-10675)
  * Differentiate between IBM Z and IBM LinuxONE machines
  * Query and print the status of secure boot for the LPAR.
* Thu Mar 19 2020 Mark Post <mpost@suse.com>
- Added the following patches for bsc#1166850
  zipl: fix secure boot config handling:
  * s390-tools-sles15sp2-01-zipl-Add-missing-options-to-help-output.patch
  * s390-tools-sles15sp2-02-zipl-allow-stand-alone-secure-option-on-command-l.patch
  * s390-tools-sles15sp2-03-zipl-correct-secure-boot-config-handling.patch
  * s390-tools-sles15sp2-04-zipl-fix-zipl.conf-man-page-example-for-secure-boot.patch
- Modified the spec file so that the kernel used for the SCSI dump
  tool is named zfcpdump-image instead of zfcpdump_part.image. This
  is to match the new version of zipl that expects this new file name.
  (bsc#1166851)
* Wed Mar 18 2020 Mark Post <mpost@suse.com>
- Added the following patches to implement jsc#SLE-7471, Enhanced
  tooling for kvm guest images (bsc#1165549):
  * s390-tools-sles15sp2-01-zipl-fix-Wdiscarded-qualifiers.patch
  * s390-tools-sles15sp2-02-zipl-fix-Waddress-of-packed-member.patch
  * s390-tools-sles15sp2-03-zipl-remove-some-useless-__packed___-attributes.patch
  * s390-tools-sles15sp2-04-zipl-Fix-entry-point-for-stand-alone-kdump.patch
  * s390-tools-sles15sp2-05-zipl-Fix-dependency-generation-in-zipl-boot.patch
  * s390-tools-sles15sp2-06-zipl-Make-use-of-__packed-macro.patch
  * s390-tools-sles15sp2-07-zipl-define-__section-macro-and-make-use-of-it.patch
  * s390-tools-sles15sp2-08-zipl-Make-use-of-__noreturn-macro.patch
  * s390-tools-sles15sp2-09-zipl-Define-__noinline-macro-and-make-use-of-it.patch
  * s390-tools-sles15sp2-10-zipl-stage3-Mark-start_kernel-__noreturn.patch
  * s390-tools-sles15sp2-11-zipl-sclp-Remove-duplicate-macros.patch
  * s390-tools-sles15sp2-12-zipl-Make-address-size-mask-macros-UL.patch
  * s390-tools-sles15sp2-13-zipl-libc-Use-stdint.h-instead-of-self-defined-macro.patch
  * s390-tools-sles15sp2-14-zipl-Consolidate-IMAGE-macros.patch
  * s390-tools-sles15sp2-15-zipl-Consolidate-STAGE-2-3-macros.patch
  * s390-tools-sles15sp2-16-zipl-stfle-use-uint64_t-instead-of-u64.patch
  * s390-tools-sles15sp2-17-zipl-boot-fix-comment-in-stage3.lds.patch
  * s390-tools-sles15sp2-18-lib-zt_common-add-STATIC_ASSERT-macro.patch
  * s390-tools-sles15sp2-19-zipl-use-STATIC_ASSERT-macro-for-no-padding-verifica.patch
  * s390-tools-sles15sp2-20-Support-lib-zt_common.h-to-be-used-in-assembler-and-.patch
  * s390-tools-sles15sp2-21-zipl-move-IPL-related-definitions-into-separate-head.patch
  * s390-tools-sles15sp2-22-zipl-move-SIGP-related-functions-and-definitions-int.patch
  * s390-tools-sles15sp2-23-zipl-add-SIGP_SET_ARCHITECTURE-to-sigp.h-and-use-it.patch
  * s390-tools-sles15sp2-24-zipl-stage3-make-IPL_DEVICE-definition-consistent-wi.patch
  * s390-tools-sles15sp2-25-zipl-move-Linux-layout-definitions-into-separate-hea.patch
  * s390-tools-sles15sp2-26-zipl-tape0-use-constants-defined-in-linux_layout.h.patch
  * s390-tools-sles15sp2-27-zipl-use-STAGE3_ENTRY-for-STAGE3_LOAD_ADDRESS.patch
  * s390-tools-sles15sp2-28-zipl-move-loaders-layout-definitions-into-separate-h.patch
  * s390-tools-sles15sp2-29-zipl-s390.h-rename-inline-macro-into-__always_inline.patch
  * s390-tools-sles15sp2-30-zipl-move-__always_inline-barrier-__pa32-pa-to-zt_co.patch
  * s390-tools-sles15sp2-31-zipl-make-BLK_PWRT-unsigned-int.patch
  * s390-tools-sles15sp2-32-Consolidate-MIN-and-MAX-macros.patch
  * s390-tools-sles15sp2-33-zipl-remove-libc.h-include-in-s390.h.patch
  * s390-tools-sles15sp2-34-zipl-move-s390.h-to-include-boot-s390.h.patch
  * s390-tools-sles15sp2-35-zipl-libc-include-s390.h.patch
  * s390-tools-sles15sp2-36-include-boot-s390.h-move-panic-and-panic_notify-to-l.patch
  * s390-tools-sles15sp2-37-include-boot-s390.h-fixes-for-Werror-sign-conversion.patch
  * s390-tools-sles15sp2-38-zipl-refactor-all-EBCDIC-code-into-separate-files.patch
  * s390-tools-sles15sp2-39-zipl-sclp-add-macros-for-the-control-program-masks.patch
  * s390-tools-sles15sp2-40-zipl-sclp-add-sclp_print_ascii.patch
  * s390-tools-sles15sp2-41-zipl-libc-printf-print-on-linemode-and-ASCII-console.patch
  * s390-tools-sles15sp2-42-Consolidate-ALIGN-__ALIGN_MASK-ARRAY_SIZE-macros.patch
  * s390-tools-sles15sp2-43-genprotimg-boot-initial-bootloader-support.patch
  * s390-tools-sles15sp2-44-genprotimg-boot-use-C-pre-processor-for-linker-scrip.patch
  * s390-tools-sles15sp2-45-genprotimg-add-relocator-for-stage3b.patch
  * s390-tools-sles15sp2-46-README.md-remove-useless-empty-line.patch
  * s390-tools-sles15sp2-47-include-boot-s390.h-add-guard-for-struct-__vector128.patch
  * s390-tools-sles15sp2-48-genprotimg-introduce-new-tool-for-the-creation-of-PV.patch
- Added a BuildRequires for glib2-devel to support the new feature.
- Added a %%dir entry for /usr/share/s390-tools/genprotimg
* Tue Mar 10 2020 Mark Post <mpost@suse.com>
- Added the following patches for bsc#1165978.
  zpcictl --reset only issues a SCLP reset and leaves the PCI function
  in an error state.
  Initiate an OS level recovery by calling /sys/bus/devices/<dev>/recover
  after the SCLP reset.
  * s390-tools-sles15sp2-01-zpcictl-Initiate-recover-after-reset.patch
  * s390-tools-sles15sp2-02-zpcictl-Rename-misleading-sysfs_write_data.patch
  * s390-tools-sles15sp2-03-zpcitctl-Exit-on-error-in-sysfs_report_error.patch
* Tue Mar  3 2020 Mark Post <mpost@suse.com>
- The zipl boot loader may crash during boot. The solution is to
  implement vsnprintf and make use of it. (bsc#1165317)
  * s390-tools-sles15sp2-01-zipl-libc-Introduce-vsnprintf.patch
  * s390-tools-sles15sp2-02-zipl-libc-Fix-potential-buffer-overflow-in-printf.patch
  * s390-tools-sles15sp2-03-zipl-libc-Replace-sprintf-with-snprintf.patch
  * s390-tools-sles15sp2-04-zipl-libc-Indicate-truncated-lines-in-printf-with.patch
* Tue Feb 18 2020 Mark Post <mpost@suse.com>
- Added s390-tools-sles15sp2-zkey-Fix-display-of-XTS-attribute-for-validate-comma.patch
  (bsc#1163002).
- Added s390-tools-sles15sp2-zkey-Fix-display-of-clear-key-size-for-CCA-AESCIPHER.patch
  (bsc#1163570).
- Re-categorized s390-tools-sles15sp1-11-zdev-Do-not-call-zipl-on-initrd-update.patch
  from an IBM patch to a SUSE-maintained patch. (bsc#1162840)
* Thu Feb 13 2020 Marcus Meissner <meissner@suse.com>
- sign the stage3.bin bootloader stage (bsc#1163524)
* Sat Feb  8 2020 Mark Post <mpost@suse.com>
- Added s390-tools-sles15sp1-zdev-Also-include-the-ctc-driver-in-the-initrd.patch
  (bsc#1160373).
- Added s390-tools-sles15sp1-11-zdev-Do-not-call-zipl-on-initrd-update.patch
  (bsc#1162840).
- Added s390-tools-sles15sp2-zkey-Fix-listing-of-keys-on-file-systems-reporting-D.patch
  (bsc#1162996).
- Added s390-tools-sles15sp2-zkey-Fix-display-of-clear-key-size-for-XTS-keys.patch
  (bsc#1163003).
* Fri Oct 11 2019 Mark Post <mpost@suse.com>
- Upgraded to version 2.11.0 (jsc#7831)
- Updated the cputype script and read_values program to recognize
  machine types up through the new z15.
- Added the following patches (bsc#1151859)
  * s390-tools-sles15sp2-01-zkey-Separate-and-rework-CCA-host-library-loading.patch
  * s390-tools-sles15sp2-02-zkey-Move-utility-functions-into-separate-source-fil.patch
  * s390-tools-sles15sp2-03-zkey-Add-utility-function-to-get-the-serial-number-o.patch
  * s390-tools-sles15sp2-04-zkey-Add-utility-function-to-get-the-mkvp-of-a-crypt.patch
  * s390-tools-sles15sp2-05-zkey-add-function-to-iterate-over-all-available-CCA-.patch
  * s390-tools-sles15sp2-06-zkey-Add-function-to-print-the-MKVPs-of-APQNs.patch
  * s390-tools-sles15sp2-07-zkey-Add-function-to-cross-check-APQNs-for-valid-mas.patch
  * s390-tools-sles15sp2-08-zkey-Add-function-to-obtain-the-mkvp-of-a-secure-key.patch
  * s390-tools-sles15sp2-09-zkey-Display-MKVP-when-validating-a-secure-key.patch
  * s390-tools-sles15sp2-10-zkey-Cross-check-APQNs-when-generating-secure-keys.patch
  * s390-tools-sles15sp2-11-zkey-Cross-check-APQNs-when-validating-secure-keys.patch
  * s390-tools-sles15sp2-12-zkey-Cross-check-APQNs-when-importing-secure-keys.patch
  * s390-tools-sles15sp2-13-zkey-Cross-check-APQNs-when-changing-APQN-associatio.patch
  * s390-tools-sles15sp2-14-zkey-Add-function-to-select-a-specific-CCA-adapter.patch
  * s390-tools-sles15sp2-15-zkey-Add-function-to-select-a-CCA-adapter-by-mkvp.patch
  * s390-tools-sles15sp2-16-zkey-Select-CCA-adapter-when-re-enciphering.patch
  * s390-tools-sles15sp2-17-zkey-cryptsetup-Add-to-new-and-from-old-options.patch
- Added the following patches (bsc#1151858)
  * s390-tools-sles15sp2-18-zkey-Display-key-type-with-list-and-validate-command.patch
  * s390-tools-sles15sp2-19-zkey-Allow-to-filter-list-output-by-key-type.patch
  * s390-tools-sles15sp2-20-zkey-Allow-to-specify-the-key-type-with-the-generate.patch
  * s390-tools-sles15sp2-21-zkey-Preparations-for-introducing-a-new-key-type.patch
  * s390-tools-sles15sp2-22-zkey-Introduce-the-CCA-AESCIPHER-key-type.patch
  * s390-tools-sles15sp2-23-zkey-Add-wrappers-for-the-new-IOCTLs-with-fallback-t.patch
  * s390-tools-sles15sp2-24-zkey-Add-helper-functions-to-build-lists-of-APQNs.patch
  * s390-tools-sles15sp2-25-zkey-Add-support-for-generating-AES-CIPHER-keys.patch
  * s390-tools-sles15sp2-26-zkey-Add-support-for-validating-AES-CIPHER-keys.patch
  * s390-tools-sles15sp2-27-zkey-Add-support-for-re-enciphering-AES-CIPHER-keys.patch
  * s390-tools-sles15sp2-28-zkey-Check-crypto-card-level-during-APQN-cross-check.patch
  * s390-tools-sles15sp2-29-zkey-Add-helper-function-to-query-the-CCA-firmware-v.patch
  * s390-tools-sles15sp2-30-zkey-Add-helper-function-to-convert-secure-keys-betw.patch
  * s390-tools-sles15sp2-31-zkey-Add-helper-function-to-restrict-export-of-secur.patch
  * s390-tools-sles15sp2-32-zkey-Add-helper-function-to-check-an-AES-CIPHER-key.patch
  * s390-tools-sles15sp2-33-zkey-Add-key-checks-when-importing-a-CCA-AESCIPHER-k.patch
  * s390-tools-sles15sp2-34-zkey-Add-convert-command-to-convert-keys-from-one-ty.patch
  * s390-tools-sles15sp2-35-zkey-Allow-zkey-cryptsetup-setkey-to-set-different-k.patch
- Added the following patches (bsc#1153757)
  * s390-tools-sles15sp2-zcrypt-CEX7S-exploitation-support.patch
  * s390-tools-sles15sp2-zcryptstats-Add-support-for-CEX7.patch
- Added s390-tools-sles15sp2-Close-file-descriptor-when-checking-for-read-only.patch
- Forward-ported the following patches to work with the restructuring IBM did for
  this version
  * dasdfmt-retry-BIODASDINFO-if-device-is-busy.patch
  * s390-tools-sles12-fdasd-skip-partition-check-and-BLKRRPART-ioctl.patch
  * s390-tools-sles15-Allow-multiple-device-arguments.patch
  * s390-tools-sles15-Format-devices-in-parallel.patch
  * s390-tools-sles15-Implement-f-for-backwards-compability.patch
  * s390-tools-sles15-Implement-Y-yast_mode.patch
- Removed the following obsolete patches:
  * s390-tools-sles15-1-lstape-fix-output-with-SCSI-lin_tape-and-multiple-pa.patch
  * s390-tools-sles15-2-lstape-fix-to-prefer-sysfs-to-find-lin_tape-device-n.patch
  * s390-tools-sles15-3-lstape-fix-output-without-SCSI-generic-sg.patch
  * s390-tools-sles15-4-lsluns-fix-to-prevent-error-messages-if-there-are-no.patch
  * s390-tools-sles15-5-lstape-fix-to-prevent-error-messages-if-there-are-no.patch
  * s390-tools-sles15-6-lstape-fix-description-of-type-and-devbusid-filter-f.patch
  * s390-tools-sles15-7-lstape-fix-SCSI-output-description-in-man-page.patch
  * s390-tools-sles15-8-lstape-fix-SCSI-HBA-CCW-device-bus-ID-e.g.-for-virti.patch
  * s390-tools-sles15-cpi-add-unit-install-section.patch
  * s390-tools-sles15-cpuplugd-Improve-systemctl-start-error-handling.patch
  * s390-tools-sles15-dbginfo-add-data-for-ps-cpprot.patch
  * s390-tools-sles15-Drop-device_id-parameter.patch
  * s390-tools-sles15-Fix-truncation-warning.patch
  * s390-tools-sles15-Fixup-dasdfmt_get_volser.patch
  * s390-tools-sles15-Fixup-device-name-handling.patch
  * s390-tools-sles15-hmcdrvfs-fix-parsing-of-link-count.patch
  * s390-tools-sles15-iucvterm-include-ctype-for-toupper.patch
  * s390-tools-sles15-lsluns-clarify-discovery-use-case-relation-to-NPIV-a.patch
  * s390-tools-sles15-lsluns-complement-alternative-tools-with-lszdev.patch
  * s390-tools-sles15-lsluns-document-restriction-to-zfcp-only-systems.patch
  * s390-tools-sles15-lsluns-do-not-print-confusing-messages-when-a-filter.patch
  * s390-tools-sles15-lsluns-do-not-scan-all-if-filters-match-nothing.patch
  * s390-tools-sles15-lsluns-enhance-usage-statement-and-man-page.patch
  * s390-tools-sles15-lsluns-fix-flawed-formatting-of-man-page.patch
  * s390-tools-sles15-lsluns-point-out-IBM-Storwize-configuration-requirem.patch
  * s390-tools-sles15-mon_procd-fix-parsing-of-proc-pid-stat.patch
  * s390-tools-sles15-mon_tools-Improve-systemctl-start-error-handling.patch
  * s390-tools-sles15sp1-0001-zkey-Add-properties-file-handling-routines.patch
  * s390-tools-sles15sp1-0002-zkey-Add-build-dependency-to-OpenSSL-libcrypto.patch
  * s390-tools-sles15sp1-0003-zkey-Add-helper-functions-for-comma-separated-string.patch
  * s390-tools-sles15sp1-0004-zkey-Externalize-secure-key-back-end-functions.patch
  * s390-tools-sles15sp1-0005-zkey-Add-keystore-implementation.patch
  * s390-tools-sles15sp1-0006-zkey-Add-keystore-related-commands.patch
  * s390-tools-sles15sp1-0007-zkey-Create-key-repository-and-group-during-make-ins.patch
  * s390-tools-sles15sp1-0008-zkey-Man-page-updates.patch
  * s390-tools-sles15sp1-0009-zkey-let-packaging-create-the-zkeyadm-group-and-perm.patch
  * s390-tools-sles15sp1-0010-zkey-Update-README-to-add-info-about-packaging-requi.patch
  * s390-tools-sles15sp1-0011-zkey-Typo-in-message.patch
  * s390-tools-sles15sp1-0012-zkey-Fix-memory-leak.patch
  * s390-tools-sles15sp1-0013-zkey-Fix-APQN-validation-routine.patch
  * s390-tools-sles15sp1-0014-zkey-Fix-generate-and-import-leaving-key-in-an-incon.patch
  * s390-tools-sles15sp1-0015-zkey-Add-zkey-cryptsetup-tool.patch
  * s390-tools-sles15sp1-0016-zkey-Add-man-page-for-zkey-cryptsetup.patch
  * s390-tools-sles15sp1-0017-zkey-Add-build-dependency-for-libcryptsetup-and-json.patch
  * s390-tools-sles15sp1-0018-zkey-Add-key-verification-pattern-property.patch
  * s390-tools-sles15sp1-0019-zkey-Add-volume-type-property-to-support-LUKS2-volum.patch
  * s390-tools-sles15sp1-01-chzcrypt-Corrections-at-the-chzcrypt-man-page.patch
  * s390-tools-sles15sp1-01-cpumf-Add-extended-counter-defintion-files-for-IBM-z.patch
  * s390-tools-sles15sp1-01-lszcrypt-CEX6S-exploitation.patch
  * s390-tools-sles15sp1-01-util_path-add-function-to-check-if-a-path-exists.patch
  * s390-tools-sles15sp1-01-zcryptctl-new-tool-zcryptctl-for-multiple-zcrypt-node.patch
  * s390-tools-sles15sp1-01-zdev-use-libutil-provided-path-functions.patch
  * s390-tools-sles15sp1-01-zkey-Include-sbin-into-PATH-when-executing-commands.patch
  * s390-tools-sles15sp1-02-cpumf-z14-split-counter-sets-according-to-CFVN-CSVN-.patch
  * s390-tools-sles15sp1-02-lszcrypt-fix-date-and-wrong-indentation.patch
  * s390-tools-sles15sp1-02-lszcrypt-support-for-alternate-zcrypt-device-drivers.patch
  * s390-tools-sles15sp1-02-util_path-Add-description-for-util_path_exists.patch
  * s390-tools-sles15sp1-02-zdev-Prepare-for-firmware-configuration-file-support.patch
  * s390-tools-sles15sp1-03-cpumf-cpumf_helper-read-split-counter-sets-part-2-2.patch
  * s390-tools-sles15sp1-03-util_path-Make-true-false-handling-consistent-with-o.patch
  * s390-tools-sles15sp1-03-zdev-Add-support-for-reading-firmware-configuration-.patch
  * s390-tools-sles15sp1-04-cpumf-correct-z14-counter-number.patch
  * s390-tools-sles15sp1-04-zdev-Implement-no-settle.patch
  * s390-tools-sles15sp1-04-zpcictl-Introduce-new-tool-zpcictl.patch
  * s390-tools-sles15sp1-05-cpumf-add-missing-Description-tag-for-z13-z14-ctr-12.patch
  * s390-tools-sles15sp1-05-zdev-Write-zfcp-lun-udev-rules-to-separate-files.patch
  * s390-tools-sles15sp1-05-zpcictl-include-sys-sysmacros.h-to-avoid-minor-major.patch
  * s390-tools-sles15sp1-06-cpumf-correct-counter-name-for-z13-and-z14.patch
  * s390-tools-sles15sp1-06-zdev-Add-support-for-handling-auto-configuration-dat.patch
  * s390-tools-sles15sp1-06-zpcictl-Rephrase-man-page-entries-and-tool-output.patch
  * s390-tools-sles15sp1-07-cpumf-Add-IBM-z14-ZR1-to-the-CPU-Measurement-Facilit.patch
  * s390-tools-sles15sp1-07-zdev-Integrate-firmware-auto-configuration-with-drac.patch
  * s390-tools-sles15sp1-07-zpcictl-Use-fopen-instead-of-open-for-writes.patch
  * s390-tools-sles15sp1-08-zdev-Integrate-firmware-auto-configuration-with-init.patch
  * s390-tools-sles15sp1-08-zpcictl-Read-device-link-to-obtain-device-address.patch
  * s390-tools-sles15sp1-09-zdev-Implement-internal-device-attributes.patch
  * s390-tools-sles15sp1-09-zpcictl-Make-device-node-for-NVMe-optional.patch
  * s390-tools-sles15sp1-10-zdev-Implement-support-for-early-device-configuratio.patch
  * s390-tools-sles15sp1-10-zpcictl-Change-wording-of-man-page-and-help-output.patch
  * s390-tools-sles15sp1-11-zdev-Do-not-call-zipl-on-initrd-update.patch
  * s390-tools-sles15sp1-dbginfo-gather-nvme-related-data.patch
  * s390-tools-sles15sp1-qethqoat-add-OSA-Express7S-support.patch
  * s390-tools-sles15sp1-zcrypt-refine-lszcrypt-man-page.patch
  * s390-tools-sles15sp1-zdev-Also-include-the-ctc-driver-in-the-initrd.patch
  * s390-tools-sles15sp1-zdev-fix-qeth-BridgePort-and-VNICC-conflict-checking.patch
  * s390-tools-sles15sp1-zkey-Enhance-error-message-about-missing-CCA-library.patch
  * s390-tools-sles15-zdev-Enable-running-chzdev-from-unknown-root-devices.patch
  * s390-tools-sles15-zdev-Fix-zdev-dracut-module-aborting-on-unknown-root.patch
  * s390-tools-sles15-zdev-Use-correct-path-to-vmcp-binary.patch
  * s390-tools-sles15-ziomon-re-add-missing-line.patch
  * s390-tools-sles15-zipl-remove-invalid-dasdview-command-line-option.patch
* Mon Jul 22 2019 Mark Post <mpost@suse.com>
- Added s390-tools-sles15sp1-ziomon-fix-utilization-data-recording-with-multi-dig.patch
  ziomon: fix utilization recording with multi-digit scsi hosts
  (bsc#1141876)
* Thu Feb 21 2019 mpost@suse.com
- Now that IBM has the package on github, use a full source URL.
- Change Pre-Req to Requires(pre) and (post), and remove dracut.
- Changed the group for the hmcdrvfs package from Base:System to
  Base/Filesystems
- Institute the %%autosetup macro.
- Remove erroneous %%dir entry for %%_unitdir
- Change bash-specific "==" tests in scriptlets with a more
  generic "=".
* Thu Feb 14 2019 mpost@suse.com
- Modified the spec file to add a group named cpacfstats
  (bsc#1123730)
* Mon Jan 28 2019 mpost@suse.com
- Added s390-tools-sles15sp1-zcrypt-refine-lszcrypt-man-page.patch
  Added some explanations about the columns shown with the lszcrypt
  verbose output.  (bsc#1123041)
* Thu Jan 24 2019 mpost@suse.com
- Updated the spec file to regenerate the initrd in the post, postun,
  and poststrans scriptlets. (bsc#1112018)
* Tue Jan 15 2019 mpost@suse.com
- Enable cryptsetup now that version 2 is included in SLES15 SP1.
  (Fate#325684)
* Mon Jan 14 2019 mpost@suse.com
- Added the following two patches from IBM (bsc#1121719):
  * s390-tools-sles15sp1-01-zkey-Include-sbin-into-PATH-when-executing-commands.patch
  * s390-tools-sles15sp1-zkey-Enhance-error-message-about-missing-CCA-library.patch
- Added the following patch to correct a problem with CTC network
  interfaces not coming up after a reboot (bsc#1119102)
  * s390-tools-sles15sp1-zdev-Also-include-the-ctc-driver-in-the-initrd.patch
* Wed Jan  9 2019 mpost@suse.com
- Added s390-tools-sles15sp1-qethqoat-add-OSA-Express7S-support.patch
  qethqoat: add OSA-Express7S support
  (Fate#326805, bsc#1121222)
- Modified the spec file to: (bsc#1119966)
  * Add a group named zkeyadm
  * Create directory /etc/zkey/repository
  * Set the permissions on /etc/zkey and /etc/zkey/repository
  * Added /usr/lib/modules-load.d/pkey.conf
- Made numerous changes to the spec file based on the output from
  spec-cleaner.
* Thu Dec  6 2018 mpost@suse.com
- Added the following patches for Fate#326825 (bsc#1113329)
  I/O device pre-configuration
  * s390-tools-sles15sp1-01-zdev-use-libutil-provided-path-functions.patch
  * s390-tools-sles15sp1-02-zdev-Prepare-for-firmware-configuration-file-support.patch
  * s390-tools-sles15sp1-03-zdev-Add-support-for-reading-firmware-configuration-.patch
  * s390-tools-sles15sp1-04-zdev-Implement-no-settle.patch
  * s390-tools-sles15sp1-05-zdev-Write-zfcp-lun-udev-rules-to-separate-files.patch
  * s390-tools-sles15sp1-06-zdev-Add-support-for-handling-auto-configuration-dat.patch
  * s390-tools-sles15sp1-07-zdev-Integrate-firmware-auto-configuration-with-drac.patch
  * s390-tools-sles15sp1-08-zdev-Integrate-firmware-auto-configuration-with-init.patch
  * s390-tools-sles15sp1-09-zdev-Implement-internal-device-attributes.patch
  * s390-tools-sles15sp1-10-zdev-Implement-support-for-early-device-configuratio.patch
  * s390-tools-sles15sp1-11-zdev-Do-not-call-zipl-on-initrd-update.patch
- Removed the obsolete customize-zdev-root-update-script.patch
- Replaced s390-tools-sles15-zdev-fix-qeth-BridgePort-and-VNICC-conflict-checking.patch
  with s390-tools-sles15sp1-zdev-fix-qeth-BridgePort-and-VNICC-conflict-checking.patch
  to fit the current version (bsc#1118618).
* Thu Nov 29 2018 mpost@suse.com
- Added the following patches for Fate#326862 (bsc#1113328)
  zcrypt DD: introduce APQN tags to support deterministic driver binding
  * s390-tools-sles15sp1-01-chzcrypt-Corrections-at-the-chzcrypt-man-page.patch
  * s390-tools-sles15sp1-02-lszcrypt-support-for-alternate-zcrypt-device-drivers.patch
- Added the following patches for Fate#326804 (bsc#1113330)
  Extended access controls for AP queue
  * s390-tools-sles15sp1-01-zcryptctl-new-tool-zcryptctl-for-multiple-zcrypt-node.patch
* Tue Nov 13 2018 mpost@suse.com
- Added s390-tools-sles15-zdev-fix-qeth-BridgePort-and-VNICC-conflict-checking.patch
  (bsc#1112536)
  zdev: qeth BridgePort and VNICC attribute conflict
- Added the following patches for Fate#326376 (bsc#1113321)
  PCI error reporting tool (zpcictl)
  * s390-tools-sles15sp1-01-util_path-add-function-to-check-if-a-path-exists.patch
  * s390-tools-sles15sp1-02-util_path-Add-description-for-util_path_exists.patch
  * s390-tools-sles15sp1-03-util_path-Make-true-false-handling-consistent-with-o.patch
  * s390-tools-sles15sp1-04-zpcictl-Introduce-new-tool-zpcictl.patch
  * s390-tools-sles15sp1-05-zpcictl-include-sys-sysmacros.h-to-avoid-minor-major.patch
  * s390-tools-sles15sp1-06-zpcictl-Rephrase-man-page-entries-and-tool-output.patch
  * s390-tools-sles15sp1-07-zpcictl-Use-fopen-instead-of-open-for-writes.patch
  * s390-tools-sles15sp1-08-zpcictl-Read-device-link-to-obtain-device-address.patch
  * s390-tools-sles15sp1-09-zpcictl-Make-device-node-for-NVMe-optional.patch
  * s390-tools-sles15sp1-10-zpcictl-Change-wording-of-man-page-and-help-output.patch
- Added the following patches for Fate#325684 (bsc#1113323)
  Protected key dm-crypt key management tool (crypto)
  * s390-tools-sles15sp1-0001-zkey-Add-properties-file-handling-routines.patch
  * s390-tools-sles15sp1-0002-zkey-Add-build-dependency-to-OpenSSL-libcrypto.patch
  * s390-tools-sles15sp1-0003-zkey-Add-helper-functions-for-comma-separated-string.patch
  * s390-tools-sles15sp1-0004-zkey-Externalize-secure-key-back-end-functions.patch
  * s390-tools-sles15sp1-0005-zkey-Add-keystore-implementation.patch
  * s390-tools-sles15sp1-0006-zkey-Add-keystore-related-commands.patch
  * s390-tools-sles15sp1-0007-zkey-Create-key-repository-and-group-during-make-ins.patch
  * s390-tools-sles15sp1-0008-zkey-Man-page-updates.patch
  * s390-tools-sles15sp1-0009-zkey-let-packaging-create-the-zkeyadm-group-and-perm.patch
  * s390-tools-sles15sp1-0010-zkey-Update-README-to-add-info-about-packaging-requi.patch
- Added the following patches for Fate#326390 (bsc#1113353)
  dm-crypt with protected keys - change master key tool
  * s390-tools-sles15sp1-0011-zkey-Typo-in-message.patch
  * s390-tools-sles15sp1-0012-zkey-Fix-memory-leak.patch
  * s390-tools-sles15sp1-0013-zkey-Fix-APQN-validation-routine.patch
  * s390-tools-sles15sp1-0014-zkey-Fix-generate-and-import-leaving-key-in-an-incon.patch
  * s390-tools-sles15sp1-0015-zkey-Add-zkey-cryptsetup-tool.patch
  * s390-tools-sles15sp1-0016-zkey-Add-man-page-for-zkey-cryptsetup.patch
  * s390-tools-sles15sp1-0017-zkey-Add-build-dependency-for-libcryptsetup-and-json.patch
  * s390-tools-sles15sp1-0018-zkey-Add-key-verification-pattern-property.patch
  * s390-tools-sles15sp1-0019-zkey-Add-volume-type-property-to-support-LUKS2-volum.patch
- Added the following patches for Fate#325691 (bsc#1113324)
  Add support for new crypto hardware
  * s390-tools-sles15sp1-01-lszcrypt-CEX6S-exploitation.patch
  * s390-tools-sles15sp1-02-lszcrypt-fix-date-and-wrong-indentation.patch
- Added the following patches for Fate#326388 (bsc#1113331)
  CPUMF Counters for z14
  * s390-tools-sles15sp1-01-cpumf-Add-extended-counter-defintion-files-for-IBM-z.patch
  * s390-tools-sles15sp1-02-cpumf-z14-split-counter-sets-according-to-CFVN-CSVN-.patch
  * s390-tools-sles15sp1-03-cpumf-cpumf_helper-read-split-counter-sets-part-2-2.patch
  * s390-tools-sles15sp1-04-cpumf-correct-z14-counter-number.patch
  * s390-tools-sles15sp1-05-cpumf-add-missing-Description-tag-for-z13-z14-ctr-12.patch
  * s390-tools-sles15sp1-06-cpumf-correct-counter-name-for-z13-and-z14.patch
  * s390-tools-sles15sp1-07-cpumf-Add-IBM-z14-ZR1-to-the-CPU-Measurement-Facilit.patch
- Added the following patch for Fate#326361 (bsc#1113333)
  Collect NVMe-related debug data
  * s390-tools-sles15sp1-dbginfo-gather-nvme-related-data.patch
- Temporarily added "HAVE_CRYPTSETUP2=0" to the make and make install
  commands, because a couple of Fate requests have not been approved
  yet, resulting in build failure.
- Added "Recommends: blktrace" to the spec file (bsc#1112855)
- Changed remaining insserv references to systemd entries.
- Changed the Group from the obsolete "System Environment/Base" to
  "System/Base."
* Fri Aug 31 2018 mpost@suse.com
- Added the following patch to remove the call to zipl for bsc#1094354
  * customize-zdev-root-update-script.patch
- Modified ctc_configure to not pass a "protcol=" parameter when
  configuring LCS devices. (bsc#1096520)
- Added the following two patches for bsc#1098069
  * dbginfo.sh: Extend data collection
    s390-tools-sles15-dbginfo-add-data-for-ps-cpprot.patch
  * mon_procd: fix parsing of /proc/<pid>/stat
    s390-tools-sles15-mon_procd-fix-parsing-of-proc-pid-stat.patch
- Added the following patches for "lstape, lsluns: handle non-zfcp;
  lin_tape multiple paths" (bsc#1098069)
  * s390-tools-sles15-1-lstape-fix-output-with-SCSI-lin_tape-and-multiple-pa.patch
  * s390-tools-sles15-2-lstape-fix-to-prefer-sysfs-to-find-lin_tape-device-n.patch
  * s390-tools-sles15-3-lstape-fix-output-without-SCSI-generic-sg.patch
  * s390-tools-sles15-4-lsluns-fix-to-prevent-error-messages-if-there-are-no.patch
  * s390-tools-sles15-5-lstape-fix-to-prevent-error-messages-if-there-are-no.patch
  * s390-tools-sles15-6-lstape-fix-description-of-type-and-devbusid-filter-f.patch
  * s390-tools-sles15-7-lstape-fix-SCSI-output-description-in-man-page.patch
  * s390-tools-sles15-8-lstape-fix-SCSI-HBA-CCW-device-bus-ID-e.g.-for-virti.patch
* Tue Aug  7 2018 mpost@suse.com
- dasd_reload: Fixed several syntax errors. Changed the script to
  ensure that the DASD volume are actually activated in device
  number order. If an old 51-dasd-<ccw>.rules file is found,
  rename it to obsolete-51-dasd-<ccw>.rules, and use chzdev to
  generate a new rules file. (bsc#1103407)
* Mon Aug  6 2018 hare@suse.de
- dasd_reload: Check for 41-dasd-<type>-<ccw>.rules in addition
  to the original 51-dasd-<ccw>.rules (bsc#1103407)
* Fri Jul 27 2018 mpost@suse.com
- Removed s390 from the ExclusiveArch parameter (bsc#1102906)
* Wed May 30 2018 hare@suse.de
- mark active_devices.txt as %%config(noreplace) (bsc#1090213)
* Fri Apr  6 2018 mpost@suse.com
- Added s390-tools-sles15-hmcdrvfs-fix-parsing-of-link-count.patch
  (bsc#1087452)
  * hmcdrvfs: fix parsing of link count >= 1000
* Thu Mar 22 2018 mpost@suse.com
- Modified dasd_configure script to set a return code of 8 if a
  DASD volume being brought online is not formatted. (bsc#1084503)
* Tue Dec 12 2017 mpost@suse.com
- Converted the following SysV init scripts to systemd unit files
  and scripts (bsc#1050786):
  * appldata
  * hsnc
  * vmlogrdr
  * xpram
* Thu Dec  7 2017 mpost@suse.com
- Added the following two patches (bsc#1071166):
  s390-tools-sles15-zdev-Enable-running-chzdev-from-unknown-root-devices.patch
  s390-tools-sles15-zdev-Fix-zdev-dracut-module-aborting-on-unknown-root.patch
* Tue Dec  5 2017 mpost@suse.com
- Added the following patches (bsc#1070836):
  s390-tools-sles15-cpuplugd-Improve-systemctl-start-error-handling.patch
  s390-tools-sles15-mon_tools-Improve-systemctl-start-error-handling.patch
  s390-tools-sles15-lsluns-do-not-scan-all-if-filters-match-nothing.patch
  s390-tools-sles15-lsluns-do-not-print-confusing-messages-when-a-filter.patch
  s390-tools-sles15-lsluns-fix-flawed-formatting-of-man-page.patch
  s390-tools-sles15-lsluns-enhance-usage-statement-and-man-page.patch
  s390-tools-sles15-lsluns-clarify-discovery-use-case-relation-to-NPIV-a.patch
  s390-tools-sles15-lsluns-point-out-IBM-Storwize-configuration-requirem.patch
  s390-tools-sles15-lsluns-document-restriction-to-zfcp-only-systems.patch
  s390-tools-sles15-lsluns-complement-alternative-tools-with-lszdev.patch
* Tue Dec  5 2017 mpost@suse.com
- Added "--no-root-update" to all the chzdev calls in the following
  scripts for bsc#1071165:
  ctc_configure
  dasd_configure
  qeth_configure
  zfcp_disk_configure
  zfcp_host_configure
* Thu Nov 30 2017 mpost@suse.com
- Added the following patches (bsc#1068538)
  * s390-tools-sles15-cpi-add-unit-install-section.patch
  * s390-tools-sles15-zipl-remove-invalid-dasdview-command-line-option.patch
  * s390-tools-sles15-ziomon-re-add-missing-line.patch
- Modified s390-tools-sles15-zdev-Use-correct-path-to-vmcp-binary.patch to
  point to the correct line in the common.mk file.
* Thu Nov 23 2017 rbrown@suse.com
- Replace references to /var/adm/fillup-templates with new
  %%_fillupdir macro (boo#1069468)
* Tue Nov 14 2017 mpost@suse.com
- Added "HAVE_DRACUT=1" to the make install command. This will
  include the new dracut support module. (bsc#1068040)
* Tue Nov 14 2017 mpost@suse.com
- Added s390-tools-sles15-zdev-Use-correct-path-to-vmcp-binary.patch
  zdev: Use correct path to vmcp binary (bsc#1055909)
- Modified the spec file to also install /etc/cpuplugd.conf
  (bsc#1066328)
- Dropped installation of obsolete /etc/sysconfig/mon_statd.
- Removed "-i" option from "fillup_only" macro for osasnmpd to get
  rid of a warning message from RPM.
* Thu Nov  9 2017 mpost@suse.com
- Updated the cputype script to recognize the new IBM z14
  processor (bsc#1049843).
- Re-instated the new versions of ctc_configure, dasd_configure,
  qeth_configure, zfcp_disk_configure, zfcp_host_configure.
* Wed Oct 25 2017 mpost@suse.com
- Modified s390-tools-sles15-Format-devices-in-parallel.patch to
  reset the rc variable before using it again (bsc#1063393).
- Reverted the changes to the *_configure scripts until
  bsc#1064791 is fixed.
* Mon Oct 23 2017 mpost@suse.com
- Replaced the following SUSE-written scripts with wrappers that
  call the IBM-provided chzdev command in s390-tools. (Fate#322268)
  * ctc_configure
  * dasd_configure
  * qeth_configure
  * zfcp_disk_configure
  * zfcp_host_configure
* Wed Oct 18 2017 mpost@suse.com
- Deleted s390-tools-sles12-pardasdfmt.patch and replaced it with
  the following patches (bsc#1063393):
  * s390-tools-sles15-Allow-multiple-device-arguments.patch
  * s390-tools-sles15-Drop-device_id-parameter.patch
  * s390-tools-sles15-Fixup-dasdfmt_get_volser.patch
  * s390-tools-sles15-Fixup-device-name-handling.patch
  * s390-tools-sles15-Format-devices-in-parallel.patch
  * s390-tools-sles15-Implement-f-for-backwards-compability.patch
  * s390-tools-sles15-Implement-Y-yast_mode.patch
- Reworked dasdfmt-retry-BIODASDINFO-if-device-is-busy.patch to fit
  on top of replacement patches.
- Cleaned up the patch headers for the following:
  * s390-tools-sles12-sysconfig-compatible-dumpconf.patch
  * s390-tools-sles12-update-by_id-links-on-change-and-add-action.patch
- Added the following patches:
  * s390-tools-sles15-Fix-truncation-warning.patch
  * s390-tools-sles15-iucvterm-include-ctype-for-toupper.patch
- Removed redundant %%clean section. Replaced old RPM variables.
- Removed %%service* macros for iucvtty-login@.service and
  ttyrun-getty@.service since systemd complained about them.
- Replaced all fillup_and_insserv macros with fillup_only since
  we weren't running the "insserv" part anyway.
* Thu Oct  5 2017 mpost@suse.com
- Modified mkdump perl script to work with the updated version
  of the IBM tools dasdview, zipl and zgetdump. (bsc#1020336).
  Also changed the method used to determine the maximum dump size
  for SCSI devices.
* Wed Oct  4 2017 mpost@suse.com
- Upgraded to version 2.1.0 (Fate#323291).
  Changes from 2.0.0 to 2.1.0
  * Added the following tools:
    netboot: Scripts for building a PXE-style netboot image for KVM
    90-cpi.rules/cpictl: New udev rule to update CPI when KVM is used
  * Modified lsqeth/zdev to add VNIC Characteristics support
  Bug fixes
  * chzcrypt: Corrected handling of insufficient permissions
  * cpacfstats: Add size setting to perf event
  * fdasd: Skip partition check with the force option
  * ttyrun: Fix deprecated BindTo usage in ttyrun-getty@.service.in
  * lszcrypt: Fix core dump caused by stack overwrite
  * lszcrypt: Fix random domain printout when no config available
  * zdev: Fix segfault with unknown qeth attribute
  * zdev: Fix IPv6 NDP proxy description
  * zdev: Fix zdev dracut module temp file location
  * zkey: Correctly detect abbreviated commands
  * zkey: Validate XTS key: ignore domain and card
  * zkey: Use octal values instead of S_IRWX* constants
  * zkey: Properly set umask to prohibit permissions to group and others
  * zkey: Add -ldl to LDLIBS (not LDFLAGS)
  * znetconf: Re-add missing line in lsznet.raw
  * Fix several gcc 7 warnings
- Modified s390-tools-sles12-fdasd-skip-partition-check-and-BLKRRPART-ioctl.patch
  to apply cleanly to this version.
- Removed the following obsolete patches:
  * s390-tools-sles15-zgetdump-Fix-gcc-7-warning.patch
  * s390-tools-sles15-lscss-Get-rid-of-gcc-7-buffer-truncation-warnings.patch
  * s390-tools-sles15-Get-rid-of-gcc-7-fall-through-warnings.patch
  * s390-tools-sles15-lszcrypt-Fix-core-dump-caused-by-stack-overwrite.patch
  * s390-tools-sles15-dasdinfo-Fix-GCC-7-overflow-warning.patch
* Fri Sep  8 2017 mpost@suse.com
- Added the following patches (bsc#1056498)
  - s390-tools-sles15-zgetdump-Fix-gcc-7-warning.patch
  - s390-tools-sles15-lscss-Get-rid-of-gcc-7-buffer-truncation-warnings.patch
  - s390-tools-sles15-Get-rid-of-gcc-7-fall-through-warnings.patch
  - s390-tools-sles15-lszcrypt-Fix-core-dump-caused-by-stack-overwrite.patch
  - s390-tools-sles15-dasdinfo-Fix-GCC-7-overflow-warning.patch
* Fri Sep  8 2017 mpost@suse.com
- Upgraded to version 2.0.0 (Fate#323291).
  - Changes from 1.34.0 to 1.35.0
  - cpuplugd: Make default config file location more distribution agnostic
    Add systemd service unit to start/stop the cpuplug daemon
    Add force-reload action to init script for LSB-compliance
  - mon_statd: Add force-reload action to init script for LSB-compliance
  - chiucvallow: corrected verification return code
  - lczdev/chzdev: Add support for resolving iSCSI block devices
    Bug fixes
  - chzdev, lszdev: Fix incorrect zfcp module parameter name
  - chreipl: Fix chreipl node for virtio devices
  - libus2s: Fix busid parsing
  - zipl/boot: Fix failed start subchannel in FBA loader
  - Changes from 1.35.0 to 1.36.0
  - chzdev/lszdev: Add device resolution for vlan and bonding devices
  - dasdfmt: Add quick format support
  - lsdasd/fdasd/dasdfmt/zdsfs: Add query host access to volume support
  - zfcpdbf: Make timestamp the first field in record output
    Exclude Payload hex field from log message record output
    Add Area field to record output
    Add missing header fields to area record output
    Print the Record id field for Area area class records
    Mark oldest and newest trace area records
    Mark oldest and newest def_err pseudo area records
    Mark oldest and newest foreign area records
    Mark oldest and newest log message records
    Add a warning about low resolution timestamps
    Add Trace Area Statistics table to script output
    Add time zone command line option
    Add collection of domain xml files
    Bug fixes
  - zfcpdbf: Move and fix CPU id field output to print_header function
    Include microseconds in warning threshold calculation
    Fix parsing of precise syslog timestamps
    Fix labels for REC ERP action status and ERP step fields
  - Changes from 1.36.0 to 1.36.1
  - zfcpdbf: Support basic HBA record type without warning
    Restore tracing of handle for port and LUN with HBA records
    Print full payload for all SAN traces (req, resp, iels)
    Print payload length everywhere applicable
    Disambiguate printing of payload record content
    Bug fixes
  - fdasd: Prevent buffer overflow
  - znetconf: Fix detection of chpids as OSX instead of OSM
  - Changes from 1.36.1 to 1.37.0
  - Added dump2tar: sysfs collection helper for dbginfo.sh
  - qethconf: Remove check for OSN-device
  - znetconf: Remove OSN-support
  - lsdasd/tunedasd: Add channel path aware erp
  - zcrypt: Add multi domain support for zcrypt device driver
  - scm: Reimplement lsscm in C
  - chp: Reimplement chchp and lschp in C
  - dbginfo.sh: Make use of sysinfo collection helper
    Bug fixes
  - zfcpdbf: Only cap SAN short payload if pl_len exists
  - chzdev: Fix bug when configuring QETH devices
  - libu2s: Prevent buffer overflow
  - ziomon: No blktrace kill which can corrupt kernel blktrace state
  - Changes from 1.37.0 to 1.37.1
  - dbginfo.sh: Add Docker debug data
    Bug fixes
  - lsdasd: Replace continue with return
  - lscss: Allow to specify devices from subchannel set 3
  - mon_fsstatd: Only use physical filesystems
    Fix double free in error path
  - mon_procd: Fix segmentation fault
  - Changes from 1.37.1 to 1.38.0
  - systemd: Add new units for cpi, dumpconf, mon_fsstatd, and mon_procd
  - fdasd: Add new command action 'l' to list known partition types
  - chmem: Try to online memory to zone movable
    Starting with kernel 4.13 (commit f1dd2cd1), the default zone for
    hotplug memory is changed from zone movable to zone normal. In order
    to preserve the previous default behaviour, chmem will now always try
    to set memory online to the zone movable, before trying to set it
    online to the default zone.
  - zfcpdbf: Print high part of "new" 64 bit SCSI LUN
    Print payload with full FCP_RSP IU in SCSI trace records
  - util_opt: Add command specific command line parsing
  - util_rec: Implement util_rec_iterate() function
  - util_rec: Record field values can be stored and processed in argz format
    Bug fixes
  - zipl/zgetdump: Add missing SCSI multipath dump information to man pages
  - lsqeth: Fix attributes name: ipa -> ipa_takeover and parp -> rxip
    Fix lsqeth output of ipa/vipa/rxip addresses of interfaces
  - zfcpdbf: Fix payload length for zfcp_dbf_hba_bit_err
  - chzdev: Add implicit qeth layer settings handling
  - qethqoat: Fix OSA 6S detection
  - Changes from 1.38.0 to 2.0.0 (also known as 1.39.0)
  - IBM changed the license to MIT.
  - Added zkey: Generate, re-encipher, and validate secure AES keys
  - cpumf: Add hardware counters for z13 and z13s
  - lscss: Reimplement lscss script in C
  - lsqeth: Reimplement lsqeth script in C
    Bug fixes
  - lscpumf: Fix Perl warnings
  - Removed the following obsolete patches:
    s390-tools-sles12sp2-chiucvallow-verify.patch
    s390-tools-sles12sp2-chreipl-virtio.patch
    s390-tools-sles12sp2-chzdev-disable-root-update.patch
    s390-tools-sles12sp2-feat-01-dasd-query-host.patch
    s390-tools-sles12sp2-lscss-allow-to-specify-devices-from-ssid-3.patch
    s390-tools-sles12sp2-zipl-fix-failed-start-subchannel.patch
    s390-tools-sles12sp3-chmem-try-to-online-zone-movable.patch
    s390-tools-sles12sp3-dasdfmt-01-Fix-behaviour-of-t-combined-with-y.patch
    s390-tools-sles12sp3-dasdfmt-02-Fix-trailing-whitespace.patch
    s390-tools-sles12sp3-dasdfmt-03-Apply-coding-convention.patch
    s390-tools-sles12sp3-dasdfmt-04-Use-enhanced-DASD-information.patch
    s390-tools-sles12sp3-dasdfmt-05-Refactor-do_format_dasd.patch
    s390-tools-sles12sp3-dasdfmt-06-Make-the-IOCTL-BLKSSZGET-reusable.patch
    s390-tools-sles12sp3-dasdfmt-07-Add-quick-format-support.patch
    s390-tools-sles12sp3-dasdfmt-08-Make-progress-output-reusable-and-add-ETR.patch
    s390-tools-sles12sp3-dasdfmt-09-Add-command-line-argument-check.patch
    s390-tools-sles12sp3-dasdfmt-10-Add-expand-format-mode.patch
    s390-tools-sles12sp3-dbginfo-01-libutil-Add-utility-functions.patch
    s390-tools-sles12sp3-dbginfo-02-dump2tar-Add-sysfs-collection-helper-for-dbginfo.sh-v2.patch
    s390-tools-sles12sp3-dbginfo-03-dbginfo.sh-Make-use-of-sysinfo-collection-helper.patch
    s390-tools-sles12sp3-dbginfo-Collect-docker-debug-data.patch
    s390-tools-sles12sp2-libu2s-Fix-busid-parsing.patch
    s390-tools-sles12sp3-lsdasd-tunedasd-Add-channel-path-aware-erp.patch
    s390-tools-sles12sp3-mon_fsstatd-fix-double-free-in-error-path-and-skip-virtual-fs.patch
    s390-tools-sles12sp3-util_proc-fix-memory-allocation-error-messages.patch
    s390-tools-sles12sp3-ziomon-no-blktrace-kill-which-can-corrupt-kernel-blk.patch
- Added s390-tools-sles15-add--ldl-to-LDLIBS.patch to fix a problem with zkey/Makefile.
* Thu Sep  7 2017 mpost@suse.com
- Temporarily added BuildIgnore: gcc-PIE to the spec file to
  avoid a problem with zipl not working. (bsc#1055343)
* Wed Jul 12 2017 mpost@suse.com
- Added s390-tools-sles12sp3-chmem-try-to-online-zone-movable.patch
  (bsc#1048363).
* Mon Jul  3 2017 ro@suse.de
- Remove lsmem and chmem and their manpages from the package,
  both tools have been added to util-linux-2.30
* Wed May 31 2017 mpost@suse.com
- Made a number of modification to zpxe.rexx to
  - Made several hard-coded values variables.
  - Make it more obvious which default values can be modified
  - Increased the default size of the FFFF VDISK (bsc#1038255)
  - Don't execute the wait if "debug" was specified as a parm.
  - Change nodebug variable name to debug for clarity, updated
    logic as needed.
* Tue May 16 2017 mpost@suse.com
- Added s390-tools-sles12sp3-ziomon-no-blktrace-kill-which-can-corrupt-kernel-blk.patch
  (bsc#1038861)
* Tue Apr 18 2017 mpost@suse.com
- Due to the change to qclib packaging, change BuildRequires
  from qclib-devel to qclib-devel-static.
* Wed Feb 22 2017 mpost@suse.com
- Added the following patches (bsc#1026474)
  - s390-tools-sles12sp3-mon_fsstatd-fix-double-free-in-error-path-and-skip-virtual-fs.patch
  - s390-tools-sles12sp3-dbginfo-Collect-docker-debug-data.patch
* Mon Feb 20 2017 mpost@suse.com
- Added s390-tools-sles12sp3-util_proc-fix-memory-allocation-error-messages.patch
  (bsc#1025247)
* Thu Feb 16 2017 mpost@suse.com
- Added the following patches for Fate # 322377:
  - s390-tools-sles12sp3-dbginfo-01-libutil-Add-utility-functions.patch
  - s390-tools-sles12sp3-dbginfo-02-dump2tar-Add-sysfs-collection-helper-for-dbginfo.sh-v2.patch
  - s390-tools-sles12sp3-dbginfo-03-dbginfo.sh-Make-use-of-sysinfo-collection-helper.patch
- Added the following patches for Fate # 322374:
  - s390-tools-sles12sp3-lsdasd-tunedasd-Add-channel-path-aware-erp.patch
- Added the following patches for Fate # 321643:
  - s390-tools-sles12sp3-dasdfmt-01-Fix-behaviour-of-t-combined-with-y.patch
  - s390-tools-sles12sp3-dasdfmt-02-Fix-trailing-whitespace.patch
  - s390-tools-sles12sp3-dasdfmt-03-Apply-coding-convention.patch
  - s390-tools-sles12sp3-dasdfmt-04-Use-enhanced-DASD-information.patch
  - s390-tools-sles12sp3-dasdfmt-05-Refactor-do_format_dasd.patch
  - s390-tools-sles12sp3-dasdfmt-06-Make-the-IOCTL-BLKSSZGET-reusable.patch
  - s390-tools-sles12sp3-dasdfmt-07-Add-quick-format-support.patch
  - s390-tools-sles12sp3-dasdfmt-08-Make-progress-output-reusable-and-add-ETR.patch
  - s390-tools-sles12sp3-dasdfmt-09-Add-command-line-argument-check.patch
  - s390-tools-sles12sp3-dasdfmt-10-Add-expand-format-mode.patch
* Wed Feb  1 2017 mpost@suse.com
- Added s390-tools-sles12sp2-lscss-allow-to-specify-devices-from-ssid-3.patch
  (bsc#1023022)
* Wed Dec 14 2016 Thomas.Blume@suse.com
- cio_ignore.service: change After dependency to local-fs.target to
  Before and remove Wants dependency (bsc#965263)
* Fri Sep 30 2016 mpost@suse.com
- Added s390-tools-sles12sp2-chzdev-disable-root-update.patch
  (bsc#1002188)
- Updated cputype to recognize z13s processors.
- Updated boot.cpi to redirect stderr to /dev/null when trying to
  set the CPI parameters. (bsc#997479)
* Wed Jul 20 2016 mpost@suse.com
- Added s390-tools-sles12sp2-chreipl-virtio.patch (bsc#989797)
  chreipl/virtio: fix chreipl node for virtio-blk disks
* Fri Jul  1 2016 mpost@suse.com
- Added s390-tools-sles12sp2-zipl-fix-failed-start-subchannel.patch
  (bsc#987385)
- Modified lgr_check script to do a better job of checking:
  - Disconnected state of the guest
  - Whether a 3270 terminal is active
  - Tape ASSIGNment
* Tue May 24 2016 mpost@suse.com
- Added the following files for Fate#318552 and Fate#320123
  - detach_disks
  - killcdl
  - lgr_check
  - sysconfig.virtsetup
  - virtsetup.service
  - virtsetup.sh
- Added the following two patches (bsc#981427)
  - s390-tools-sles12sp2-chiucvallow-verify.patch
  - s390-tools-sles12sp2-libu2s-Fix-busid-parsing.patch
- Some spec file cleanup of macro calls.
* Wed May 18 2016 mpost@suse.com
- Added s390-tools-sles12-fdasd-skip-partition-check-and-BLKRRPART-ioctl.patch
  (bsc#931634).
* Fri Apr 22 2016 mpost@suse.com
- Modified 59-zfcp-compat rules to include continuation characters
  on rules that are continued across multiple lines (bsc#972110)
- Added 59-dasd.rules-wait_for.patch (bsc#972110)
- Don't install 60-readahead.rules (bsc#972110)
- Removed redundant architecture check from the %%prep section
- Removed various %%service_* calls for iucvtty-login@.service
  and ttyrun-getty@.service because they generate "unit name is
  not valid" messages from systemctl.
* Wed Mar 23 2016 mpost@suse.com
- Upgraded to version 1.34.0
  Added libpfm-devel to the list of BuildRequires
  Removed references to chzdev that was never implemented by IBM
- Added 59-zfcp-compat.rules (bsc#972110)
- Removed the following obsolete scripts/files
  mkinitrd-boot-dasd.sh
  mkinitrd-boot-qeth.sh
  mkinitrd-boot-zfcp.sh
  mkinitrd-setup-dasd.sh
  mkinitrd-setup-qeth.sh
  mkinitrd-setup-zfcp.sh
  zfcpdump.config
- Added s390-tools-sles12sp2-feat-01-dasd-query-host.patch (Fate#319604)
- Reworked s390-tools-sles12-pardasdfmt.patch to fit.
- Reworked dasdfmt-retry-BIODASDINFO-if-device-is-busy.patch to fit.
- Added file /etc/modprobe.d/90-s390-tools.conf to ensure
  dasd_diag_mod and dasd_fba_mod kernel modules get loaded together
  (bsc#966477).
- Updated zfcp_san_disc so that breaking out of it won't leave
  "well known LUNs" in use preventing others from using them.
  (bsc#961372)
- Removed the following obsolete patches
  s390-tools-sles12-cpuplugd-allow-more-than-64-CPUs.patch
  s390-tools-sles12-dasdstat-avoid-inconsistent-data.patch
  s390-tools-sles12-dbginfo-collect-journalctl.patch
  s390-tools-sles12-dbginfo-libvirt-multipath-extension.patch
  s390-tools-sles12-dbginfo-option-for-output-directory.patch
  s390-tools-sles12-dbginfo-q-v-nic.patch
  s390-tools-sles12-dbginfo-systemd-data-collection.patch
  s390-tools-sles12-dumpconf-fix-delay-minutes.patch
  s390-tools-sles12-init-scripts-do-not-use-subsys.patch
  s390-tools-sles12-ipl_tools-fcp-loadparm.patch
  s390-tools-sles12-lsqeth-put-grep-regex-in-quotes.patch
  s390-tools-sles12-lsreipl-fix-fcp-reipl-type.patch
  s390-tools-sles12-lszcrypt-ep11-support.patch
  s390-tools-sles12-qetharp-iface-arg-limit.patch
  s390-tools-sles12-qetharp-q-format.patch
  s390-tools-sles12-qethqoat-and-qetharp-return-codes-fixed.patch
  s390-tools-sles12-qethqoat-fix-buffer-overflow-for-interface-parameter.patch
  s390-tools-sles12-remove-FBA-detection-for-virtblk-devices.patch
  s390-tools-sles12-systemd-iucvterm-units.patch
  s390-tools-sles12-ziorep-busid-fix.patch
  s390-tools-sles12-zipl-dump-part-check.patch
  s390-tools-sles12-zipl-fix-kernel-parameter-line.patch
  s390-tools-sles12-zipl-fix-parmline-zero-termination.patch
  s390-tools-sles12-znetconf-r-format.patch
  s390-tools-sles12sp1-cmsfs-fuse-time-fix.patch
  s390-tools-sles12sp1-feat-01-hyptop-diag0c.patch
  s390-tools-sles12sp1-feat-02-hyptop-lpar-smt.patch
  s390-tools-sles12sp1-feat-03-zipl-mt-dump.patch
  s390-tools-sles12sp1-feat-04-zipl-zgetdump-simd-dump.patch
  s390-tools-sles12sp1-feat-05-cpumf.patch
  s390-tools-sles12sp1-feat-06-lscpumf-disp-ctrs.patch
  s390-tools-sles12sp1-feat-07-lscpumf-cf-sf-check.patch
  s390-tools-sles12sp1-feat-08-chreipl-support-virtio_ccw.patch
  s390-tools-sles12sp1-feat-09-lsqeth_display_switch_attrs.patch
  s390-tools-sles12sp1-feat-10-qethqoat_OSA_Express_5S_support.patch
  s390-tools-sles12sp1-feat-11-lszcrypt-CEX5S-support.patch
  s390-tools-sles12sp1-feat-12-hmcdrvfs.patch
  s390-tools-sles12sp1-lsluns-check-fcp-device-state.patch
  s390-tools-sles12sp1-lszfcp-incorrect-device-types.patch
  s390-tools-sles12sp1-znetconf-check-ccwgroup-devices-fix.patch
* Fri Nov  6 2015 mpost@suse.com
- Added 59-prng.rules so that /dev/prandom will have permissions
  of 0444. This will allow anyone to access the CPACF hardware
  pseudo-random number generator. (bsc#946349)
- Updated the comments in 59-graf.rules to reflect the correct
  location for the rule to be installed.
* Fri Nov  6 2015 mpost@suse.com
- Modified dasd_reload to take HyperPAV alias devices offline
  before the "normal" DASD and base devices, and then activate
  the "normal" DASD and base devices before the alias devices.
  (bsc#942373).
* Fri Oct 30 2015 mpost@suse.com
- Updated read_values.c to point to the location IBM's makefile
  for qclib puts the include file. (bsc#951518).
- Added a filter to s390-tools-rpmlintrc to mask a warning
  about read_values being statically linked. This was intentional
  since we didn't want to include the qclib-devel shared library
  in the distribution since this is the only programt that uses
  qclib-devel.
* Fri Oct 23 2015 hare@suse.de
- Updated zfcp_host_configure to return '10' if the system
  is set up for automatic LUN scanning (bsc#951547)
* Tue Oct 13 2015 mpost@suse.com
- Replaced read_values.c with a newer version that uses the
  query capacity library (qclib) from IBM. (FATE#319342)
* Wed Sep  9 2015 mpost@suse.com
- Updated s390-tools-sles12-pardasdfmt.patch to fix error messages
  that didn't have a "\n" on the end. (bsc#940818)
- Updated the spec file to install 40-z90crypt.rules into
  /usr/lib/udev/rules.d/ (bsc#943777)
- Added the following patches from IBM (bsc#944390)
  - s390-tools-sles12sp1-lszfcp-incorrect-device-types.patch
    lszfcp: display of incorrect device types
  - s390-tools-sles12sp1-znetconf-check-ccwgroup-devices-fix.patch
    znetconf: cannot handle that no device is there
  - s390-tools-sles12sp1-lsluns-check-fcp-device-state.patch
    lsluns: do not scan FCP devices no longer online or in bad state
  - s390-tools-sles12sp1-cmsfs-fuse-time-fix.patch
    cmsfs-fuse: Fix time stamp handling for data sets
* Wed Jul 22 2015 mpost@suse.com
- Removed s390-tools-sles12sp1-feat-13-lsdasd-add-path-information.patch
  at the request of IBM. To be re-introduced for SLES12 SP2.
- Added  s390-tools-sles12-dumpconf-fix-delay-minutes.patch (bsc#939054)
* Wed Jun 17 2015 mpost@suse.com
- Split out the SE/HMC file access pieces into a new sub-package
  (bsc#934372).
* Thu Jun 11 2015 mpost@suse.com
-  Added the following feature updates for SLES12 SP1
  - s390-tools-sles12sp1-feat-01-hyptop-diag0c.patch (bsc#934359, Fate#318069)
    hyptop: Exploit diag 0c data
  - s390-tools-sles12sp1-feat-02-hyptop-lpar-smt.patch (bsc#934324, Fate#318054)
    hyptop: Support for SMT (SMT base support)
  - s390-tools-sles12sp1-feat-03-zipl-mt-dump.patch (bsc#934371, Fate#318047)
    zipl: Add MT dump support for zipl dump tools
  - s390-tools-sles12sp1-feat-04-zipl-zgetdump-simd-dump.patch (bsc#934360, Fate#318057)
    zipl: Add vector register support
  - Add support for hardware sampling to the perf tool (bsc#934321, Fate#318025)
  - s390-tools-sles12sp1-feat-05-cpumf.patch
    s390/perf: add support for the CPU-measurement sampling Facility
  - s390-tools-sles12sp1-feat-06-lscpumf-disp-ctrs.patch
    cpumf: display counters only if the facility is available
  - s390-tools-sles12sp1-feat-07-lscpumf-cf-sf-check.patch
    cpumf: lscpumf erroneously reports sampling support
  - s390-tools-sles12sp1-feat-08-chreipl-support-virtio_ccw.patch (bsc#934370, Fate#318962)
    zipl/chreipl: Basic guest support for KVM hypervisors
  - s390-tools-sles12sp1-feat-09-lsqeth_display_switch_attrs.patch (bsc#934364, Fate#318473)
    lsqeth: Add support for switch port attributes
  - s390-tools-sles12sp1-feat-10-qethqoat_OSA_Express_5S_support.patch (bsc#934350, Fate#318033)
    qethqoat: OSA-Express5S Support
  - s390-tools-sles12sp1-feat-11-lszcrypt-CEX5S-support.patch (bsc#934325, Fate#318044)
    lszcrypt: Add support for CEX5S crypto adapters.
  - s390-tools-sles12sp1-feat-12-hmcdrvfs.patch (bsc#934372, Fate#318067)
    hmcdrvfs: SE/HMC file access
  - s390-tools-sles12sp1-feat-13-lsdasd-add-path-information.patch (bsc#934352, Fate#318031)
    lsdasd: add path information
* Thu Apr 23 2015 mpost@suse.com
- Added three IBM patches (bsc#924973)
  - s390-tools-sles12-dbginfo-libvirt-multipath-extension.patch
    dbginfo.sh: Extend data collection for libvirt and multipath
  - s390-tools-sles12-dbginfo-q-v-nic.patch
    dbginfo.sh: Query virtual network settings for VM guests
  - s390-tools-sles12-ziorep-busid-fix.patch
    ziomon/ziorep: fix wrong assumption of 0.0.xxxx busids
* Wed Mar 11 2015 mpost@suse.com
- Updated the cputype script to recognize the new z13 processor.
- Modified read_values.c to handle additional values from
  /proc/sysinfo and redirect an error message to stderr (bsc#919293)
- Modified read_values.c to convert as much German to English as I could
- Added read_values.8 man page (bsc#919293)
- Added s390-tools-sles12-dasdstat-avoid-inconsistent-data.patch (bsc#920363)
  dasdstat: avoid inconsistent data due to multiple reads/seeks
- Added s390-tools-sles12-qethqoat-and-qetharp-return-codes-fixed.patch (bsc#920363)
  qethqoat and qetharp: return codes fixed
* Mon Jan 19 2015 mpost@suse.com
- Added s390-tools-sles12-zipl-dump-part-check.patch (bsc#909524)
  zipl dump tools: Fix end of partition check
* Wed Dec 10 2014 mpost@suse.com
- Added three IBM patches (bsc#903048)
  - s390-tools-sles12-dbginfo-option-for-output-directory.patch
    dbginfo.sh: Add option to specify directory for data collection
  - s390-tools-sles12-dbginfo-systemd-data-collection.patch
    dbginfo.sh: Improve data collection for systemd and lsdasd
  - s390-tools-sles12-cpuplugd-allow-more-than-64-CPUs.patch
    cpuplugd: allow more than 64 CPUs
* Thu Sep  4 2014 mpost@suse.com
- Modified zfcp_host_configure to write udev rules and update
  /boot/zipl/active_devices.txt even if the HBA is already online.
  (bnc#894229)
- Modified zfcp_san_disc to properly filter for remote ports.
  (bnc#868494)
* Wed Sep  3 2014 mpost@suse.com
- Added %%conf /boot/zipl/active_devices.txt to the spec file.
  (bnc#894480)
* Tue Sep  2 2014 ro@suse.de
- sanitize release line in specfile
* Tue Sep  2 2014 mpost@suse.com
- Added s390-tools-sles12-ipl_tools-fcp-loadparm.patch (bnc#894071)
  ipl_tools: Add missing SCSI loadparm support
* Mon Aug 18 2014 mpost@suse.com
- Added read_values to the package (Fate#313462).
  Changed license from GPL-2.0+ to "GPL-2.0+ and BSD2c"
  (BSD 2-Clause License) to account for the new command.
* Wed Aug 13 2014 mpost@suse.com
- Modified dasd_reload script to deactivate any MD arrays before
  trying to take any DASD offline. (bnc#876570)
* Mon Aug 11 2014 mpost@suse.com
- Added s390-tools-sles12-zipl-fix-parmline-zero-termination.patch (bnc#891090)
  zipl: fix zero termination of parmline
* Mon Jul 28 2014 mpost@suse.com
- Added s390-tools-sles12-init-scripts-do-not-use-subsys.patch (bnc#888592)
  init scripts: Do not use /var/lock/subsys
* Fri Jul 25 2014 hare@suse.de
- Fixup script issues in zfcp_san_disc (bnc#868494)
* Tue Jul 22 2014 mpost@suse.com
- Updated %%post script to remove the warning about running zipl after
  installing this package. That hasn't been necessary for quite a
  while. (bnc#888248)
* Fri Jul 11 2014 mpost@suse.com
- Implement cio_ignore.service (bnc#882685, bnc#886833)
  Added cio_ignore.service and setup_cio_ignore.sh
  Fixup dependencies for cio_ignore service
  Fixup setup_cio_ignore.sh to correctly enable devices
- Added s390-tools-sles12-remove-FBA-detection-for-virtblk-devices.patch
  (bnc#883989)
  zipl: remove heuristic FBA detection for virtblk devices
- Updated mkdump script (bnc#884786):
  - Don't create a file system on SCSI disks
  - Use GPT partition tables instead of MSDOS to allow dumps > 2TB
  - Use "zipl -d" instead of "zipl -D" for partition dumping
- Added a check for the existence of /boot/zipl/active.devices.txt
  before trying to write to it in:
  ctc_configure, dasd_configure, qeth_configure, and
  zfcp_host_configure.
- Modified zfcp_host_configure to completely take the HBA offline
  (bnc#872229).
* Wed Jul  9 2014 jjolly@suse.com
- Now obtaining zfcpdump-part.image from kernel-zfcpdump package
* Mon Jun 16 2014 mpost@suse.com
- Added a "udevadm settle" command to qeth_configure.
* Mon Jun 16 2014 pth@suse.de
- Merge the work of John and Mark.
* Fri Jun 13 2014 mpost@suse.com
- Updated the following scripts to add tracking for the devices
  configured on the system for the cio_ignore kernel parameter:
  - ctc_configure
  - dasd_configure
  - qeth_configure
  - zfcp_host_configure
  - Added an empty /boot/zipl/active_devices.txt file for the
  tracking function (bnc#874902).
* Fri Jun 13 2014 jjolly@suse.com
- zfcpdump.config - Configuration for zfcpdump kernel build
- series.conf - Added kernel build and removed post and postun
  scripting to copy image
* Thu Jun 12 2014 mpost@suse.com
- Added s390-tools-sles12-lsqeth-put-grep-regex-in-quotes.patch. (bnc#877138)
  lsqeth: put grep regex in quotes
* Wed May 28 2014 mpost@suse.com
- Add s390-tools-sles12-qethqoat-fix-buffer-overflow-for-interface-parameter.patch
  qethqoat: buffer overflow (bnc#880378)
* Tue May 13 2014 mpost@suse.com
- Removed all the patches related to the persistent device configuration
  tools. The feature in FATE was withdrawn.
    s390-tools-sles12-chzdev-creates-invalid-zFCP-udev-rules.patch
    s390-tools-sles12-chzdev-fails-to-configure-IUCV.patch
    s390-tools-sles12-chzdev-fails-to-group-layer-3-nics.patch
    s390-tools-sles12-chzdev-fix-output.patch
    s390-tools-sles12-chzdev-Improved-error-handling.patch
    s390-tools-sles12-chzdev-lszdev-Compilation-warnings.patch
    s390-tools-sles12-chzdev-lszdev-new-tools.1.patch
    s390-tools-sles12-chzdev-lszdev-new-tools.2.patch
    s390-tools-sles12-chzdev-lszdev-new-tools.3.patch
    s390-tools-sles12-chzdev-lszdev-new-tools.4.patch
    s390-tools-sles12-chzdev-lszdev-new-tools.5.patch
    s390-tools-sles12-chzdev-lszdev-new-tools.6.patch
    s390-tools-sles12-chzdev-lszdev-new-tools.7.patch
    s390-tools-sles12-chzdev-lszdev-restore-makefile.patch
    s390-tools-sles12-chzdev-lszdev-temp-fix.patch
    s390-tools-sles12-chzdev-lszdev-temporary-makefile-revert.patch
    s390-tools-sles12-chzdev-lun-and-wwpn-now-must-be-16-hex-digits.patch
    s390-tools-sles12-chzdev-missing-online.patch
    s390-tools-sles12-chzdev-optimize-css-search.patch
    s390-tools-sles12-chzdev-revoke-to-specify-no-category.patch
    s390-tools-sles12-chzdev-segfault-creating-netiucv-on-lpar.patch
    s390-tools-sles12-chzdev-set-online-state-correctly.patch
    s390-tools-sles12-chzdev-unable-to-enable-dasd-diag-access.patch
    s390-tools-sles12-lszdev-chzdev-corrected-man-page.patch
    s390-tools-sles12-lszdev-chzdev-misc-patches.patch
    s390-tools-sles12-lszdev-corrected-device-lookup-for-btrfs.patch
    s390-tools-sles12-lszdev-manual-page-update.patch
    s390-tools-sles12-install-manpages.patch
- Added patch s390-tools-sles12-systemd-iucvterm-units.patch (bnc#877346)
  Removed iucvtty@.service file, since the above patch replaces it.
- Added util-linux, gawk, and procps packages to the list of Requires
  just to be safe (bnc#86736).
* Mon May  5 2014 mpost@suse.com
- Added the following patches (bnc#876334)
  - s390-tools-sles12-lsreipl-fix-fcp-reipl-type.patch
    lsreipl: Show "fcp" instead of "fcp_dump" for fcp re-IPL target
  - s390-tools-sles12-chzdev-Improved-error-handling.patch
    chzdev: Improved error handling
  - s390-tools-sles12-lszdev-corrected-device-lookup-for-btrfs.patch
    lszdev: corrected lookup for filesystem on btrfs
  - s390-tools-sles12-chzdev-lun-and-wwpn-now-must-be-16-hex-digits.patch
    chzdev: LUN and WWPN now must be 16 hex digits
  - s390-tools-sles12-chzdev-revoke-to-specify-no-category.patch
    chzdev: Revoke to specify no category if needed
  - s390-tools-sles12-lszdev-chzdev-corrected-man-page.patch
    lszdev/chzdev: Update man page description for FCP LUNs
* Mon Apr 21 2014 mpost@suse.com
- Added the following patches (bnc#874143)
  - s390-tools-sles12-dbginfo-collect-journalctl.patch
    dbginfo.sh: Add collection of journalctl
  - s390-tools-sles12-chzdev-set-online-state-correctly.patch
    chzdev: Did not get the online state correctly
  - s390-tools-sles12-lszdev-chzdev-misc-patches.patch
    lszdev/chzdev: Miscellaneous patches
* Mon Apr 14 2014 mpost@suse.com
- Added the following patches (bnc#873239)
  - s390-tools-sles12-chzdev-fix-output.patch
    chzdev: tools generates numerous error messages
  - s390-tools-sles12-lszdev-manual-page-update.patch
    lszdev: Update of the manpage
  - s390-tools-sles12-chzdev-optimize-css-search.patch
    chzdev: Performance optimization to get css information
  - s390-tools-sles12-chzdev-missing-online.patch
    chzdev: Add missing online attribute
- Updated cputype to also display the IBM model number
* Thu Apr 10 2014 mpost@suse.com
- Added cputype and cputype.8. Fate#317195.
- Updated and reformatted README.SUSE. It is no longer obsolete.
- Check to see if systemd is running before executing
  systemctl daemon-reload in %%post and %%postun.
* Mon Apr  7 2014 mpost@suse.com
- Moved the "Requires: perl" back to osasnmpd.
- Added "Requires: perl-base" to the main package. (bnc#871830).
* Fri Apr  4 2014 mpost@suse.com
- Added s390-tools-sles12-chzdev-segfault-creating-netiucv-on-lpar.patch
  chzdev: Segfault when creating netiucv device in lpar (bnc#872092)
* Thu Apr  3 2014 mpost@suse.com
- Added s390-tools-sles12-chzdev-creates-invalid-zFCP-udev-rules.patch
  chzdev: invalid udev rules for zFCP (bnc#871292)
- Added s390-tools-sles12-chzdev-fails-to-group-layer-3-nics.patch
  chzdev: fails to create grouped Layer 3 NICs (bnc#871222) (bnc#871223)
- Added s390-tools-sles12-chzdev-fails-to-configure-IUCV.patch
  chzdev: fails to configure/deconfigure IUCV interfaces (bnc#871230)
- Added s390-tools-sles12-chzdev-unable-to-enable-dasd-diag-access.patch
  chzdev: fails to enable DIAG access mode for DASD (bnc#871226)
- Added s390-tools-sles12-chzdev-lszdev-Compilation-warnings.patch
  chzdev/lszdev: warnings about unused functions and others (bnc#871220)
* Mon Mar 31 2014 mpost@suse.com
- Modified the content of s390-tools-zdsfs.caution.txt slightly to
  convey just where the zdsfs feature originated.
- Added "SUSE-NonFree" as the license for the zdsfs sub-package to get
  the caution displayed when the package is installed.
* Sat Mar 29 2014 mpost@suse.com
- Moved the "Requires: perl" from osasnmpd to the main package
- Added, coreutils, rsync, and tar to the list of "Requires."
* Fri Mar 28 2014 mpost@suse.com
- Add s390-tools-sles12-qetharp-iface-arg-limit.patch (bnc#870948).
  qetharp: limit interface name argument to 15 characters
- Added s390-tools-sles12-chzdev-lszdev-new-tools.7.patch (bnc849864).
  Reduced the number of supported devices and some options.
  The tools have a stripped down but better tested functionality.
* Thu Mar 27 2014 mpost@suse.com
- Renamed the package containing zdsfs to s390-tools-zdsfs
- Replaced the dummy LICENSE file with s390-tools-zdsfs.caution.txt
- Modified the spec file to rename s390-tools-zdsfs.caution.txt to CAUTION
  so it will get installed in /usr/share/doc/packages/s390-tools-zdsfs
- Fixed a bug with iucv_configure that caused any IUCV interfaces past
  iucv9 to be ignored.
- Modified dasd_configure so that instead of simply exiting with a
  return code of 8 when an unformatted DASD volume was found, it
  would continue with writing the udev rules for it. (bnc#864719)
* Wed Mar 26 2014 mpost@suse.com
- Modified zfcp_san_disc to work with the output from the latest lsscsi
  command. (bnc#864417)
- Re-added DISTRELEASE=%%{release} to the make and make install commands
  in the spec file so that the version number output meets IBM's expectations.
  (bnc#869982)
* Fri Mar  7 2014 mpost@suse.com
- Modified zfcp_san_disc to add a timing loop to wait for the remote
  FCP port to appear in sysfs. (bnc#864119)
- Moved the location of zipl.conf.sample from /etc/ to
  /usr/share/doc/packages/s390-tools/ now that grub2 is the official
  boot loader
* Fri Feb 28 2014 mpost@suse.com
- Added s390-tools-sles12-chzdev-lszdev-new-tools.6.patch from IBM.
  Many improvements on the formatting of the source files, new
  options and man pages. Renamed scsi.c to zfcp.c and scsi.h to
  zfcp.h. Cleaned up sources.
* Thu Feb 27 2014 thardeck@suse.com
- Added a short explanation to the iucvtty template header
* Sun Feb 23 2014 thardeck@suse.com
- Renamed iucvtty@hvc0.service to iucvtty@.service following the
  getty template naming scheme
- Added installation section to iucvtty@.service so a iucvtty
  instance can be activated for example with
  `systemctl enable iucvtty@lxterm1.service`
- Prevented automatic creation of one default iucvtty instance
* Thu Feb 20 2014 mpost@suse.com
- Added s390-tools-sles12-zipl-fix-kernel-parameter-line.patch (bnc#853930)
  zipl: Fix potentially invalid argument in kernel parameter line.
* Tue Feb 18 2014 mpost@suse.com
- Updated zfcp_disk_configure and zfcp_san_disc to work with NPIV
  and auto LUN scanning in newer kernels. (bnc#864119)
* Thu Feb 13 2014 mpost@suse.com
- Added s390-tools-sles12-chzdev-lszdev-new-tools.5.patch from IBM.
  This patch fixes problems with module configuration, check & diff.
* Tue Feb 11 2014 mpost@suse.com
- Added s390-tools-sles12-chzdev-lszdev-temp-fix.patch to fix a
  segfault until IBM can get an update out.
* Mon Feb 10 2014 mpost@suse.com
- Added s390-tools-sles12-znetconf-r-format.patch (bnc#863076)
  qetharp: Allow for 16-char network interface names
- Added s390-tools-sles12-znetconf-r-format.patch (bnc#863076)
  znetconf: Allow for 16-char network interface names
* Fri Feb  7 2014 mpost@suse.com
- Updated to s390-tools-1.24.1. This includes (and obsoletes) the
  fixes included in s390-tools-sles12-fix-31bit-compile-warnings.patch
  as well as the following which were found during the Alpha phase:
    Changes of existing tools:
  - dbginfo.sh: Cleanup messages of the script
  - dbginfo.sh: Reduced log output for sysfs collection
  - dbginfo.sh: Adding data collection from journalctl
    Bug Fixes:
  - lsdasd: Fix device selection for a given busid
  - zipl dump tools: Fix dump device size detection
  - zipl dump tools: Ensure that last progress message is printed
  - zipl: Fix I/O error recovery
  - zipl: Fix FBA boot
  - znetconf, lsqeth: Allow for 16-char network interface names
- Updated all patches to refer to 1.24.1 instead of 1.24.0
- Updated s390-tools-sles12-pardasdfmt.patch to fit the new source code.
* Fri Feb  7 2014 mpost@suse.com
- Replaced s390-tools-sles12-chzdev-lszdev-new-tools.patch with the original
  set of patches from IBM, now that everything compiles:
  s390-tools-sles12-chzdev-lszdev-new-tools.1.patch
  s390-tools-sles12-chzdev-lszdev-new-tools.2.patch
  s390-tools-sles12-chzdev-lszdev-new-tools.3.patch
- Added s390-tools-sles12-chzdev-lszdev-temporary-makefile-revert.patch and
  s390-tools-sles12-chzdev-lszdev-restore-makefile.patch since the patches
  as shipped from IBM are not being built against the current version of
  the s390-tools source.
- Added s390-tools-sles12-chzdev-lszdev-new-tools.4.patch from IBM.
- Updated s390-tools-sles12-install-lszdev-manpage.patch to also
  install chzdev.8 and renamed it to s390-tools-sles12-install-manpages.patch
  Also explicitly set the file permissions to 644.
- Added %%dir entries in the spec file for /var/adm/backup/chzdev
  and /var/adm/backup/chzdev/udev
- Removed s390-tools-sles12-chzdev-iucv-typo-fix.patch since the lastest
  IBM update included the fix.
* Wed Feb  5 2014 mpost@suse.com
- Updated and re-added s390-tools-sles12-pardasdfmt.patch.
- Modified mkdump.pl to not use the experimental "switch" feature.
  (bnc#861954)
- Modified s390-tools-sles12-zipl_boot_msg.patch to add an extra
  blank line before and after the "note" to VM users to have it
  look like it does today.
- Added "ZFCPDUMP_DIR=/usr/lib/s390-tools/zfcpdump" to the make
  command so that zfcpdump would look in the right directory.
- Removed an unnecessary
  "mkdir -p $RPM_BUILD_ROOT%%{_datadir}/s390-tools/zfcpdump" from
  the spec file
- Removed some of the new code from IBM for the Persistent Device
  Configuration tool so that it would compile. This means that the
  fixes for bnc#861579 and bnc#861581 can be deployed.
- Added s390-tools-sles12-chzdev-iucv-typo-fix.patch to correct a typo
  in a sysfs path name.
* Tue Jan 21 2014 mpost@suse.com
- Added dracut to the list of BuildRequires.
- Commented out all references to mkinitrd, since we might not have
  to do anything in that area with the introduction of dracut.
* Tue Jan 21 2014 mpost@suse.com
- Changed the licensing of mkdump.pl and mkdump.8 from "GPL2 or GPL3"
  to GPL2 or later as requested.
* Wed Jan 15 2014 mpost@suse.com
- Added s390-tools-sles12-fix-31bit-compile-warnings.patch. (bnc#851123)
* Wed Dec 18 2013 mpost@suse.com
- Added s390-tools-sles12-lszcrypt-ep11-support.patch
  lszcrypt: Support EP11 crypto adapters
- Updated s390-tools-sles12-zipl_boot_msg.patch to fit new source.
- Removed s390-tools-sles12-shorten-dump-msgs.patch.
- Updated s390-tools-sles12-chzdev-lszdev-new-tools.patch to fit
  new source.
* Thu Dec 12 2013 mpost@suse.com
- Added /usr/lib/systemd/system/iucvtty@.service for systemd support
- Renamed sles12.chzdev.lszdev.addition.patch to
  s390-tools-sles12-chzdev-lszdev-new-tools.patch
* Tue Nov 19 2013 mpost@suse.com
- First attempt at building s390-tools 1.24.0
- Removed the blktrace_api.h as it is no longer needed.
- Removed vmlogrdr.hotplug since that was for Linux 2.4 kernels.
* Fri Nov  8 2013 mpost@suse.com
- IBM s390-tools-1.15.0 Maintenance Patches (#2)
  - s390-tools-sles11sp3-zipl-zfcpdump-possible-cpus.patch
    zipl: Use "possible_cpus" kernel parameter
  - s390-tools-sles11sp3-dbginfo-missing_man_page.patch
    dbginfo.sh: Add missing man page
- qeth_configure: Ensure any user-input hexidecimal numbers are in lower case. (bnc#829513)
* Fri Sep  6 2013 mpost@suse.com
-  [CIO] Add robustness against missing interrupts to non-path-grouped internal IO requests - s390-tools part (bnc#837742)
  - s390-tools-sles11sp3-lscss-add_vpm.patch
* Mon Aug 19 2013 mpost@suse.com
- IBM s390-tools-1.15.0 Maintenance Patches (#1) (bnc#824766)
  - s390-tools-sles11sp3-zipl-mvdump-fix-force.patch
    zipl: Fix zipl "--force" option for DASD multi-volume dump
  - s390-tools-sles11sp3-zgetdump-elf-hdr-alloc-fix.patch
    zgetdump: Fix ELF header size calculation
* Fri Aug  9 2013 mpost@suse.com
- IBM s390-tools-1.15.0 Maintenance Patches (#1) (bnc#824766)
  - s390-tools-sles11sp3-dbginfo-handle-pipes-in-sysfs.patch
    dbginfo.sh: Avoiding eclusion list for pipes in sysfs
* Wed Jul 31 2013 mpost@suse.com
- Updated ctc_configure, dasd_configure, iucv_configure, qeth_configure,
  zfcp_disk_configure and zfcp_host_configure so that DEBUG is usable as
  an environment variable, and not hardcoded in the script.
- Updated ctc_configure to correct some typos.
- Updated iucv_configure
  - Changed all instances of ROUTER to PEER_USERID to better reflect
    what the value respresents.
  - Updated the _iucv_dev loops to point to $_iucv_dir/netiucv?* to avoid
    picking up entries for the new hvc_iucv* consoles.  (bnc#749094)
  - Convert the user-entered PEER_USERID to all upper case so the user
    doesn't have to.  (bnc#749094)
- Updated qeth_configure
  - Changed all references of "control channel" to "data channel" to
    match what it's called in the driver code and documentation.
  - Fixed a few typos.
- Updated zfcp_host_configure to add a missing udev rule. (bnc#830321)
- Updated mkinitrd-setup-qeth.sh
  - It now handles both VLAN and bonded channel interfaces
  - Restructured the code to better handle the new functionality.
- Updated zpxe.rexx to correct some whitespace inconsistencies and to
  uncomment a screen clearing that wasn't desired during testing, and
  left that way by mistake.
- Modified %%post script to wipe out any dangling symlinks before
  creating new ones. (bnc#830288)
- Added the shadow package to the RPM PreReq list. (bnc#832428)
- Added man pages for ctc_configure, dasd_configure, iucv_configure,
  qeth_configure, zfcp_disk_configure and zfcp_host_configure.
* Tue Jul 30 2013 mpost@suse.com
- Added the shadow package to the list of PreReqs, per problem report from
  Duncan Mac-Vicar P.
* Thu Jun 13 2013 mpost@suse.com
- IBM s390-tools-1.15.0 Maintenance Patches (#1) (bnc#824766)
  - dbginfo.sh: Improvements on logging, content and collecting sysfs.
  - dbginfo.sh: enhancement for cryptograhic adapters
* Wed May  8 2013 mpost@suse.com
- Added udev rules (59-graf.rules) for 3270 devices. (bnc#792991)
* Thu May  2 2013 mpost@suse.com
- Updated qeth_configure to not create a udev entry for the layer2
  attribute on OSN devices. OSN devices don't support Layer 2.  (bnc#788924)
* Fri Apr 26 2013 mpost@suse.com
- Enabled kdump over the network (bnc#807794)
  - Updated mkinitrd-setup-qeth to look at $static_interfaces $dhcp_interfaces
    instead of $interfaces.
  - Changed installation location of mkinitrd-boot-qeth.sh and mkinitrd-setup-qeth.sh
    to /lib/mkinitrd/scripts instead of /usr/lib/s390-tools/mkinitrd/scripts.
* Wed Apr 17 2013 mpost@suse.com
- Updated qeth_configure with the fix in bnc#794577, comment #9.
* Wed Apr 17 2013 mpost@suse.com
- IBM s390-tools-1.15.0 Maintenance Patches (#13) (bnc#815053)
  - zfcpdbf: fix offset and length of fields in trace records with
    s390-tools-sles11sp3-zfcpdbf-offset-length-fields-trace-records.patch
* Tue Apr  2 2013 mpost@suse.com
- Updated mkinitrd-setup-dasd.sh script to include udev rules for DASD
  in DIAG mode. (bnc#808256)
* Tue Mar 26 2013 mpost@suse.com
- Updated zpxe.rexx file.
  - Lots more comments and error checking
  - Made it more in the style a z/VM systems programmer would expect.
  - Made it more generic than just for Cobbler
* Fri Mar 22 2013 mpost@suse.com
- Updated License entries to GPL-2.0+ to conform with SPDX format (bnc#733581)
* Mon Mar 18 2013 mpost@suse.com
- Changed all comments and message output in zfcp_host_configure and zfcp_disk_configure wit
  h ZFCP to zFCP (3/18/2013)
- Updated ctc_configure, dasd_configure, iucv_configure, qeth_configure, zfcp_disk_configure
  , zfcp_host_configure to replace $SYSFS with /sysfs in the one instance where $SYSFS would b
  e null.-
* Fri Mar 15 2013 rmilasan@suse.com
- Add/change links in /dev/disk/by-id on 'change' and 'add' udev
  trigger (bnc#808042).
  add: s390-tools-sles11sp2-update-by_id-links-on-change-and-add-action.patch
* Mon Feb 18 2013 mpost@suse.com
- Added s390-tools-sles11sp3-add_lsscm.patch (bnc#792709)
* Thu Feb  7 2013 mpost@suse.com
- Updated usage information on
  - ctc_configure
  - dasd_configure
  - iucv_configure
  - qeth_configure
  - zfcp_disk_configure
  - zfcp_host_configure (bnc#769561)
- Fixed ctc_configure to not try to bind a CTC or LCS interface
  to the right driver module if it already is bound to the right one.
* Wed Feb  6 2013 mpost@suse.com
- s390-tools SP2/SP3 patchset #12 (bnc#795513):
  - ziomon: follow symlinks to find multipath devices
  - dbginfo.sh: Improvements on data collection and speed
  - zfcpdump: Release HSA early if Linux kernel supports it
  - ziomon: cope with scsi disks not part of multipath device
  - zfcpdbf: fix decoding of deferred errors
* Wed Jan 16 2013 mpost@suse.com
- lszcrypt: Add support for CEX4 crypto cards (bnc#794511, fate#314245)
* Mon Dec 10 2012 uli@suse.com
- Fuzzy live dump for System z (bnc#789801, fate#314099)
- Add new zconf tool dasdstat (bnc#789803, fate#314076)
- Allow SCM access via EADM subchannels (bnc#792709, fate#314244)
- dasd: add safe offline interface (bnc#792967, fate#312679)
* Thu Dec  6 2012 uli@suse.com
- kdump: Add s390-tools kdump support (bnc#786472, fate#314079)
* Wed Nov 28 2012 uli@suse.com
- zfcp_san_disc: added fix for listing of LUNs on SVC/V7000 by
  hare (bnc#742352)
* Thu Nov 22 2012 uli@suse.com
- qeth_configure: add option to udev rule if setting it succeeds,
  not if it fails (bnc#744317)
* Fri Nov 16 2012 uli@suse.com
- zfcp_host_configure: handle non-numeric "online" argument
  properly (bnc#769290)
* Thu Nov 15 2012 uli@suse.com
- *_configure: print meaningful error messages on failure
  (bnc#746660)
* Thu Nov 15 2012 uli@suse.com
- s390-tools-1.15.0 Maintenance Patches #11 (bnc#780272)
  - zipl: Flush disk buffers before installing IPL record
* Fri Jul 20 2012 uli@suse.com
- s390-tools-1.15.0 Maintenance Patches #10 (bnc#760339)
  - ziomon: Fix handling of multiple multipath devices
  - lsluns: Fix checks for scsi generic (sg) functionality.
  - lsluns: Check SCSI registration in loop, after LUN0&WLUN unit_add
* Thu Apr 12 2012 uli@suse.com
- s390-tools-1.15.0 Maintenance Patches #9 (bnc#751477)
  - cmsfs-fuse: Use pread/pwrite if mmap'ing the whole disk fails
  - znetconf: layer autodetection not working for IP VSWITCH
  - mon_statd: fix error "udevsettle: command not found"
  - mon_statd: fix stopping of unused records
* Tue Mar 27 2012 jjolly@suse.com
- Added /sbin/udevadm settle to zfcp_disk_configure (bnc#593773)
* Mon Feb  6 2012 ihno@suse.de
- Fix CTC device setup (reassigning channels from lcs to ctcm) (bnc#745034)
* Thu Feb  2 2012 uli@suse.com
- fix LCS device setup in ctc_configure (bnc#741071)
- from SP1:
  - updated qeth_configure and dasd_configure to support SUSE Studio Onsite
    (bnc#699047)
  - qeth_configure: Proper IP takeover during layer 3 operation (bnc#694124)
* Wed Feb  1 2012 uli@suse.com
- more fixes: (bnc#743407)
  - qethconf: fix/improve IPv6 address handling
  - znetconf: layer autodetection not working under z/VM 6.x
* Fri Jan 13 2012 stefan.fent@suse.com
- s390-tools-1.15.0 Maintenace Patches #7 (bnc #740749)
  - ttyrun: Introduce verbose option for syslog messages
  - HiperSockets Network Concentrator: correct warning
  - HiperSockets Network Concentrator: adapt to kernel level
* Thu Jan 12 2012 jjolly@suse.com
- qeth_configure: Added udevadm trigger to help rewrite necessary
  network scripts (bnc#728059)
* Fri Dec 16 2011 uli@suse.com
- dasdfmt: use proper way to detect DASD cylinder count (bnc#733787)
- build system fix (bnc#737189)
* Mon Dec  5 2011 uli@suse.com
- dasdfmt: fix cylinder count for large disks in YaST mode
  (bnc#733787)
* Mon Dec  5 2011 uli@suse.com
- qetharp: Man page improvements (bnc#732669)
* Tue Nov 29 2011 uli@suse.com
- fix dasdfmt usage text (bnc#732503)
* Tue Nov  8 2011 jjolly@suse.com
- rules.xpram: Added rule to create xpram nodes for each slram
  node (bnc#723521,LTC#75884)
- rules.hw_random: Added rule to create hw_random node when hwrng
  is created (bnc#724083,LTC#75951)
* Fri Nov  4 2011 uli@suse.com
- lsdasd: Improve performance when used with many DASDs (bnc#728041)
* Fri Nov  4 2011 uli@suse.com
- qeth_configure: recognize 1731/02 as qeth device (bnc#720082)
* Mon Oct 24 2011 uli@suse.com
- more fixes: (bnc#725132)
  - zfcpdbf: Include and exclude messages display problem
  - zfcpdbf: help option does not list version '-v' option
  - cmsfs-fuse: Fix file size calculation for files larger than 2 GB
  - cmsfs-fuse: Fix big write requests
  - cmsfs-fuse: Multiple write requests for fixed record format files
  - cmsfs-fuse: Fix EOF detection for fixed record format files
  - zipl: fix scsi dump
  - cmsfs-fuse: Fix block allocation on large disks
  - cmsfs-fuse: Update the number of records on disk full condition
  - cmsfs-fuse: Add support for FBA-512 disks
  - dumpconf: Add full path of executable for killproc invocation
  - zfcpdbf: Messages with round-trip processing timediff problem
  - lsmem/chmem: Fix memory device size calculation
* Thu Oct 13 2011 thardeck@suse.com
- moved iucvconn_on_login from doc to /usr/bin
- added rcdumpconf link
* Fri Oct  7 2011 uli@suse.com
- more fixes: (bnc#722508)
  - lsmem/chmem: Fix handling of memory holes
  - dasdview: fix printing of random characters after busid
* Fri Sep 16 2011 uli@suse.com
- more fixes: (bnc#718024)
  - qetharp: fix buffer overflow
  - lsqeth: add hsuid attribute
  - af_iucv manpage: add HiperSockets transport
  - dbginfo.sh: does not run under kernel 3.x
  - lsdasd,lscss: suppress error messages when working on unsettled
    sysfs tree.
  - lsluns: check for required SCSI generic (sg) functionality.
  - zipl: Prevent unsupported parmfile address.
* Tue Sep  6 2011 uli@suse.de
- update dumpconf patches (bnc#716118)
* Mon Sep  5 2011 uli@suse.de
- update -> 1.15.0 (obsoletes most patches, bnc#unknown)
* Mon Aug 29 2011 thardeck@suse.de
- updated mkdump script
  - fixed DASD dump device recognition (bnc#713801)
  - fixed allow creating dump devices on unformatted DASDs (bnc#713677)
- dumpconf restart doesn't trigger delay minutes
  - s390-tools-sles11sp2-01-dumpconf-restart.patch
- dumpconf support for eight vmcmd commands
  - s390-tools-sles11sp2-02-dumpconf-8cmds.patch
- updated dumpconf sysconfig accordingly
  - s390-tools-sles11sp2-sysconfig-compatible-dumpconf.patch
* Fri Aug 12 2011 thardeck@novell.com
- added new mkdump script (fate#304024)
  - mkdump.pl: new version - backward compatible with mkdump.sh
  - s390-tools-sles11sp2-mkdump-manpage.patch: man page for mkdump
- add sysconfig meta data to /etc/sysconfig/dumpconf
  - s390-tools-sles11sp2-sysconfig-compatible-dumpconf.patch: add sysconfig
    metadata to dumpconf
* Fri Aug 12 2011 uli@suse.de
- fdasd: fix generation of disk label for option 'auto' and 'config'
  (bnc#708534)
- restored corrupted patch s390-tools-sle11sp1-04-lscss-fix-tr-quoting.patch
* Wed Aug  3 2011 hare@suse.de
- qeth_configure: Properly deregister with collect during
  chpid vary off (bnc#474627)
* Thu Jul 28 2011 uli@suse.de
- dasd_configure: deactivate DIAG mode properly when told to do so
  (bnc#591037)
* Thu Jul 28 2011 uli@suse.de
- bug fixes (bnc#708534):
  - cpuplugd: Fix check for existing variable names
  - cpuplugd: Fix typos and wording in man page
* Fri Jul 22 2011 uli@suse.de
- hyptop didn't build because ncurses-devel was missing from
  BuildRequires (bnc#698740)
* Thu Jul 14 2011 uli@suse.de
- build hyptop and cmsfs-fuse (bnc#698740)
- maintenance patches (bnc#698755):
  - dasdinfo: return error code in case of failure.
  - lsluns: Fix showing all active LUNs not just well known LUNs.
  - lsreipl: Prevent error messages for empty sysfs files
  - cpuplugd: add cpu/cmm_min/max sanity checks
  - cpuplugd: fix daemon startup race
* Mon Jun 20 2011 thardeck@suse.de
- added zpxe.rexx script (fate#312134)
* Tue Jun 14 2011 uli@suse.de
- s390-tools patchset #12 for SP2 (bnc#698740)
  - s390-tools-12-sles11sp2-infrastructure.patch: Add infrastructure code
    for new features
  - s390-tools-12-sles11sp2-ttyrun.patch: ttyrun: run a program if a
    terminal device is available (fate#312296)
  - s390-tools-12-sles11sp2-hyptop.patch: hyptop: Show hypervisor
    performance data on System z (fate#311766)
  - s390-tools-12-sles11sp2-chreipl-enhancements.patch: chreipl: Re-IPL tool
    "chreipl" enhancements (fate#311861)
  - s390-tools-12-sles11sp2-tunedasd-query-reservation-status.patch:
    tunedasd: add new option -Q / --query_reserve (fate#311910)
  - s390-tools-12-sles11sp2-znetconf-osxosm.patch: znetconf: support for OSA
    CHPID types OSX and OSM (fate#311898)
  - s390-tools-12-sles11sp2-use-cio_settle.patch: chccwdev,chchp: Use
    /proc/cio_settle (fate#311763)
  - s390-tools-12-sles11sp2-cio_ignore.patch: cio_ignore: manage the I/O
    exclusion list (fate#311763)
  - s390-tools-12-sles11sp2-qethconf-msgexpl.patch: qethconf: Indicate
    command failure and show message list. (fate#312067)
  - s390-tools-12-sles11sp2-zipl-calculate_ramdisk_address.patch: zipl:
    Remove DEFAULT_RAMDISK_ADDRESS (fate#311877)
  - s390-tools-12-sles11sp2-zipl-automenu.patch: zipl: Add support for
    automatic menus (fate#311908)
  - s390-tools-12-sles11sp2-fdasd-partition_types.patch: fdasd: Implement
    new partition types (fate#311921)
  - s390-tools-12-sles11sp2-qetharp-ipv6-support.patch: qetharp: support
    ipv6 for query arp cache for HiperSockets (fate#311912)
  - s390-tools-12-sles11sp2-zgetdump-zipl-mkdump.patch: zgetdump/zipl: Add
    ELF dump support (needed for makedumpfile) (fate#311893, fate#311895)
  - s390-tools-12-sles11sp2-dumpconf-prevent-loop.patch: dumpconf: Prevent
    re-IPL loop for dump on panic. (fate#311757)
  - s390-tools-12-sles11sp2-cmsfs-fuse.patch: cmsfs-fuse: support for CMS
    EDF filesystems via fuse. (fate#311847, fate#311858)
  - s390-tools-12-sles11sp2-cpuplugd-cmm-improvements.patch: cpuplugd:
    Improve memory ballooning with cpuplugd (fate#312069)
* Tue May 10 2011 jjolly@novell.com
- s390-tools patchset #11 (bnc#689579)
  - s390-tools-11-01-fdasd-buffer-overflow-in-error-message.patch:
    fdasd: buffer overflow when writing to read-only device
    (LTC#70680)
  - s390-tools-11-02-cpuplugd-multiplication.patch: cpuplugd: Fix
    incorrect multiplication in rules evaluation (LTC#71166)
  - s390-tools-11-03-ziomon-outfile-invalid-option.patch: ziomon:
    Option '--output' should be '--outfile' as documented
    (LTC#71566)
  - s390-tools-11-04-ziomon-debugfs-mount-path-checking.patch:
    ziomon: Debugfs mount path check at /sys/kernel/debug
    (LTC#71749)
* Tue Apr 26 2011 jjolly@novell.com
- fdasd: added -f options to force execution on non-dasd devices
  (bnc#689018)
* Tue Feb 22 2011 jjolly@novell.com
- s390-tools patchset #10 (bnc#652287)
  - s390-tools-10-01-ziomon-returncodes.patch: ziomon: ziomon
    tools return 1 when using option -h, --help and -v (LTC#66507)
  - s390-tools-10-02-qethconf-subchset.patch: qethconf: process
    devices with subchannel set != 0 (LTC#66662)
  - s390-tools-10-03-iucvtty-login-h.patch: iucvtty: do not
    specify z/VM user ID as argument to login -h (LTC#66393)
  - s390-tools-10-04-fdasd-format7-label.patch: fdasd/dasdfmt: fix
    format 7 label (LTC#68122)
  - s390-tools-10-05-cpuplugd-cmm_pages.patch: cpuplugd: cmm_pages
    not set and restored correctly (LTC#68341)
  - s390-tools-10-06-lsluns-svc.patch: lsluns: Fix LUN reporting
    for SAN volume controller (SVC) (LTC#68559)
  - s390-tools-10-07-lsluns-uppercase.patch: lsluns: Accept
    uppercase and lowercase hex digits (LTC#68562)
* Tue Aug 10 2010 jjolly@suse.de
- s390-tools patchset #9 (bnc#621182)
  - s390-tools-09-01-ts-shell-group-names.patch: ts-shell: do not
    restrict group names to be alphanumeric (LTC#61504)
  - s390-tools-09-02-znetconf-driveroption.patch: znetconf:
  - -drive|-d option returning "unknown driver" for qeth
    (LTC#64732)
  - s390-tools-09-03-cpuplugd-stack-smash.patch: cpuplugd: fix
    stack overwrite (LTC#64733)
  - s390-tools-09-04-zfcpdbf-dates.patch: zfcpdbf: Fix --dates
    option (LTC#65405)
  - s390-tools-09-05-cpuplugd-cmm-limits.patch: cpuplugd: fix
    cmm_min/max limit checks (LTC#65220)
  - s390-tools-09-06-cpuplugd-cpu_min.patch: cpuplugd: set cpu_min
    to 1 by default (LTC#65224)
  - s390-tools-09-07-lsluns-adapter-offline.patch: lsluns:
    uninitialized value on adapter offline (LTC#65768)
  - s390-tools-09-08-zfcpdbf-uninitialized.diff: zfcpdbf: Fix "Use
    of uninitialized value" and output issues (LTC#65904)
  - s390-tools-09-09-xcec-mc.patch: xcec-bridge: Fix multicast
    forwarding (LTC#66141)
* Wed Jun  2 2010 sf@suse.de
- dasd_reload: iterate over all dasd udev-rules (bnc #606394)
* Fri May  7 2010 jjolly@suse.de
- s390-tools-08-01-lsqeth-clear-print-array.patch: lsqeth: add
  clearing of print array for every qeth device
  (bnc#602015,LTC#63091)
- dasd_configure: Properly handling exit when dasd status is
  unformatted (bnc#601918)
- dasdfmt.8: removed extra -P reference from man page (bnc#602003)
* Thu Apr 22 2010 jjolly@suse.de
- s390-tools-07-01-lsdasd-document-option-b.patch: lsdasd: add
  missing description of option -b to man page
  (bnc#597838,LTC#62575)
- s390-tools-07-02-lsqeth-sysfs.patch: lsqeth: sysfs mount point
  not determined (bnc#597838)
* Mon Apr 19 2010 jjolly@suse.de
- s390-tools-sles11sp1-lsmem-chmem-v2.patch: lsmem/chmem: Tools to
  manage memory hotplug.
* Tue Apr 13 2010 ihno@suse.de
- disabled s390-tools-0001-Zipl-VirtIO-bootloader-code.patch
* Tue Apr 13 2010 agraf@suse.de
- s390-tools-0001-Zipl-VirtIO-bootloader-code.patch: disable stack
  protector (bnc#594445)
* Fri Apr  9 2010 jjolly@suse.de
- s390-tools-0001-Zipl-VirtIO-bootloader-code.patch: enable virtio
  bootloading (bnc#594445)
* Mon Mar 29 2010 jjolly@suse.de
- IBM 390-tools patchset #6 (bnc#591089)
  - s390-tools-sles11sp1-06-01-ziomon_fix_df_output.patch: ziomon:
    Fix 'df' command usage (LTC#61794)
  - s390-tools-sles11sp1-06-02-ziomon_fix_wrong_install_path.patch:
    ziomon: Remove check for ziorep_config availability (LTC#61801)
  - s390-tools-sles11sp1-06-03-zipl-force-help.patch: zipl: Option
    "--force" is not included in text for "--help" (LTC#61973)
  - s390-tools-sles11sp1-06-04-ziomon-fix_multipathing.patch:
    ziomon: Fix problem with multipath command output (LTC#61977)
* Fri Mar 12 2010 jjolly@suse.de
- IBM s390-tools patchset #5 (bnc#587152)
  - s390-tools-sles11sp1-05-01-zfcpdump-directio.patch:
    zfcpdump: Use direct IO in order to increase dump speed
  - s390-tools-sles11sp1-05-02-zipl_zfcp_partition.patch:
    zipl: zfcp dump partition error
* Fri Mar 12 2010 jjolly@suse.de
- zipl/zfcpdump: Use "cgroup_disable=memory" kernel parameter
  (bnc#572716)
* Fri Mar 12 2010 jjolly@suse.de
- mkswap.sh: Using udevadm instead of udevinfo (bnc#585130)
* Mon Feb 22 2010 jjolly@suse.de
- vmconvert: Fix progress bar shows garbage (bnc#580976,LTC#60883)
* Fri Feb 19 2010 jjolly@suse.de
- dasd_configure: do not set unformatted dasd offline (bnc#579584)
* Mon Feb  8 2010 uli@suse.de
- dasd_configure: avoid unnecessary delays (bnc#561876)
* Tue Feb  2 2010 jjolly@suse.de
- Patchset #3 (bnc#575676) including:
  - s390-tools-sles11sp1-03-01-zipl-handle-ssch-status.patch: zipl:
    handle status during IPL SSCH (LTC#59816)
  - s390-tools-sles11sp1-03-02-chshut-disable-panic.patch: chshut:
    Mismatch between man and -h (LTC#59864)
  - s390-tools-sles11sp1-03-03-znetconf-chpidtypes-hex.patch:
    znetconf: index into chpidtype lookup table must be hex.
* Mon Jan 25 2010 uli@suse.de
- add error codes 7 (failed to activate) and 8 (not formatted)
  to dasd_configure (bnc#561876)
* Mon Jan 25 2010 jjolly@suse.de
- Add missing check and print NSS name in case an NSS has been
  IPLed. (bnc#559509)
  - Add missing NULL string termination when reading sysfs attributes
  - Fix possible SIGSEGV for "chreipl node /dev/dasdxy"
* Mon Jan 25 2010 jjolly@suse.de
- Patchset #2 (bnc#566684,LTC#59000) including:
  - s390-tools-sle11sp1-01-znetconf-returncodes.patch
  - s390-tools-sle11sp1-02-ziorep-returncodes.patch (LTC#59379)
  - s390-tools-sle11sp1-03-lstape_returncodes.patch (LTC#59386)
  - s390-tools-sle11sp1-04-lscss-fix-tr-quoting.patch
  - s390-tools-sle11sp1-05-lsqeth-new-attributes.patch
- Init info->yastmode in dasdfmt.c (bnc#571653,LTC#59524)
- zfcpdump: removed static linking (bnc#572716)
* Tue Jan 12 2010 uli@suse.de
- dasd_configure: give DASD some time to warm up (untested,
  bnc#561876)
* Mon Dec  7 2009 hare@suse.de
- zipl: Handle device-mapper devices (bnc#556208)
* Thu Dec  3 2009 jjolly@suse.de
- s390-tools, 59-dasd.rules: fix path to vol_id (bnc#554038)
- dasdview, fdasd: fix floating point error for unformatted devices
  (bnc#554038)
- ziomon: Fix multipath device detection (bnc#554038)
- zipl: handle status during ipl (bnc#554038)
* Fri Nov 20 2009 jjolly@suse.de
- Reverted last change in order to add s390-tools 1.8.2 features:
  - tty terminal server over IUCV (bnc#546431,FATE#307002)
  - Large Volume support (bnc#546431,FATE#307003)
  - DS8000 Disk Encryption (bnc#546431,FATE#307004)
  - show disk encryption status
  - FICON - Format Record 0 on ECKD devices (bnc#546431,FATE#307012)
  - FCP - Performance data reports (bnc#546431,FATE#307000)
  - Automatic IPL after dump (bnc#546431,FATE#307009)
  - Add vmconvert option to vmur tool (bnc#546431,FATE#307010)
  - Automatic scan of network devices (bnc#546431,FATE#307016)
- Bugfixes:
  - general: Fix compile warnings & do minor bugfixes
  - general: Adjust code to s390-tools upstream as far as possible
  - lsreipl: Show defined vmcmd correctly
  - fdasd:   Fix auto mode behavior
  - general: Corrections to comply with SUSE rpmlint
- Performance enhancements:
  - dasd,zfcp: Add udev rule to set increased "default max readahead"
* Wed Nov 18 2009 uli@suse.de
- update -> 1.8.1:
  - IUCV terminal server (fate#307002)
  - DASD large volume support (fate#307003)
  - obsoletes a ton of patches
* Fri Nov  6 2009 hare@suse.de
- Include mkinitrd scripts to setup qeth networking (bnc#541405)
- Fixup vol_id pathname in mkdump.sh (bnc#505553)
* Sat Oct 17 2009 jjolly@suse.de
- Added s390-tools-sles11sp1-dasdfmt-norecord_r0.patch (bnc#477816)
* Mon Oct 12 2009 jjolly@suse.de
- s390-tools-02-cpuplugd-cmminit.patch: cpuplugd: fix cmm
  configuration file value initialization parser
  (bnc#519430,LTC#54629)
- s390-tools-02-cpuplugd-limit.patch: cpuplugd: fix cmm_pages
  allocation outside min and max range (bnc#519430,LTC#55472)
- s390-tools-02-cpuplugd-parser.patch: cpuplugd: Daemon does not
  work in a memplug only environment (bnc#519430,LTC#54285)
- s390-tools-02-dasdinfo-fix-volume-serial.patch: dasdinfo: spaces
  in volume serial break udev device links (bnc#519430,LTC#52881)
- s390-tools-02-dbginfo-remove-cpint.patch: dbginfo.sh: remove
  occurences of "cpint" (bnc#519430,LTC#54777)
- s390-tools-02-zipl-fix-unsupported-device-driver.patch: zipl:
  zipl does not exit for an unsupported device driver.
  (bnc#519430,LTC#53660)
* Thu Apr 23 2009 jjolly@suse.de
- dasdro: Updated hcp to vmcp (bnc#492504)
* Tue Mar 31 2009 jjolly@suse.de
- s390-tools-01-dasdfmt-retry-reread-partition-table.patch:
  dasdfmt: retry when BLKRRPART fails (bnc#486043,LTC#52233)
- s390-tools-01-dasdinfo_sysfs.patch: dasdinfo: error with new
  sysfs layout (bnc#486043,LTC#52309)
- s390-tools-01-dasdview-fix-busid-lookup.patch: dasdview: fix
  busid look-up (bnc#486043,LTC#52122)
- s390-tools-01-fdasd-buffer-overflow.patch: fdasd: fix buffer
  overflow for long device names (bnc#486043,LTC#51817)
- s390-tools-01-ipl-panic.patch: lsshut: lsshut prints out an
  unnecessary error message (bnc#486043)
- s390-tools-01-ziomon-scsi-tapes.patch: ziomon: SCSI tapes do not
  work (bnc#486043,LTC#51282)
- s390-tools-01-zipl-fbadump-4gb.patch: zipl: FBA dump tool can
  only dump up to 4GB. (bnc#486043,LTC#52257)
* Tue Feb 24 2009 ihno@suse.de
- Add a check in dasd_configure to check environment (LPAR or z/VM)
  (bnc#477705)
- Add a general README.SUSE about commands provided by SUSE
  (bnc#478009)
- Fix online help of zfcp_san_disc and added online for some
  other commands (bnc#471830)
* Thu Feb 19 2009 uli@suse.de
- hsnc: pass OSA IF name to ip_watcher.pl (bnc#472366)
* Wed Feb 18 2009 hare@suse.de
- Fix remaining reference to hard-coded ECKD in dasd_configure
  (bnc#470408)
* Mon Feb  9 2009 uli@suse.de
- dasdfmt: propagate child exit codes (bnc#459677)
* Fri Feb  6 2009 hare@suse.de
- Return error code if sg_luns failed in zfcp_san_disc (bnc#472352)
- Correctly configure FBA disks (bnc#470408)
* Thu Feb  5 2009 uli@suse.de
- use sysfs instead of /proc/qeth (bnc#472366)
* Mon Jan 26 2009 hare@suse.de
- Add %%triggerin section to create zfcpdump correctly (bnc#446367)
* Fri Jan 23 2009 uli@suse.de
- fix boot.cpi behavior (bnc#457208)
- change CPI_SET default to yes (bnc#455978)
* Thu Jan 22 2009 jjolly@suse.de
- Initialize error value to 0 (bnc#467275)
* Mon Jan 19 2009 uli@suse.de
- run insserv on boot.cpi, write to set attribute to pass CPI
  data (bnc#455978)
* Mon Jan 12 2009 jjolly@suse.de
- Added /usr/sbin/osasnmpd link to /usr/sbin/osasnmpd-2.6
  (bnc#458547)
* Fri Jan  9 2009 jjolly@suse.de
- s390-tools-sles11-ziomon-fix-qdio-statistics.patch: Fix qdio
  statistics (bnc#417514)
* Thu Dec 11 2008 hare@suse.de
- Create /boot/zipl directory (bnc#457942)
* Thu Dec 11 2008 hare@suse.de
- Update mkinitrd scripts for zfcpdump (bnc#446367)
- Include patches from IBM (bnc#417514):
  * Fix lszfcp -P after removal of a port
  * Allow zfcpdump to work in more initrds
  * tape390_display: Fix stack overwrite
* Wed Dec 10 2008 jjolly@suse.de
- Remove -s option from install sections in Makefiles. (bnc#417514)
* Wed Dec 10 2008 hare@suse.de
- Add mkinitrd requirement [bnc#457945]
* Mon Dec  8 2008 kukuk@suse.de
- Re-enable ExclusiveArchs
* Fri Dec  5 2008 hare@suse.de
- Generate zfcpdump image correctly
* Fri Dec  5 2008 hare@suse.de
- Updated to official 1.8.0 tarball from IBM (bnc#417514)
  * lsluns: Do not print full path of tool for error messages - only basename
  * ipl_tools: Add some new error messages
  * dumpconf: Adjust dumpconf init script to new lsdasd
  * ziomon: File header comments cleanup
  * dbginfo.sh: Collect more debug info
  * lsdasd: Remove CVS $Revision entries
  * lszfcp: Throw error message if no devices are configured
  * Prevent daemons from starting in single user mode
- Remove rpmlint patch
- Generate correct udev rule for boot from zfcp (bnc#434648)
* Tue Dec  2 2008 uli@suse.de
- fixed broken post/preun scripts (bnc#446367)
* Fri Nov 21 2008 hare@suse.de
- Fixed typo in dasd_configure (bnc#446998)
* Thu Nov 20 2008 jjolly@suse.de
- Moved creation/deletion of zfcpdump.{image,rd} into specfile
  %%post and %%preun sections. (bnc#446367)
* Thu Nov 20 2008 jjolly@suse.de
- Added script to mkdump.sh that creates zfcpdump.{image,rd}
  (bnc#446427)
* Wed Nov 19 2008 jjolly@suse.de
- Updated to 1.8.0 v8 tarball from IBM (bnc#417514)
  - lstape: Fix problems with new sysfs layout.
  - lszfcp: Update search for sysfs mount-point.
  - zipl: Fix zipl build process: Copy only text section with objcopy.
  - vmconvert: Remove leading newline for error messages.
  - ipl_tools: Fix various parser problems.
  - cpuplugd: Prevent compile warning.
- Removed link error patch
* Fri Nov 14 2008 hare@suse.de
- Install updated dasd udev rules (bnc#444688)
- Update dasd_configure to call udevadm settle (bnc#444672)
- Install zfcpdump mkinitrd scripts (FATE#304069)
* Tue Nov 11 2008 hare@suse.de
- Updated to 1.8.0 v7 tarball from IBM (bnc#417514)
- Removed obsolete patches
- rpmlint fixes
* Tue Nov 11 2008 hare@suse.de
- Update zfcp_{disk,host}_configure to work with port
  auto discovery (bnc#435640)
- Fix zfcp_san_disc to remove the correct sg device
* Mon Nov 10 2008 hare@suse.de
- Update zfcp_san_disc to check for WLUNs first (bnc#437633)
* Thu Nov  6 2008 uli@suse.de
- with all the udev red tape, we forgot to actually set the port
  number... (fate #304080)
* Tue Nov  4 2008 hare@suse.de
- Wait for DASD to become online (bnc#436980)
* Mon Oct 27 2008 hare@suse.de
- Update 59-dasd.rules (bnc#436980)
- Use udevadm instead of udevsettle (bnc#437349)
* Mon Oct 27 2008 jjolly@suse.de
- Updated to 1.8.0 v6 tarball from IBM (bnc#417514)
* Wed Oct 22 2008 hare@suse.de
- Update zfcp_san_disc to work with automatic port discovery
  (bnc#433863)
* Mon Oct 20 2008 uli@suse.de
- restored change in qeth_configure from Sep 11 2008 that was
  overwritten by checkin on Sep 23 2008 (bnc #436824)
* Tue Oct 14 2008 uli@suse.de
- restored change in dasdfmt from May 19 that was overwritten
  by subsequent checkins (bnc #368595, #434223)
* Mon Oct 13 2008 jjolly@suse.de
- Updated to 1.8.0 v5 tarball from IBM (bnc#417514)
* Thu Oct  9 2008 uli@suse.de
- added init script setting CPI data (fate #304052)
* Fri Sep 26 2008 jjolly@suse.de
- Patched zipl/boot link to set build-id to none
* Wed Sep 24 2008 jjolly@suse.de
- Updated to 1.8.0 v4 of the tarball
- Added the blktrace_api.h as it doesn't exist in
  linux-kernel-headers at this time.
* Tue Sep 23 2008 hare@suse.de
- Fix qeth_configure to always set the 'layer2' attribute
  (bnc#428352)
- Update ctc_configure to set the protocol number correctly.
* Fri Sep 19 2008 hare@suse.de
- Update dasd_reload script to work with udev rules (bnc#427458)
* Thu Sep 18 2008 jjolly@suse.de
- Updated to 1.8.0 v3 of the tarball
- Patched make to remove .note.gnu.build-id header during objcopy
* Thu Sep 11 2008 uli@suse.de
- qeth_configure: added -n option for specifying the port number
  (fate #304080)
* Wed Sep  3 2008 hare@suse.de
- Call mkinitrd_setup during %%post and %%postun (bnc#413709)
- Fix qeth_configure script
- Fix iucv_configure script
* Tue Sep  2 2008 jjolly@suse.de
- Removed lib-zfcp-hbaapi to it's own package.
- Update to 1.8.0
* Thu Aug  7 2008 hare@suse.de
- Update ctc_configure to use ctcm module instead of ctc
* Fri Jul 25 2008 hare@suse.de
- Add network configuration scripts (iucv|ctc|qeth)_configure
- Include mkinitrd scriptlets.
- Fix RPMLint warnings.
* Tue Jul 22 2008 hare@suse.de
- Compress s390-tools-1.7.0 with bzip2
* Mon Jul 21 2008 hare@suse.de
- Update to 1.7.0
- Build fixes for autobuild
- Build zfcpdump_v2 only
* Fri Jul 18 2008 hare@suse.de
- Backport from SLES10 SP2
- Update dasd_configure and zfcp_disk_configure script
* Mon May 19 2008 uli@suse.de
- make old dasdfmt syntax work again (bnc#368595)
* Fri Apr 18 2008 hare@suse.de
- Update to 1.6.3-v10 (bnc#380728)
  * cpuplugd: cpuplugd could not be stopped
* Fri Apr  4 2008 hare@suse.de
- Update to 1.6.3-v9 (bnc#376700)
  * extend dasdinfo with a new compat-uid option
  * cpuplugd: cpuplugd may loop on systems with only 1 cpu
  * vmur: Fix man page
* Mon Mar 17 2008 hare@suse.de
- Update to 1.6.3-v8 (bnc#354137)
* Mon Mar  3 2008 hare@suse.de
- Fix build
* Thu Feb 28 2008 hare@suse.de
- Update to 1.6.3-v7 (bnc#365614)
- Update to libzfcp-hbaapi-1.4.2 (bnc#365612)
* Mon Feb 18 2008 hare@suse.de
- update to 1.6.3-v6 tarball
- Install cpuhotplugd (#341388, FATE#302806)
- Add zfcp_san_disc script (#361848)
* Tue Jan 22 2008 jjolly@suse.de
- update to 1.6.3-v3 tarbar (#355355)
- added cpuplugd config file to package (#355355)
* Tue Nov 20 2007 jjolly@suse.de
- update -> 1.6.3 (#341393)
* Thu Oct 11 2007 jjolly@suse.de
- Modified script to wait for hbaapi module to complete loading
  (#332251)
* Wed Oct 10 2007 jjolly@suse.de
- Added zfcp_san_disc utility (#332458)
* Thu Sep 13 2007 jjolly@suse.de
- Added priority value for SWAPON within /etc/init.d/xpram
  (#308074)
* Fri Jul 13 2007 jjolly@suse.de
- Correctly return error codes in mkdump.sh (#276429)
* Thu Mar  8 2007 hare@suse.de
- Install mon_fsstatd correctly (#252115)
* Mon Mar  5 2007 hare@suse.de
- update -> 1.6.0
  * Implement dasdinfo and supply own udev rules (#222326)
- Fix major/minor number problem (#245342)
- install mon_fsstatd sysconfig and init scripts
* Mon Feb 19 2007 uli@suse.de
- update -> 1.6.0-v7 (documentation touchups, prevent fs corruption
  when running zipl on linear dm targets)
* Fri Feb  2 2007 hare@suse.de
- update -> 1.6.0-v5
  * Expand S390_TOOLS_RELEASE macro correctly (#240667)
  * Install the dumpconf utility
- Fix compilation issues.
* Wed Jan 31 2007 hare@suse.de
- update -> 1.6.0-v4:
  * tape390_crpyt: Enhanced error handling
  * New man page for /dev/prandom
* Fri Jan 19 2007 hare@suse.de
- update -> 1.6.0-v3;
  Fixup 3590 crypt support.
* Tue Jan 16 2007 hare@suse.de
- zfcp_host_configure: modify the dev_loss_tmp setting
  to 30 (bug #220556)
* Thu Jan 11 2007 uli@suse.de
- update -> 1.6.0-v2
- fixed regexes in zfcp_disk_configure (bug #185798)
* Fri Nov  3 2006 hare@suse.de
- Fix build against new libsysfs.
* Mon Jun 19 2006 hare@suse.de
- zfcp_disk_configure: translate the entire WWPN
  string (#185798 - LTC24706)
* Fri Jun  2 2006 hare@suse.de
- mkdump.sh: wait for udev to finish before continuing
  (#163258 - LTC22904)
* Fri May 19 2006 hare@suse.de
- Fix build of zgetdump (#176334 - LTC23955)
- Fix Makefile options
- Fix error messages for zfcp_(disk|host)_configure
  (#159552 - LTC22536)
* Thu May 18 2006 hare@suse.de
- mkdump.sh: fix check_devsize (#165818)
* Tue May  9 2006 ihno@suse.de
- fixed activation of XPRAM devices. (#161352)
* Fri Apr 28 2006 hare@suse.de
- mkdump.sh: use sfdisk instead of parted;
  Fixup error messages (#165818)
* Fri Apr 21 2006 hare@suse.de
- dasd_configure: Remove hwcfg file on deconfiguring device even
  if no ccw device exists.
* Wed Apr 19 2006 ihno@suse.de
- create mountpoint, if it does not exist (#157108)
- force the creation of swap/filesystem (#161363)
* Thu Apr 13 2006 uli@suse.de
- dasdfmt: fixed man page, can now specify >1 device with -n,
  support x.x.xxxx notation (bug #160058)
* Fri Apr  7 2006 hare@suse.de
- Fix zfcp_disk_configure again (#160161 - LTC22622)
- mkdump.sh should wait for udev (#163258 - LTC22904)
- Install all scripts with the rpm (#162939 - LTC22876)
* Fri Mar 24 2006 hare@suse.de
- Update to s390-tools-1.5.3
- Fix zipl boot message (#145612)
- Fix zfcp_disk_configure to correctly deactivate disks
  (#160161 - LTC22622)
* Thu Mar 23 2006 uli@suse.de
- osasnmpd was inadvertently built for ucd-snmp; fixed
  (bug #159501)
* Wed Feb 22 2006 hare@suse.de
- Update to s390-tools-1.5.2
- Update to lib-zfcp-hbaapi-1.4
- dasd_configure should wait for udev before calling vmcp
  (#149490 - LTC21537)
- Fix mkdump to not use blkid
- Minor fixes to mkdump
* Wed Feb  8 2006 ihno@suse.de
- fixed xpram to handle swap and
  to keep the existing filesystem (#148662)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 24 2006 hare@suse.de
- Unset DEBUG variable in dasd_configure
- Use 'vmcp' command instead of deprecated 'hcp'
* Wed Jan 18 2006 hare@suse.de
- Adding 'devs' to neededforbuild.
* Thu Dec 15 2005 uli@suse.de
- actually apply e2fsprogs patches
- replace get_user macro in kernel with version from 2.6.15
- fix C++ errors in vmconvert
- create /boot/zipl directory
* Tue Dec  6 2005 hare@suse.de
- Update package to SLES9 SP3 version.
* Fri Nov 11 2005 hare@suse.de
- Write default values from zfcp_disk_configure (#120657 - LTC18813)
- Update to lib-zfcp-hbaapi-1.3
* Tue Nov  8 2005 ihno@suse.de
- Update to Developer Codedrop 1.5.1
* Tue Oct 25 2005 hare@suse.de
- Fixed inconsistencies with lsdasd man page and online help.
- Check command line parameters of zfcpdbf for validity.
* Fri Oct 21 2005 hare@suse.de
- Fix dasd_configure to handle DIAG mode correctly
  (bugs #120166, #129704).
* Tue Oct 18 2005 uli@suse.de
- start/killproc can't handle wrapper scripts; worked around
  (bugs #127534, #127535)
* Thu Sep 29 2005 hare@suse.de
- Fix vmlogrdr init script (#118581).
* Fri Sep 23 2005 hare@suse.de
- Fix build of dasdfmt (#118027).
- Use RPM_OPT_FLAGS for build
* Tue Sep 20 2005 hare@suse.de
- Update to s390-tools-1.5.0 (#117968).
* Thu Jun 30 2005 uli@suse.de
- fixed neededforbuild
* Mon Jun 20 2005 hare@suse.de
- Update to s390-tools-1.4.1 (#88526).
* Wed Jun 15 2005 uli@suse.de
- add sysconfig file for osasnmpd parameters (bug #86631)
- fixed assembler syntax in zipl (stricter checking in new gas)
* Wed Jun 15 2005 yxu@suse.de
- fix build with GCC4
- add prebuild images and ramdisk for zfcp
* Wed Jun 15 2005 hare@suse.de
- Fix start_hsnc.sh (#88526).
* Tue Apr 19 2005 hare@suse.de
- Update to s390-tools-1.4.0
- Include lib-zfcp-hbaapi-1.2
* Fri Nov 26 2004 hare@suse.de
- Added new CU types 2107 and 1750 to dasd_configure (#48587).
* Thu Nov 18 2004 hare@suse.de
- Added /sbin/mkdump script for creating dump devices (#22182).
* Wed Nov 10 2004 ro@suse.de
- fix typo in specfile
* Fri Nov  5 2004 hare@suse.de
- Update to s390-tools-1.3.2
- Fix output at formatting of >26 disks (#47699).
* Wed Jul 14 2004 hare@suse.de
- Fixed default polling interval for appldata (#42694).
* Mon Jul  5 2004 uli@suse.de
- rename osasnmpd-2.6 -> osasnmpd (bug #42588)
* Mon Jul  5 2004 hare@suse.de
- Fixed init-scripts for appldata (#42694).
- Updated sysconfig files to correctly display variables.
* Tue Jun 15 2004 hare@suse.de
- Fix cpint usage in initrd (no hcp available).
* Mon Jun 14 2004 ihno@suse.de
- enabled and fixed osasnmpd generation (#41893)
- removed unused patch (fix is part of update 9 june)
* Wed Jun  9 2004 hare@suse.de
- Update to s390-tools 1.3.1 (#41736).
* Mon Jun  7 2004 uli@suse.de
- added missing %%fillup_prereq (bug #41732)
* Fri Jun  4 2004 hare@suse.de
- Check read-only status from dasd_configure (#38817)
* Tue Jun  1 2004 bk@suse.de
- xpram script updated regarding checking of config settings(#40733)
* Tue Jun  1 2004 uli@suse.de
- dasdro: do not rely on automatic loading of cpint module (bug #38817)
* Thu May 27 2004 ihno@suse.de
- fixed uninitialized variable in fdasd (#40032)
* Wed May 26 2004 hare@suse.de
- Fixed dasd_reload script to correctly reload any
  configured DASD devices.
- Fixed zfcp_disk_configure to handle uppercase WWPNs
- Fixed dasd_configure to correctly handle DIAG devices
- Fixed dasd_configure to generate hwcfg files with correct
  SCRIPTDOWN values.
* Tue May 25 2004 hare@suse.de
- Added dasd_reload script for YaST2.
* Tue May 18 2004 uli@suse.de
- fixed incorrect use of fillup_and_insserv (bug #40733)
* Mon Apr 26 2004 uli@suse.de
- added dasdro script
- fixed warning in e2fsprogs code
* Mon Apr 26 2004 hare@suse.de
- Fixed dasd_configure to not write hwcfg file if the
  directory does not exist (#39387)
* Fri Apr 23 2004 hare@suse.de
- Update to final version s390-tools-1.3.0
- Fixed zfcp_host_configure to use sh instead of bash
- Fixed zfcp_disk_configure to not try to delete hwcfg-file
  if the directory does not exist.
* Tue Apr  6 2004 hare@suse.de
- Update *_configure scripts to only write hwcfg files
  if directory exists
- Fix dasd_configure to load modules.
* Fri Apr  2 2004 hare@suse.de
- Fixed xpram startup script.
* Fri Mar 12 2004 uli@suse.de
- made YaST mode easier to parse as reqd. by jsrain
* Fri Mar  5 2004 hare@suse.de
- Update to pre-Lobster codedrop.
- Added dasd/zfcp configuration scripts.
- Update to allow for preconfigured builds.
* Fri Dec 19 2003 uli@suse.de
- merged bk's changes from SLES8:
  change hsnc to use sysconfig configuration style
* Wed Dec 17 2003 uli@suse.de
- dasdfmt: added parallel formatting
- dasdfmt: added easily parseable output mode ("YaST mode")
* Tue Dec 16 2003 bk@suse.de
- fix path of snmp agent directory in the ucd-snmp case
* Fri Dec 12 2003 bk@suse.de
- Version 1.2.3 with hsnc for SLES8(post-SP3-maint) and SLES9!
- add rc script for the HiperSockets Network Concentrator(hsnc)
- add spec support for using ucdsnmp on SLES8 and net-snmp on SLES9
- add support to build the zfcpdump kernel in parallel using #jobs
* Fri Nov 28 2003 bk@suse.de
- Update to version 1.2.3
* Fri Nov 21 2003 hare@suse.de
- Added missing '-lwrap' to osasnmpd.
* Thu Nov 13 2003 hare@suse.de
- Update to version 1.2.2
- Checked in for STABLE / pre-SLES9.
- Update to use net-snmp instead of ucdsnmp.
* Fri Oct 31 2003 ihno@suse.de
- Update to zfcpdump to the one of version 1.2.2
* Tue Sep  2 2003 hare@suse.de
- Fixed changelog entry.
* Wed Aug 27 2003 hare@suse.de
- Fixed zipl to use the correct path for zfcpdump.[image|rd]
  (Bugzilla #29147).
* Mon Jul 28 2003 hare@suse.de
- update from version 1.2.0 to 1.2.1
  - Fixed zfcpdump with ext2 ramdisk
* Thu Jul 24 2003 hare@suse.de
- update from version 1.1.5 to 1.2.0
  - new zfcpdump for dumping on FC devices
  - zipl now handles config files internally
  - removed parsecfg
  - included linux-2.4.19, busybox and e2fsprogs for
    zfcpdump building
* Wed Feb  5 2003 ihno@suse.de
- update from version 1.1.3 to 1.1.5
  - remote gcc3.3 warnings (tape390_display)
  - fixed dasdfmt.8 manpage
  - fixed "free track" handling of fdasd
* Wed Oct 23 2002 bk@suse.de
- add s390-tools-1.1.3-dasdviewfix.diff and manpage for /proc/chandev
* Fri Sep 27 2002 bk@suse.de
- fix error message which will confuse some clients for sure(IBM)
* Wed Aug 21 2002 froh@suse.de
- fix rcchandev to no longer source rc.config
- update to s390-tools-1.1.3-may2002.tar.gz from 2002-08-08 drop:
  * osasnmpd: added new parameter '-x SOCKADDR'
* Thu Aug  1 2002 bk@suse.de
- update to s390-tools-1.1.2-may2002.tar.gz from 2002-07-31 drop
- new subpackage osasmpd, only new files, so no split is possible.
* Mon Jul 15 2002 bk@suse.de
- back to static zipl directory and fix uninstall message for updates
* Thu Jul 11 2002 bk@suse.de
- loader uses versioned directory to avoid boot problems after update
- fix lib64 build problem
* Tue Jun 11 2002 bk@suse.de
- update for ucdsnmp-4.2.5:
  add tcpd to neededforbuild and add -lwarp to cflags of osasnmpd
  define allow_severity and deny_severity for tcpd's libwrap
* Fri Jun  7 2002 bk@suse.de
- update to may2002 stream, version 1.1.1
* Thu Feb 28 2002 froh@suse.de
- added silo.sh script for YaST1 from the old package s390utils to
  drop that package.
* Mon Feb 11 2002 bk@suse.de
- add s390-tools-5.diff to support newer kernels as well(2.4.17)
* Mon Jan 28 2002 bk@suse.de
- install: add _lib support for lib64
* Fri Dec 14 2001 bk@suse.de
- Update to the Dec12 2001 drop s390-tools (-2, -3 and -4) patches
- zipl.conf: fix target setting of dumptape, add missing dumpdasd
* Mon Nov 12 2001 bk@suse.de
- add IBM diffs s390-tools-2.tar.gz and s390-tools-3.tar.gz
* Thu Oct 18 2001 bk@suse.de
- fix error with killing tail in rcchandev verbose-reload
  /sbin/rcchandev: line 219: 15941 Terminated tail -0f /var/log/warn 1>&2
  (shown in yast)
* Fri Oct 12 2001 bk@suse.de
- zipl.conf: change obsolete /boot/zilo-kernel to /boot/kernel
* Mon Sep 17 2001 froh@suse.de
- added the 2001-09-14 codedrop patches, which include these fixes:
- fdasd:
  - added VTOC format 5 & 7 DSCB support
  - added command line batch options for one partition, for a config
    file and to suppress messages
  - fixed OS/390 data set name munging (no more blanks, no more
    changes after deleting and re-creating a partition)
  - read-only disk access now fails
  - fixed free space detection while adding partitions
  - added command 'r' to re-create the whole VTOC
- dasdfmt:
  - added VTOC format 7 DSCB support
  - added blksize >4096 or <512 check (complain & fail)
  - added marking of dasds as non-bootable during dasdfmt
  - added Hashmarks (for 3270 terminals) and Progress bar
- misc:
  - added multi volume support for system dump (tape 3480/90)
  - added Tape device display support to system dump
  - added 64 bit support for dasd and tape dump.
* Wed Sep 12 2001 bk@suse.de
- Use the source of the 2001-08-20 codedrop for this version
  and update the context of the zipl-reiserfs.diff acordingly.
- Also use the original source, let the spec do the unpacking.
  This is less error-prone than doing it by hand and is quicker
  to check.
* Wed Aug 29 2001 froh@suse.de
- integrated 2.4.7-based codedrop, which adds a config file to fdisk
* Mon Aug 13 2001 bk@suse.de
- better mark /etc/chandev.conf not only %%config but also noreplace.
- patch zipl to work with reiserfs too.
* Fri Aug 10 2001 bk@suse.de
- fix no newline at end of /etc/chandev.conf bug and polish text
- fix insserv recursion due to bogus syslog in Required-Start
* Tue Aug  7 2001 froh@suse.de
- cleaned up docu in /etc/chandev.conf
* Mon Aug  6 2001 froh@suse.de
- added support for /proc/chandev
* Thu Jul 19 2001 bk@suse.de
- added Provides: s390utils:/sbin/dasdfmt (split from s390utils)
* Fri Jul 13 2001 mls@suse.de
- fixed install section
* Fri Jul 13 2001 bk@suse.de
- new package based on s390utils
